export type BorderType = BorderWidthType | BorderColorType | RoundedType;

type RoundedType =
  | 'rounded-none'
  | 'rounded-sm'
  | 'rounded'
  | 'rounded-md'
  | 'rounded-lg'
  | 'rounded-xl'
  | 'rounded-2xl'
  | 'rounded-3xl'
  | 'rounded-full'
  | 'rounded-t-none'
  | 'rounded-t-sm'
  | 'rounded-t'
  | 'rounded-t-md'
  | 'rounded-t-lg'
  | 'rounded-t-xl'
  | 'rounded-t-2xl'
  | 'rounded-t-3xl'
  | 'rounded-t-full'
  | 'rounded-b-none'
  | 'rounded-b-sm'
  | 'rounded-b'
  | 'rounded-b-md'
  | 'rounded-b-lg'
  | 'rounded-b-xl'
  | 'rounded-b-2xl'
  | 'rounded-b-3xl'
  | 'rounded-b-full'
  | 'rounded-l-none'
  | 'rounded-l-sm'
  | 'rounded-l'
  | 'rounded-l-md'
  | 'rounded-l-lg'
  | 'rounded-l-xl'
  | 'rounded-l-2xl'
  | 'rounded-l-3xl'
  | 'rounded-l-full'
  | 'rounded-tl-none'
  | 'rounded-tl-sm'
  | 'rounded-tl'
  | 'rounded-tl-md'
  | 'rounded-tl-lg'
  | 'rounded-tl-xl'
  | 'rounded-tl-2xl'
  | 'rounded-tl-3xl'
  | 'rounded-tl-full'
  | 'rounded-tr-none'
  | 'rounded-tr-sm'
  | 'rounded-tr'
  | 'rounded-tr-md'
  | 'rounded-tr-lg'
  | 'rounded-tr-xl'
  | 'rounded-tr-2xl'
  | 'rounded-tr-3xl'
  | 'rounded-tr-full'
  | 'rounded-bl-none'
  | 'rounded-bl-sm'
  | 'rounded-bl'
  | 'rounded-bl-md'
  | 'rounded-bl-lg'
  | 'rounded-bl-xl'
  | 'rounded-bl-2xl'
  | 'rounded-bl-3xl'
  | 'rounded-bl-full'
  | 'rounded-br-none'
  | 'rounded-br-sm'
  | 'rounded-br'
  | 'rounded-br-md'
  | 'rounded-br-lg'
  | 'rounded-br-xl'
  | 'rounded-br-2xl'
  | 'rounded-br-3xl'
  | 'rounded-br-full';

type BorderWidthType =
  | 'border-none'
  | 'border'
  | 'border-md'
  | 'border-lg'
  | 'border-xl'
  | 'border-x-none'
  | 'border-x'
  | 'border-x-md'
  | 'border-x-lg'
  | 'border-x-xl'
  | 'border-y-none'
  | 'border-y'
  | 'border-y-md'
  | 'border-y-lg'
  | 'border-y-xl'
  | 'border-t-none'
  | 'border-t'
  | 'border-t-md'
  | 'border-t-lg'
  | 'border-t-xl'
  | 'border-b-none'
  | 'border-b'
  | 'border-b-md'
  | 'border-b-lg'
  | 'border-b-xl'
  | 'border-r-none'
  | 'border-r'
  | 'border-r-md'
  | 'border-r-lg'
  | 'border-r-xl'
  | 'border-l-none'
  | 'border-l'
  | 'border-l-md'
  | 'border-l-lg'
  | 'border-l-xl';

export type BorderColorType =
  | 'border-black'
  | 'border-white'
  | 'border-slate-50'
  | 'border-slate-100'
  | 'border-slate-200'
  | 'border-slate-300'
  | 'border-slate-400'
  | 'border-slate-500'
  | 'border-slate-600'
  | 'border-slate-700'
  | 'border-slate-800'
  | 'border-slate-900'
  | 'border-slate-950'
  | 'border-gray-50'
  | 'border-gray-100'
  | 'border-gray-200'
  | 'border-gray-300'
  | 'border-gray-400'
  | 'border-gray-500'
  | 'border-gray-600'
  | 'border-gray-700'
  | 'border-gray-800'
  | 'border-gray-900'
  | 'border-gray-950'
  | 'border-zinc-50'
  | 'border-zinc-100'
  | 'border-zinc-200'
  | 'border-zinc-300'
  | 'border-zinc-400'
  | 'border-zinc-500'
  | 'border-zinc-600'
  | 'border-zinc-700'
  | 'border-zinc-800'
  | 'border-zinc-900'
  | 'border-zinc-950'
  | 'border-neutral-50'
  | 'border-neutral-100'
  | 'border-neutral-200'
  | 'border-neutral-300'
  | 'border-neutral-400'
  | 'border-neutral-500'
  | 'border-neutral-600'
  | 'border-neutral-700'
  | 'border-neutral-800'
  | 'border-neutral-900'
  | 'border-neutral-950'
  | 'border-stone-50'
  | 'border-stone-100'
  | 'border-stone-200'
  | 'border-stone-300'
  | 'border-stone-400'
  | 'border-stone-500'
  | 'border-stone-600'
  | 'border-stone-700'
  | 'border-stone-800'
  | 'border-stone-900'
  | 'border-stone-950'
  | 'border-red-50'
  | 'border-red-100'
  | 'border-red-200'
  | 'border-red-300'
  | 'border-red-400'
  | 'border-red-500'
  | 'border-red-600'
  | 'border-red-700'
  | 'border-red-800'
  | 'border-red-900'
  | 'border-red-950'
  | 'border-orange-50'
  | 'border-orange-100'
  | 'border-orange-200'
  | 'border-orange-300'
  | 'border-orange-400'
  | 'border-orange-500'
  | 'border-orange-600'
  | 'border-orange-700'
  | 'border-orange-800'
  | 'border-orange-900'
  | 'border-orange-950'
  | 'border-amber-50'
  | 'border-amber-100'
  | 'border-amber-200'
  | 'border-amber-300'
  | 'border-amber-400'
  | 'border-amber-500'
  | 'border-amber-600'
  | 'border-amber-700'
  | 'border-amber-800'
  | 'border-amber-900'
  | 'border-amber-950'
  | 'border-yellow-50'
  | 'border-yellow-100'
  | 'border-yellow-200'
  | 'border-yellow-300'
  | 'border-yellow-400'
  | 'border-yellow-500'
  | 'border-yellow-600'
  | 'border-yellow-700'
  | 'border-yellow-800'
  | 'border-yellow-900'
  | 'border-yellow-950'
  | 'border-lime-50'
  | 'border-lime-100'
  | 'border-lime-200'
  | 'border-lime-300'
  | 'border-lime-400'
  | 'border-lime-500'
  | 'border-lime-600'
  | 'border-lime-700'
  | 'border-lime-800'
  | 'border-lime-900'
  | 'border-lime-950'
  | 'border-green-50'
  | 'border-green-100'
  | 'border-green-200'
  | 'border-green-300'
  | 'border-green-400'
  | 'border-green-500'
  | 'border-green-600'
  | 'border-green-700'
  | 'border-green-800'
  | 'border-green-900'
  | 'border-green-950'
  | 'border-emerald-50'
  | 'border-emerald-100'
  | 'border-emerald-200'
  | 'border-emerald-300'
  | 'border-emerald-400'
  | 'border-emerald-500'
  | 'border-emerald-600'
  | 'border-emerald-700'
  | 'border-emerald-800'
  | 'border-emerald-900'
  | 'border-emerald-950'
  | 'border-teal-50'
  | 'border-teal-100'
  | 'border-teal-200'
  | 'border-teal-300'
  | 'border-teal-400'
  | 'border-teal-500'
  | 'border-teal-600'
  | 'border-teal-700'
  | 'border-teal-800'
  | 'border-teal-900'
  | 'border-teal-950'
  | 'border-cyan-50'
  | 'border-cyan-100'
  | 'border-cyan-200'
  | 'border-cyan-300'
  | 'border-cyan-400'
  | 'border-cyan-500'
  | 'border-cyan-600'
  | 'border-cyan-700'
  | 'border-cyan-800'
  | 'border-cyan-900'
  | 'border-cyan-950'
  | 'border-sky-50'
  | 'border-sky-100'
  | 'border-sky-200'
  | 'border-sky-300'
  | 'border-sky-400'
  | 'border-sky-500'
  | 'border-sky-600'
  | 'border-sky-700'
  | 'border-sky-800'
  | 'border-sky-900'
  | 'border-sky-950'
  | 'border-blue-50'
  | 'border-blue-100'
  | 'border-blue-200'
  | 'border-blue-300'
  | 'border-blue-400'
  | 'border-blue-500'
  | 'border-blue-600'
  | 'border-blue-700'
  | 'border-blue-800'
  | 'border-blue-900'
  | 'border-blue-950'
  | 'border-indigo-50'
  | 'border-indigo-100'
  | 'border-indigo-200'
  | 'border-indigo-300'
  | 'border-indigo-400'
  | 'border-indigo-500'
  | 'border-indigo-600'
  | 'border-indigo-700'
  | 'border-indigo-800'
  | 'border-indigo-900'
  | 'border-indigo-950'
  | 'border-violet-50'
  | 'border-violet-100'
  | 'border-violet-200'
  | 'border-violet-300'
  | 'border-violet-400'
  | 'border-violet-500'
  | 'border-violet-600'
  | 'border-violet-700'
  | 'border-violet-800'
  | 'border-violet-900'
  | 'border-violet-950'
  | 'border-purple-50'
  | 'border-purple-100'
  | 'border-purple-200'
  | 'border-purple-300'
  | 'border-purple-400'
  | 'border-purple-500'
  | 'border-purple-600'
  | 'border-purple-700'
  | 'border-purple-800'
  | 'border-purple-900'
  | 'border-purple-950'
  | 'border-fuchsia-50'
  | 'border-fuchsia-100'
  | 'border-fuchsia-200'
  | 'border-fuchsia-300'
  | 'border-fuchsia-400'
  | 'border-fuchsia-500'
  | 'border-fuchsia-600'
  | 'border-fuchsia-700'
  | 'border-fuchsia-800'
  | 'border-fuchsia-900'
  | 'border-fuchsia-950'
  | 'border-pink-50'
  | 'border-pink-100'
  | 'border-pink-200'
  | 'border-pink-300'
  | 'border-pink-400'
  | 'border-pink-500'
  | 'border-pink-600'
  | 'border-pink-700'
  | 'border-pink-800'
  | 'border-pink-900'
  | 'border-pink-950'
  | 'border-rose-50'
  | 'border-rose-100'
  | 'border-rose-200'
  | 'border-rose-300'
  | 'border-rose-400'
  | 'border-rose-500'
  | 'border-rose-600'
  | 'border-rose-700'
  | 'border-rose-800'
  | 'border-rose-900'
  | 'border-rose-950';
