export type SizeType = WidthType | MinWidthType | HeightType;

type WidthType =
  | 'w'
  | 'w-0'
  | 'w-0.5'
  | 'w-1'
  | 'w-1.5'
  | 'w-2'
  | 'w-2.5'
  | 'w-3'
  | 'w-3.5'
  | 'w-4'
  | 'w-5'
  | 'w-6'
  | 'w-7'
  | 'w-8'
  | 'w-9'
  | 'w-10'
  | 'w-11'
  | 'w-12'
  | 'w-14'
  | 'w-16'
  | 'w-20'
  | 'w-24'
  | 'w-28'
  | 'w-32'
  | 'w-36'
  | 'w-40'
  | 'w-44'
  | 'w-48'
  | 'w-52'
  | 'w-56'
  | 'w-60'
  | 'w-64'
  | 'w-72'
  | 'w-80'
  | 'w-96'
  | 'w-1/3'
  | 'w-2/3'
  | 'w-1/2'
  | 'w-1/4'
  | 'w-3/4'
  | 'w-1/5'
  | 'w-2/5'
  | 'w-3/5'
  | 'w-4/5'
  | 'w-full'
  | 'w-screen';

type MinWidthType =
  | 'min-w'
  | 'min-w-0'
  | 'min-w-0.5'
  | 'min-w-1'
  | 'min-w-1.5'
  | 'min-w-2'
  | 'min-w-2.5'
  | 'min-w-3'
  | 'min-w-3.5'
  | 'min-w-4'
  | 'min-w-5'
  | 'min-w-6'
  | 'min-w-7'
  | 'min-w-8'
  | 'min-w-9'
  | 'min-w-10'
  | 'min-w-11'
  | 'min-w-12'
  | 'min-w-14'
  | 'min-w-16'
  | 'min-w-20'
  | 'min-w-24'
  | 'min-w-28'
  | 'min-w-32'
  | 'min-w-36'
  | 'min-w-40'
  | 'min-w-44'
  | 'min-w-48'
  | 'min-w-52'
  | 'min-w-56'
  | 'min-w-60'
  | 'min-w-64'
  | 'min-w-72'
  | 'min-w-80'
  | 'min-w-96'
  | 'min-w-1/3'
  | 'min-w-2/3'
  | 'min-w-1/2'
  | 'min-w-1/4'
  | 'min-w-3/4'
  | 'min-w-1/5'
  | 'min-w-2/5'
  | 'min-w-3/5'
  | 'min-w-4/5'
  | 'min-w-full'
  | 'min-w-screen';

type HeightType =
  | 'h-0'
  | 'h-0.5'
  | 'h-1'
  | 'h-1.5'
  | 'h-2'
  | 'h-2.5'
  | 'h-3'
  | 'h-3.5'
  | 'h-4'
  | 'h-5'
  | 'h-6'
  | 'h-7'
  | 'h-8'
  | 'h-9'
  | 'h-10'
  | 'h-11'
  | 'h-12'
  | 'h-14'
  | 'h-16'
  | 'h-20'
  | 'h-24'
  | 'h-28'
  | 'h-32'
  | 'h-36'
  | 'h-40'
  | 'h-44'
  | 'h-48'
  | 'h-52'
  | 'h-56'
  | 'h-60'
  | 'h-64'
  | 'h-72'
  | 'h-80'
  | 'h-96'
  | 'h-1/3'
  | 'h-2/3'
  | 'h-1/2'
  | 'h-1/4'
  | 'h-3/4'
  | 'h-1/5'
  | 'h-2/5'
  | 'h-3/5'
  | 'h-4/5'
  | 'h-full'
  | 'h-screen';

export type SizeText = 'xs' | 'sm' | 'base' | 'lg' | 'xl';
