import {StyleSheet} from 'react-native';
import {horizontalScale} from '../utils';

const borderWidthStyle = StyleSheet.create({
  'border-none': {borderWidth: 0},
  border: {borderWidth: horizontalScale(1)},
  'border-md': {borderWidth: horizontalScale(2)},
  'border-lg': {borderWidth: horizontalScale(4)},
  'border-xl': {borderWidth: horizontalScale(8)},
  'border-t-none': {borderTopWidth: 0},
  'border-t': {borderTopWidth: horizontalScale(1)},
  'border-t-md': {borderTopWidth: horizontalScale(2)},
  'border-t-lg': {borderTopWidth: horizontalScale(4)},
  'border-t-xl': {borderTopWidth: horizontalScale(8)},
  'border-b-none': {borderBottomWidth: 0},
  'border-b': {borderBottomWidth: horizontalScale(1)},
  'border-b-md': {borderBottomWidth: horizontalScale(2)},
  'border-b-lg': {borderBottomWidth: horizontalScale(4)},
  'border-b-xl': {borderBottomWidth: horizontalScale(8)},
  'border-l-none': {borderLeftWidth: 0},
  'border-l': {borderLeftWidth: horizontalScale(1)},
  'border-l-md': {borderLeftWidth: horizontalScale(2)},
  'border-l-lg': {borderLeftWidth: horizontalScale(4)},
  'border-l-xl': {borderLeftWidth: horizontalScale(8)},
  'border-r-none': {borderRightWidth: 0},
  'border-r': {borderRightWidth: horizontalScale(1)},
  'border-r-md': {borderRightWidth: horizontalScale(2)},
  'border-r-lg': {borderRightWidth: horizontalScale(4)},
  'border-r-xl': {borderRightWidth: horizontalScale(8)},
  'border-x-none': {borderLeftWidth: 0, borderRightWidth: 0},
  'border-x': {
    borderLeftWidth: horizontalScale(1),
    borderRightWidth: horizontalScale(1),
  },
  'border-x-md': {
    borderLeftWidth: horizontalScale(2),
    borderRightWidth: horizontalScale(2),
  },
  'border-x-lg': {
    borderLeftWidth: horizontalScale(4),
    borderRightWidth: horizontalScale(4),
  },
  'border-x-xl': {
    borderLeftWidth: horizontalScale(8),
    borderRightWidth: horizontalScale(8),
  },
  'border-y-none': {borderTopWidth: 0, borderBottomWidth: 0},
  'border-y': {
    borderTopWidth: horizontalScale(1),
    borderBottomWidth: horizontalScale(1),
  },
  'border-y-md': {
    borderTopWidth: horizontalScale(2),
    borderBottomWidth: horizontalScale(2),
  },
  'border-y-lg': {
    borderTopWidth: horizontalScale(4),
    borderBottomWidth: horizontalScale(4),
  },
  'border-y-xl': {
    borderTopWidth: horizontalScale(8),
    borderBottomWidth: horizontalScale(8),
  },
});

export const borderColorStyles = StyleSheet.create({
  'border-dashed': {borderStyle: 'dashed'},
  'border-dotted': {borderStyle: 'dotted'},
  'border-solid': {borderStyle: 'solid'},
  'border-amber-100': {borderColor: 'rgb(254,243,199)'},
  'border-amber-200': {borderColor: 'rgb(253,230,138)'},
  'border-amber-300': {borderColor: 'rgb(252,211,77)'},
  'border-amber-400': {borderColor: 'rgb(251,191,36)'},
  'border-amber-50': {borderColor: 'rgb(255,251,235)'},
  'border-amber-500': {borderColor: 'rgb(245,158,11)'},
  'border-amber-600': {borderColor: 'rgb(217,119,6)'},
  'border-amber-700': {borderColor: 'rgb(180,83,9)'},
  'border-amber-800': {borderColor: 'rgb(146,64,14)'},
  'border-amber-900': {borderColor: 'rgb(120,53,15)'},
  'border-amber-950': {borderColor: 'rgb(69,26,3)'},
  'border-black': {borderColor: 'rgb(0,0,0)'},
  'border-blue-100': {borderColor: 'rgb(219,234,254)'},
  'border-blue-200': {borderColor: 'rgb(191,219,254)'},
  'border-blue-300': {borderColor: 'rgb(147,197,253)'},
  'border-blue-400': {borderColor: 'rgb(96,165,250)'},
  'border-blue-50': {borderColor: 'rgb(239,246,255)'},
  'border-blue-500': {borderColor: 'rgb(59,130,246)'},
  'border-blue-600': {borderColor: 'rgb(37,99,235)'},
  'border-blue-700': {borderColor: 'rgb(29,78,216)'},
  'border-blue-800': {borderColor: 'rgb(30,64,175)'},
  'border-blue-900': {borderColor: 'rgb(30,58,138)'},
  'border-blue-950': {borderColor: 'rgb(23,37,84)'},
  'border-cyan-100': {borderColor: 'rgb(207,250,254)'},
  'border-cyan-200': {borderColor: 'rgb(165,243,252)'},
  'border-cyan-300': {borderColor: 'rgb(103,232,249)'},
  'border-cyan-400': {borderColor: 'rgb(34,211,238)'},
  'border-cyan-50': {borderColor: 'rgb(236,254,255)'},
  'border-cyan-500': {borderColor: 'rgb(6,182,212)'},
  'border-cyan-600': {borderColor: 'rgb(8,145,178)'},
  'border-cyan-700': {borderColor: 'rgb(14,116,144)'},
  'border-cyan-800': {borderColor: 'rgb(21,94,117)'},
  'border-cyan-900': {borderColor: 'rgb(22,78,99)'},
  'border-cyan-950': {borderColor: 'rgb(8,51,68)'},
  'border-emerald-100': {borderColor: 'rgb(209,250,229)'},
  'border-emerald-200': {borderColor: 'rgb(167,243,208)'},
  'border-emerald-300': {borderColor: 'rgb(110,231,183)'},
  'border-emerald-400': {borderColor: 'rgb(52,211,153)'},
  'border-emerald-50': {borderColor: 'rgb(236,253,245)'},
  'border-emerald-500': {borderColor: 'rgb(16,185,129)'},
  'border-emerald-600': {borderColor: 'rgb(5,150,105)'},
  'border-emerald-700': {borderColor: 'rgb(4,120,87)'},
  'border-emerald-800': {borderColor: 'rgb(6,95,70)'},
  'border-emerald-900': {borderColor: 'rgb(6,78,59)'},
  'border-emerald-950': {borderColor: 'rgb(2,44,34)'},
  'border-fuchsia-100': {borderColor: 'rgb(250,232,255)'},
  'border-fuchsia-200': {borderColor: 'rgb(245,208,254)'},
  'border-fuchsia-300': {borderColor: 'rgb(240,171,252)'},
  'border-fuchsia-400': {borderColor: 'rgb(232,121,249)'},
  'border-fuchsia-50': {borderColor: 'rgb(253,244,255)'},
  'border-fuchsia-500': {borderColor: 'rgb(217,70,239)'},
  'border-fuchsia-600': {borderColor: 'rgb(192,38,211)'},
  'border-fuchsia-700': {borderColor: 'rgb(162,28,175)'},
  'border-fuchsia-800': {borderColor: 'rgb(134,25,143)'},
  'border-fuchsia-900': {borderColor: 'rgb(112,26,117)'},
  'border-fuchsia-950': {borderColor: 'rgb(74,4,78)'},
  'border-gray-100': {borderColor: 'rgb(243,244,246)'},
  'border-gray-200': {borderColor: 'rgb(229,231,235)'},
  'border-gray-300': {borderColor: 'rgb(209,213,219)'},
  'border-gray-400': {borderColor: 'rgb(156,163,175)'},
  'border-gray-50': {borderColor: 'rgb(249,250,251)'},
  'border-gray-500': {borderColor: 'rgb(107,114,128)'},
  'border-gray-600': {borderColor: 'rgb(75,85,99)'},
  'border-gray-700': {borderColor: 'rgb(55,65,81)'},
  'border-gray-800': {borderColor: 'rgb(31,41,55)'},
  'border-gray-900': {borderColor: 'rgb(17,24,39)'},
  'border-gray-950': {borderColor: 'rgb(3,7,18)'},
  'border-green-100': {borderColor: 'rgb(220,252,231)'},
  'border-green-200': {borderColor: 'rgb(187,247,208)'},
  'border-green-300': {borderColor: 'rgb(134,239,172)'},
  'border-green-400': {borderColor: 'rgb(74,222,128)'},
  'border-green-50': {borderColor: 'rgb(240,253,244)'},
  'border-green-500': {borderColor: 'rgb(34,197,94)'},
  'border-green-600': {borderColor: 'rgb(22,163,74)'},
  'border-green-700': {borderColor: 'rgb(21,128,61)'},
  'border-green-800': {borderColor: 'rgb(22,101,52)'},
  'border-green-900': {borderColor: 'rgb(20,83,45)'},
  'border-green-950': {borderColor: 'rgb(5,46,22)'},
  'border-indigo-100': {borderColor: 'rgb(224,231,255)'},
  'border-indigo-200': {borderColor: 'rgb(199,210,254)'},
  'border-indigo-300': {borderColor: 'rgb(165,180,252)'},
  'border-indigo-400': {borderColor: 'rgb(129,140,248)'},
  'border-indigo-50': {borderColor: 'rgb(238,242,255)'},
  'border-indigo-500': {borderColor: 'rgb(99,102,241)'},
  'border-indigo-600': {borderColor: 'rgb(79,70,229)'},
  'border-indigo-700': {borderColor: 'rgb(67,56,202)'},
  'border-indigo-800': {borderColor: 'rgb(55,48,163)'},
  'border-indigo-900': {borderColor: 'rgb(49,46,129)'},
  'border-indigo-950': {borderColor: 'rgb(30,27,75)'},
  'border-lime-100': {borderColor: 'rgb(236,252,203)'},
  'border-lime-200': {borderColor: 'rgb(217,249,157)'},
  'border-lime-300': {borderColor: 'rgb(190,242,100)'},
  'border-lime-400': {borderColor: 'rgb(163,230,53)'},
  'border-lime-50': {borderColor: 'rgb(247,254,231)'},
  'border-lime-500': {borderColor: 'rgb(132,204,22)'},
  'border-lime-600': {borderColor: 'rgb(101,163,13)'},
  'border-lime-700': {borderColor: 'rgb(77,124,15)'},
  'border-lime-800': {borderColor: 'rgb(63,98,18)'},
  'border-lime-900': {borderColor: 'rgb(54,83,20)'},
  'border-lime-950': {borderColor: 'rgb(26,46,5)'},
  'border-neutral-100': {borderColor: 'rgb(245,245,245)'},
  'border-neutral-200': {borderColor: 'rgb(229,229,229)'},
  'border-neutral-300': {borderColor: 'rgb(212,212,212)'},
  'border-neutral-400': {borderColor: 'rgb(163,163,163)'},
  'border-neutral-50': {borderColor: 'rgb(250,250,250)'},
  'border-neutral-500': {borderColor: 'rgb(115,115,115)'},
  'border-neutral-600': {borderColor: 'rgb(82,82,82)'},
  'border-neutral-700': {borderColor: 'rgb(64,64,64)'},
  'border-neutral-800': {borderColor: 'rgb(38,38,38)'},
  'border-neutral-900': {borderColor: 'rgb(23,23,23)'},
  'border-neutral-950': {borderColor: 'rgb(10,10,10)'},
  'border-orange-100': {borderColor: 'rgb(255,237,213)'},
  'border-orange-200': {borderColor: 'rgb(254,215,170)'},
  'border-orange-300': {borderColor: 'rgb(253,186,116)'},
  'border-orange-400': {borderColor: 'rgb(251,146,60)'},
  'border-orange-50': {borderColor: 'rgb(255,247,237)'},
  'border-orange-500': {borderColor: 'rgb(249,115,22)'},
  'border-orange-600': {borderColor: 'rgb(234,88,12)'},
  'border-orange-700': {borderColor: 'rgb(194,65,12)'},
  'border-orange-800': {borderColor: 'rgb(154,52,18)'},
  'border-orange-900': {borderColor: 'rgb(124,45,18)'},
  'border-orange-950': {borderColor: 'rgb(67,20,7)'},
  'border-pink-100': {borderColor: 'rgb(252,231,243)'},
  'border-pink-200': {borderColor: 'rgb(251,207,232)'},
  'border-pink-300': {borderColor: 'rgb(249,168,212)'},
  'border-pink-400': {borderColor: 'rgb(244,114,182)'},
  'border-pink-50': {borderColor: 'rgb(253,242,248)'},
  'border-pink-500': {borderColor: 'rgb(236,72,153)'},
  'border-pink-600': {borderColor: 'rgb(219,39,119)'},
  'border-pink-700': {borderColor: 'rgb(190,24,93)'},
  'border-pink-800': {borderColor: 'rgb(157,23,77)'},
  'border-pink-900': {borderColor: 'rgb(131,24,67)'},
  'border-pink-950': {borderColor: 'rgb(80,7,36)'},
  'border-purple-100': {borderColor: 'rgb(243,232,255)'},
  'border-purple-200': {borderColor: 'rgb(233,213,255)'},
  'border-purple-300': {borderColor: 'rgb(216,180,254)'},
  'border-purple-400': {borderColor: 'rgb(192,132,252)'},
  'border-purple-50': {borderColor: 'rgb(250,245,255)'},
  'border-purple-500': {borderColor: 'rgb(168,85,247)'},
  'border-purple-600': {borderColor: 'rgb(147,51,234)'},
  'border-purple-700': {borderColor: 'rgb(126,34,206)'},
  'border-purple-800': {borderColor: 'rgb(107,33,168)'},
  'border-purple-900': {borderColor: 'rgb(88,28,135)'},
  'border-purple-950': {borderColor: 'rgb(59,7,100)'},
  'border-red-100': {borderColor: 'rgb(254,226,226)'},
  'border-red-200': {borderColor: 'rgb(254,202,202)'},
  'border-red-300': {borderColor: 'rgb(252,165,165)'},
  'border-red-400': {borderColor: 'rgb(248,113,113)'},
  'border-red-50': {borderColor: 'rgb(254,242,242)'},
  'border-red-500': {borderColor: 'rgb(239,68,68)'},
  'border-red-600': {borderColor: 'rgb(220,38,38)'},
  'border-red-700': {borderColor: 'rgb(185,28,28)'},
  'border-red-800': {borderColor: 'rgb(153,27,27)'},
  'border-red-900': {borderColor: 'rgb(127,29,29)'},
  'border-red-950': {borderColor: 'rgb(69,10,10)'},
  'border-rose-100': {borderColor: 'rgb(255,228,230)'},
  'border-rose-200': {borderColor: 'rgb(254,205,211)'},
  'border-rose-300': {borderColor: 'rgb(253,164,175)'},
  'border-rose-400': {borderColor: 'rgb(251,113,133)'},
  'border-rose-50': {borderColor: 'rgb(255,241,242)'},
  'border-rose-500': {borderColor: 'rgb(244,63,94)'},
  'border-rose-600': {borderColor: 'rgb(225,29,72)'},
  'border-rose-700': {borderColor: 'rgb(190,18,60)'},
  'border-rose-800': {borderColor: 'rgb(159,18,57)'},
  'border-rose-900': {borderColor: 'rgb(136,19,55)'},
  'border-rose-950': {borderColor: 'rgb(76,5,25)'},
  'border-sky-100': {borderColor: 'rgb(224,242,254)'},
  'border-sky-200': {borderColor: 'rgb(186,230,253)'},
  'border-sky-300': {borderColor: 'rgb(125,211,252)'},
  'border-sky-400': {borderColor: 'rgb(56,189,248)'},
  'border-sky-50': {borderColor: 'rgb(240,249,255)'},
  'border-sky-500': {borderColor: 'rgb(14,165,233)'},
  'border-sky-600': {borderColor: 'rgb(2,132,199)'},
  'border-sky-700': {borderColor: 'rgb(3,105,161)'},
  'border-sky-800': {borderColor: 'rgb(7,89,133)'},
  'border-sky-900': {borderColor: 'rgb(12,74,110)'},
  'border-sky-950': {borderColor: 'rgb(8,47,73)'},
  'border-slate-100': {borderColor: 'rgb(241,245,249)'},
  'border-slate-200': {borderColor: 'rgb(226,232,240)'},
  'border-slate-300': {borderColor: 'rgb(203,213,225)'},
  'border-slate-400': {borderColor: 'rgb(148,163,184)'},
  'border-slate-50': {borderColor: 'rgb(248,250,252)'},
  'border-slate-500': {borderColor: 'rgb(100,116,139)'},
  'border-slate-600': {borderColor: 'rgb(71,85,105)'},
  'border-slate-700': {borderColor: 'rgb(51,65,85)'},
  'border-slate-800': {borderColor: 'rgb(30,41,59)'},
  'border-slate-900': {borderColor: 'rgb(15,23,42)'},
  'border-slate-950': {borderColor: 'rgb(2,6,23)'},
  'border-stone-100': {borderColor: 'rgb(245,245,244)'},
  'border-stone-200': {borderColor: 'rgb(231,229,228)'},
  'border-stone-300': {borderColor: 'rgb(214,211,209)'},
  'border-stone-400': {borderColor: 'rgb(168,162,158)'},
  'border-stone-50': {borderColor: 'rgb(250,250,249)'},
  'border-stone-500': {borderColor: 'rgb(120,113,108)'},
  'border-stone-600': {borderColor: 'rgb(87,83,78)'},
  'border-stone-700': {borderColor: 'rgb(68,64,60)'},
  'border-stone-800': {borderColor: 'rgb(41,37,36)'},
  'border-stone-900': {borderColor: 'rgb(28,25,23)'},
  'border-stone-950': {borderColor: 'rgb(12,10,9)'},
  'border-teal-100': {borderColor: 'rgb(204,251,241)'},
  'border-teal-200': {borderColor: 'rgb(153,246,228)'},
  'border-teal-300': {borderColor: 'rgb(94,234,212)'},
  'border-teal-400': {borderColor: 'rgb(45,212,191)'},
  'border-teal-50': {borderColor: 'rgb(240,253,250)'},
  'border-teal-500': {borderColor: 'rgb(20,184,166)'},
  'border-teal-600': {borderColor: 'rgb(13,148,136)'},
  'border-teal-700': {borderColor: 'rgb(15,118,110)'},
  'border-teal-800': {borderColor: 'rgb(17,94,89)'},
  'border-teal-900': {borderColor: 'rgb(19,78,74)'},
  'border-teal-950': {borderColor: 'rgb(4,47,46)'},
  'border-transparent': {borderColor: 'transparent'},
  'border-violet-100': {borderColor: 'rgb(237,233,254)'},
  'border-violet-200': {borderColor: 'rgb(221,214,254)'},
  'border-violet-300': {borderColor: 'rgb(196,181,253)'},
  'border-violet-400': {borderColor: 'rgb(167,139,250)'},
  'border-violet-50': {borderColor: 'rgb(245,243,255)'},
  'border-violet-500': {borderColor: 'rgb(139,92,246)'},
  'border-violet-600': {borderColor: 'rgb(124,58,237)'},
  'border-violet-700': {borderColor: 'rgb(109,40,217)'},
  'border-violet-800': {borderColor: 'rgb(91,33,182)'},
  'border-violet-900': {borderColor: 'rgb(76,29,149)'},
  'border-violet-950': {borderColor: 'rgb(46,16,101)'},
  'border-white': {borderColor: 'rgb(255,255,255)'},
  'border-yellow-100': {borderColor: 'rgb(254,249,195)'},
  'border-yellow-200': {borderColor: 'rgb(254,240,138)'},
  'border-yellow-300': {borderColor: 'rgb(253,224,71)'},
  'border-yellow-400': {borderColor: 'rgb(250,204,21)'},
  'border-yellow-50': {borderColor: 'rgb(254,252,232)'},
  'border-yellow-500': {borderColor: 'rgb(234,179,8)'},
  'border-yellow-600': {borderColor: 'rgb(202,138,4)'},
  'border-yellow-700': {borderColor: 'rgb(161,98,7)'},
  'border-yellow-800': {borderColor: 'rgb(133,77,14)'},
  'border-yellow-900': {borderColor: 'rgb(113,63,18)'},
  'border-yellow-950': {borderColor: 'rgb(66,32,6)'},
  'border-zinc-100': {borderColor: 'rgb(244,244,245)'},
  'border-zinc-200': {borderColor: 'rgb(228,228,231)'},
  'border-zinc-300': {borderColor: 'rgb(212,212,216)'},
  'border-zinc-400': {borderColor: 'rgb(161,161,170)'},
  'border-zinc-50': {borderColor: 'rgb(250,250,250)'},
  'border-zinc-500': {borderColor: 'rgb(113,113,122)'},
  'border-zinc-600': {borderColor: 'rgb(82,82,91)'},
  'border-zinc-700': {borderColor: 'rgb(63,63,70)'},
  'border-zinc-800': {borderColor: 'rgb(39,39,42)'},
  'border-zinc-900': {borderColor: 'rgb(24,24,27)'},
  'border-zinc-950': {borderColor: 'rgb(9,9,11)'},
  'border-l-amber-100': {borderLeftColor: 'rgb(254,243,199)'},
  'border-l-amber-200': {borderLeftColor: 'rgb(253,230,138)'},
  'border-l-amber-300': {borderLeftColor: 'rgb(252,211,77)'},
  'border-l-amber-400': {borderLeftColor: 'rgb(251,191,36)'},
  'border-l-amber-50': {borderLeftColor: 'rgb(255,251,235)'},
  'border-l-amber-500': {borderLeftColor: 'rgb(245,158,11)'},
  'border-l-amber-600': {borderLeftColor: 'rgb(217,119,6)'},
  'border-l-amber-700': {borderLeftColor: 'rgb(180,83,9)'},
  'border-l-amber-800': {borderLeftColor: 'rgb(146,64,14)'},
  'border-l-amber-900': {borderLeftColor: 'rgb(120,53,15)'},
  'border-l-amber-950': {borderLeftColor: 'rgb(69,26,3)'},
  'border-l-black': {borderLeftColor: 'rgb(0,0,0)'},
  'border-l-blue-100': {borderLeftColor: 'rgb(219,234,254)'},
  'border-l-blue-200': {borderLeftColor: 'rgb(191,219,254)'},
  'border-l-blue-300': {borderLeftColor: 'rgb(147,197,253)'},
  'border-l-blue-400': {borderLeftColor: 'rgb(96,165,250)'},
  'border-l-blue-50': {borderLeftColor: 'rgb(239,246,255)'},
  'border-l-blue-500': {borderLeftColor: 'rgb(59,130,246)'},
  'border-l-blue-600': {borderLeftColor: 'rgb(37,99,235)'},
  'border-l-blue-700': {borderLeftColor: 'rgb(29,78,216)'},
  'border-l-blue-800': {borderLeftColor: 'rgb(30,64,175)'},
  'border-l-blue-900': {borderLeftColor: 'rgb(30,58,138)'},
  'border-l-blue-950': {borderLeftColor: 'rgb(23,37,84)'},
  'border-l-cyan-100': {borderLeftColor: 'rgb(207,250,254)'},
  'border-l-cyan-200': {borderLeftColor: 'rgb(165,243,252)'},
  'border-l-cyan-300': {borderLeftColor: 'rgb(103,232,249)'},
  'border-l-cyan-400': {borderLeftColor: 'rgb(34,211,238)'},
  'border-l-cyan-50': {borderLeftColor: 'rgb(236,254,255)'},
  'border-l-cyan-500': {borderLeftColor: 'rgb(6,182,212)'},
  'border-l-cyan-600': {borderLeftColor: 'rgb(8,145,178)'},
  'border-l-cyan-700': {borderLeftColor: 'rgb(14,116,144)'},
  'border-l-cyan-800': {borderLeftColor: 'rgb(21,94,117)'},
  'border-l-cyan-900': {borderLeftColor: 'rgb(22,78,99)'},
  'border-l-cyan-950': {borderLeftColor: 'rgb(8,51,68)'},
  'border-l-emerald-100': {borderLeftColor: 'rgb(209,250,229)'},
  'border-l-emerald-200': {borderLeftColor: 'rgb(167,243,208)'},
  'border-l-emerald-300': {borderLeftColor: 'rgb(110,231,183)'},
  'border-l-emerald-400': {borderLeftColor: 'rgb(52,211,153)'},
  'border-l-emerald-50': {borderLeftColor: 'rgb(236,253,245)'},
  'border-l-emerald-500': {borderLeftColor: 'rgb(16,185,129)'},
  'border-l-emerald-600': {borderLeftColor: 'rgb(5,150,105)'},
  'border-l-emerald-700': {borderLeftColor: 'rgb(4,120,87)'},
  'border-l-emerald-800': {borderLeftColor: 'rgb(6,95,70)'},
  'border-l-emerald-900': {borderLeftColor: 'rgb(6,78,59)'},
  'border-l-emerald-950': {borderLeftColor: 'rgb(2,44,34)'},
  'border-l-fuchsia-100': {borderLeftColor: 'rgb(250,232,255)'},
  'border-l-fuchsia-200': {borderLeftColor: 'rgb(245,208,254)'},
  'border-l-fuchsia-300': {borderLeftColor: 'rgb(240,171,252)'},
  'border-l-fuchsia-400': {borderLeftColor: 'rgb(232,121,249)'},
  'border-l-fuchsia-50': {borderLeftColor: 'rgb(253,244,255)'},
  'border-l-fuchsia-500': {borderLeftColor: 'rgb(217,70,239)'},
  'border-l-fuchsia-600': {borderLeftColor: 'rgb(192,38,211)'},
  'border-l-fuchsia-700': {borderLeftColor: 'rgb(162,28,175)'},
  'border-l-fuchsia-800': {borderLeftColor: 'rgb(134,25,143)'},
  'border-l-fuchsia-900': {borderLeftColor: 'rgb(112,26,117)'},
  'border-l-fuchsia-950': {borderLeftColor: 'rgb(74,4,78)'},
  'border-l-gray-100': {borderLeftColor: 'rgb(243,244,246)'},
  'border-l-gray-200': {borderLeftColor: 'rgb(229,231,235)'},
  'border-l-gray-300': {borderLeftColor: 'rgb(209,213,219)'},
  'border-l-gray-400': {borderLeftColor: 'rgb(156,163,175)'},
  'border-l-gray-50': {borderLeftColor: 'rgb(249,250,251)'},
  'border-l-gray-500': {borderLeftColor: 'rgb(107,114,128)'},
  'border-l-gray-600': {borderLeftColor: 'rgb(75,85,99)'},
  'border-l-gray-700': {borderLeftColor: 'rgb(55,65,81)'},
  'border-l-gray-800': {borderLeftColor: 'rgb(31,41,55)'},
  'border-l-gray-900': {borderLeftColor: 'rgb(17,24,39)'},
  'border-l-gray-950': {borderLeftColor: 'rgb(3,7,18)'},
  'border-l-green-100': {borderLeftColor: 'rgb(220,252,231)'},
  'border-l-green-200': {borderLeftColor: 'rgb(187,247,208)'},
  'border-l-green-300': {borderLeftColor: 'rgb(134,239,172)'},
  'border-l-green-400': {borderLeftColor: 'rgb(74,222,128)'},
  'border-l-green-50': {borderLeftColor: 'rgb(240,253,244)'},
  'border-l-green-500': {borderLeftColor: 'rgb(34,197,94)'},
  'border-l-green-600': {borderLeftColor: 'rgb(22,163,74)'},
  'border-l-green-700': {borderLeftColor: 'rgb(21,128,61)'},
  'border-l-green-800': {borderLeftColor: 'rgb(22,101,52)'},
  'border-l-green-900': {borderLeftColor: 'rgb(20,83,45)'},
  'border-l-green-950': {borderLeftColor: 'rgb(5,46,22)'},
  'border-l-indigo-100': {borderLeftColor: 'rgb(224,231,255)'},
  'border-l-indigo-200': {borderLeftColor: 'rgb(199,210,254)'},
  'border-l-indigo-300': {borderLeftColor: 'rgb(165,180,252)'},
  'border-l-indigo-400': {borderLeftColor: 'rgb(129,140,248)'},
  'border-l-indigo-50': {borderLeftColor: 'rgb(238,242,255)'},
  'border-l-indigo-500': {borderLeftColor: 'rgb(99,102,241)'},
  'border-l-indigo-600': {borderLeftColor: 'rgb(79,70,229)'},
  'border-l-indigo-700': {borderLeftColor: 'rgb(67,56,202)'},
  'border-l-indigo-800': {borderLeftColor: 'rgb(55,48,163)'},
  'border-l-indigo-900': {borderLeftColor: 'rgb(49,46,129)'},
  'border-l-indigo-950': {borderLeftColor: 'rgb(30,27,75)'},
  'border-l-lime-100': {borderLeftColor: 'rgb(236,252,203)'},
  'border-l-lime-200': {borderLeftColor: 'rgb(217,249,157)'},
  'border-l-lime-300': {borderLeftColor: 'rgb(190,242,100)'},
  'border-l-lime-400': {borderLeftColor: 'rgb(163,230,53)'},
  'border-l-lime-50': {borderLeftColor: 'rgb(247,254,231)'},
  'border-l-lime-500': {borderLeftColor: 'rgb(132,204,22)'},
  'border-l-lime-600': {borderLeftColor: 'rgb(101,163,13)'},
  'border-l-lime-700': {borderLeftColor: 'rgb(77,124,15)'},
  'border-l-lime-800': {borderLeftColor: 'rgb(63,98,18)'},
  'border-l-lime-900': {borderLeftColor: 'rgb(54,83,20)'},
  'border-l-lime-950': {borderLeftColor: 'rgb(26,46,5)'},
  'border-l-neutral-100': {borderLeftColor: 'rgb(245,245,245)'},
  'border-l-neutral-200': {borderLeftColor: 'rgb(229,229,229)'},
  'border-l-neutral-300': {borderLeftColor: 'rgb(212,212,212)'},
  'border-l-neutral-400': {borderLeftColor: 'rgb(163,163,163)'},
  'border-l-neutral-50': {borderLeftColor: 'rgb(250,250,250)'},
  'border-l-neutral-500': {borderLeftColor: 'rgb(115,115,115)'},
  'border-l-neutral-600': {borderLeftColor: 'rgb(82,82,82)'},
  'border-l-neutral-700': {borderLeftColor: 'rgb(64,64,64)'},
  'border-l-neutral-800': {borderLeftColor: 'rgb(38,38,38)'},
  'border-l-neutral-900': {borderLeftColor: 'rgb(23,23,23)'},
  'border-l-neutral-950': {borderLeftColor: 'rgb(10,10,10)'},
  'border-l-orange-100': {borderLeftColor: 'rgb(255,237,213)'},
  'border-l-orange-200': {borderLeftColor: 'rgb(254,215,170)'},
  'border-l-orange-300': {borderLeftColor: 'rgb(253,186,116)'},
  'border-l-orange-400': {borderLeftColor: 'rgb(251,146,60)'},
  'border-l-orange-50': {borderLeftColor: 'rgb(255,247,237)'},
  'border-l-orange-500': {borderLeftColor: 'rgb(249,115,22)'},
  'border-l-orange-600': {borderLeftColor: 'rgb(234,88,12)'},
  'border-l-orange-700': {borderLeftColor: 'rgb(194,65,12)'},
  'border-l-orange-800': {borderLeftColor: 'rgb(154,52,18)'},
  'border-l-orange-900': {borderLeftColor: 'rgb(124,45,18)'},
  'border-l-orange-950': {borderLeftColor: 'rgb(67,20,7)'},
  'border-l-pink-100': {borderLeftColor: 'rgb(252,231,243)'},
  'border-l-pink-200': {borderLeftColor: 'rgb(251,207,232)'},
  'border-l-pink-300': {borderLeftColor: 'rgb(249,168,212)'},
  'border-l-pink-400': {borderLeftColor: 'rgb(244,114,182)'},
  'border-l-pink-50': {borderLeftColor: 'rgb(253,242,248)'},
  'border-l-pink-500': {borderLeftColor: 'rgb(236,72,153)'},
  'border-l-pink-600': {borderLeftColor: 'rgb(219,39,119)'},
  'border-l-pink-700': {borderLeftColor: 'rgb(190,24,93)'},
  'border-l-pink-800': {borderLeftColor: 'rgb(157,23,77)'},
  'border-l-pink-900': {borderLeftColor: 'rgb(131,24,67)'},
  'border-l-pink-950': {borderLeftColor: 'rgb(80,7,36)'},
  'border-l-purple-100': {borderLeftColor: 'rgb(243,232,255)'},
  'border-l-purple-200': {borderLeftColor: 'rgb(233,213,255)'},
  'border-l-purple-300': {borderLeftColor: 'rgb(216,180,254)'},
  'border-l-purple-400': {borderLeftColor: 'rgb(192,132,252)'},
  'border-l-purple-50': {borderLeftColor: 'rgb(250,245,255)'},
  'border-l-purple-500': {borderLeftColor: 'rgb(168,85,247)'},
  'border-l-purple-600': {borderLeftColor: 'rgb(147,51,234)'},
  'border-l-purple-700': {borderLeftColor: 'rgb(126,34,206)'},
  'border-l-purple-800': {borderLeftColor: 'rgb(107,33,168)'},
  'border-l-purple-900': {borderLeftColor: 'rgb(88,28,135)'},
  'border-l-purple-950': {borderLeftColor: 'rgb(59,7,100)'},
  'border-l-red-100': {borderLeftColor: 'rgb(254,226,226)'},
  'border-l-red-200': {borderLeftColor: 'rgb(254,202,202)'},
  'border-l-red-300': {borderLeftColor: 'rgb(252,165,165)'},
  'border-l-red-400': {borderLeftColor: 'rgb(248,113,113)'},
  'border-l-red-50': {borderLeftColor: 'rgb(254,242,242)'},
  'border-l-red-500': {borderLeftColor: 'rgb(239,68,68)'},
  'border-l-red-600': {borderLeftColor: 'rgb(220,38,38)'},
  'border-l-red-700': {borderLeftColor: 'rgb(185,28,28)'},
  'border-l-red-800': {borderLeftColor: 'rgb(153,27,27)'},
  'border-l-red-900': {borderLeftColor: 'rgb(127,29,29)'},
  'border-l-red-950': {borderLeftColor: 'rgb(69,10,10)'},
  'border-l-rose-100': {borderLeftColor: 'rgb(255,228,230)'},
  'border-l-rose-200': {borderLeftColor: 'rgb(254,205,211)'},
  'border-l-rose-300': {borderLeftColor: 'rgb(253,164,175)'},
  'border-l-rose-400': {borderLeftColor: 'rgb(251,113,133)'},
  'border-l-rose-50': {borderLeftColor: 'rgb(255,241,242)'},
  'border-l-rose-500': {borderLeftColor: 'rgb(244,63,94)'},
  'border-l-rose-600': {borderLeftColor: 'rgb(225,29,72)'},
  'border-l-rose-700': {borderLeftColor: 'rgb(190,18,60)'},
  'border-l-rose-800': {borderLeftColor: 'rgb(159,18,57)'},
  'border-l-rose-900': {borderLeftColor: 'rgb(136,19,55)'},
  'border-l-rose-950': {borderLeftColor: 'rgb(76,5,25)'},
  'border-l-sky-100': {borderLeftColor: 'rgb(224,242,254)'},
  'border-l-sky-200': {borderLeftColor: 'rgb(186,230,253)'},
  'border-l-sky-300': {borderLeftColor: 'rgb(125,211,252)'},
  'border-l-sky-400': {borderLeftColor: 'rgb(56,189,248)'},
  'border-l-sky-50': {borderLeftColor: 'rgb(240,249,255)'},
  'border-l-sky-500': {borderLeftColor: 'rgb(14,165,233)'},
  'border-l-sky-600': {borderLeftColor: 'rgb(2,132,199)'},
  'border-l-sky-700': {borderLeftColor: 'rgb(3,105,161)'},
  'border-l-sky-800': {borderLeftColor: 'rgb(7,89,133)'},
  'border-l-sky-900': {borderLeftColor: 'rgb(12,74,110)'},
  'border-l-sky-950': {borderLeftColor: 'rgb(8,47,73)'},
  'border-l-slate-100': {borderLeftColor: 'rgb(241,245,249)'},
  'border-l-slate-200': {borderLeftColor: 'rgb(226,232,240)'},
  'border-l-slate-300': {borderLeftColor: 'rgb(203,213,225)'},
  'border-l-slate-400': {borderLeftColor: 'rgb(148,163,184)'},
  'border-l-slate-50': {borderLeftColor: 'rgb(248,250,252)'},
  'border-l-slate-500': {borderLeftColor: 'rgb(100,116,139)'},
  'border-l-slate-600': {borderLeftColor: 'rgb(71,85,105)'},
  'border-l-slate-700': {borderLeftColor: 'rgb(51,65,85)'},
  'border-l-slate-800': {borderLeftColor: 'rgb(30,41,59)'},
  'border-l-slate-900': {borderLeftColor: 'rgb(15,23,42)'},
  'border-l-slate-950': {borderLeftColor: 'rgb(2,6,23)'},
  'border-l-stone-100': {borderLeftColor: 'rgb(245,245,244)'},
  'border-l-stone-200': {borderLeftColor: 'rgb(231,229,228)'},
  'border-l-stone-300': {borderLeftColor: 'rgb(214,211,209)'},
  'border-l-stone-400': {borderLeftColor: 'rgb(168,162,158)'},
  'border-l-stone-50': {borderLeftColor: 'rgb(250,250,249)'},
  'border-l-stone-500': {borderLeftColor: 'rgb(120,113,108)'},
  'border-l-stone-600': {borderLeftColor: 'rgb(87,83,78)'},
  'border-l-stone-700': {borderLeftColor: 'rgb(68,64,60)'},
  'border-l-stone-800': {borderLeftColor: 'rgb(41,37,36)'},
  'border-l-stone-900': {borderLeftColor: 'rgb(28,25,23)'},
  'border-l-stone-950': {borderLeftColor: 'rgb(12,10,9)'},
  'border-l-teal-100': {borderLeftColor: 'rgb(204,251,241)'},
  'border-l-teal-200': {borderLeftColor: 'rgb(153,246,228)'},
  'border-l-teal-300': {borderLeftColor: 'rgb(94,234,212)'},
  'border-l-teal-400': {borderLeftColor: 'rgb(45,212,191)'},
  'border-l-teal-50': {borderLeftColor: 'rgb(240,253,250)'},
  'border-l-teal-500': {borderLeftColor: 'rgb(20,184,166)'},
  'border-l-teal-600': {borderLeftColor: 'rgb(13,148,136)'},
  'border-l-teal-700': {borderLeftColor: 'rgb(15,118,110)'},
  'border-l-teal-800': {borderLeftColor: 'rgb(17,94,89)'},
  'border-l-teal-900': {borderLeftColor: 'rgb(19,78,74)'},
  'border-l-teal-950': {borderLeftColor: 'rgb(4,47,46)'},
  'border-l-transparent': {borderLeftColor: 'transparent'},
  'border-l-violet-100': {borderLeftColor: 'rgb(237,233,254)'},
  'border-l-violet-200': {borderLeftColor: 'rgb(221,214,254)'},
  'border-l-violet-300': {borderLeftColor: 'rgb(196,181,253)'},
  'border-l-violet-400': {borderLeftColor: 'rgb(167,139,250)'},
  'border-l-violet-50': {borderLeftColor: 'rgb(245,243,255)'},
  'border-l-violet-500': {borderLeftColor: 'rgb(139,92,246)'},
  'border-l-violet-600': {borderLeftColor: 'rgb(124,58,237)'},
  'border-l-violet-700': {borderLeftColor: 'rgb(109,40,217)'},
  'border-l-violet-800': {borderLeftColor: 'rgb(91,33,182)'},
  'border-l-violet-900': {borderLeftColor: 'rgb(76,29,149)'},
  'border-l-violet-950': {borderLeftColor: 'rgb(46,16,101)'},
  'border-l-white': {borderLeftColor: 'rgb(255,255,255)'},
  'border-l-yellow-100': {borderLeftColor: 'rgb(254,249,195)'},
  'border-l-yellow-200': {borderLeftColor: 'rgb(254,240,138)'},
  'border-l-yellow-300': {borderLeftColor: 'rgb(253,224,71)'},
  'border-l-yellow-400': {borderLeftColor: 'rgb(250,204,21)'},
  'border-l-yellow-50': {borderLeftColor: 'rgb(254,252,232)'},
  'border-l-yellow-500': {borderLeftColor: 'rgb(234,179,8)'},
  'border-l-yellow-600': {borderLeftColor: 'rgb(202,138,4)'},
  'border-l-yellow-700': {borderLeftColor: 'rgb(161,98,7)'},
  'border-l-yellow-800': {borderLeftColor: 'rgb(133,77,14)'},
  'border-l-yellow-900': {borderLeftColor: 'rgb(113,63,18)'},
  'border-l-yellow-950': {borderLeftColor: 'rgb(66,32,6)'},
  'border-l-zinc-100': {borderLeftColor: 'rgb(244,244,245)'},
  'border-l-zinc-200': {borderLeftColor: 'rgb(228,228,231)'},
  'border-l-zinc-300': {borderLeftColor: 'rgb(212,212,216)'},
  'border-l-zinc-400': {borderLeftColor: 'rgb(161,161,170)'},
  'border-l-zinc-50': {borderLeftColor: 'rgb(250,250,250)'},
  'border-l-zinc-500': {borderLeftColor: 'rgb(113,113,122)'},
  'border-l-zinc-600': {borderLeftColor: 'rgb(82,82,91)'},
  'border-l-zinc-700': {borderLeftColor: 'rgb(63,63,70)'},
  'border-l-zinc-800': {borderLeftColor: 'rgb(39,39,42)'},
  'border-l-zinc-900': {borderLeftColor: 'rgb(24,24,27)'},
  'border-l-zinc-950': {borderLeftColor: 'rgb(9,9,11)'},
  'border-r-amber-100': {borderRightColor: 'rgb(254,243,199)'},
  'border-r-amber-200': {borderRightColor: 'rgb(253,230,138)'},
  'border-r-amber-300': {borderRightColor: 'rgb(252,211,77)'},
  'border-r-amber-400': {borderRightColor: 'rgb(251,191,36)'},
  'border-r-amber-50': {borderRightColor: 'rgb(255,251,235)'},
  'border-r-amber-500': {borderRightColor: 'rgb(245,158,11)'},
  'border-r-amber-600': {borderRightColor: 'rgb(217,119,6)'},
  'border-r-amber-700': {borderRightColor: 'rgb(180,83,9)'},
  'border-r-amber-800': {borderRightColor: 'rgb(146,64,14)'},
  'border-r-amber-900': {borderRightColor: 'rgb(120,53,15)'},
  'border-r-amber-950': {borderRightColor: 'rgb(69,26,3)'},
  'border-r-black': {borderRightColor: 'rgb(0,0,0)'},
  'border-r-blue-100': {borderRightColor: 'rgb(219,234,254)'},
  'border-r-blue-200': {borderRightColor: 'rgb(191,219,254)'},
  'border-r-blue-300': {borderRightColor: 'rgb(147,197,253)'},
  'border-r-blue-400': {borderRightColor: 'rgb(96,165,250)'},
  'border-r-blue-50': {borderRightColor: 'rgb(239,246,255)'},
  'border-r-blue-500': {borderRightColor: 'rgb(59,130,246)'},
  'border-r-blue-600': {borderRightColor: 'rgb(37,99,235)'},
  'border-r-blue-700': {borderRightColor: 'rgb(29,78,216)'},
  'border-r-blue-800': {borderRightColor: 'rgb(30,64,175)'},
  'border-r-blue-900': {borderRightColor: 'rgb(30,58,138)'},
  'border-r-blue-950': {borderRightColor: 'rgb(23,37,84)'},
  'border-r-cyan-100': {borderRightColor: 'rgb(207,250,254)'},
  'border-r-cyan-200': {borderRightColor: 'rgb(165,243,252)'},
  'border-r-cyan-300': {borderRightColor: 'rgb(103,232,249)'},
  'border-r-cyan-400': {borderRightColor: 'rgb(34,211,238)'},
  'border-r-cyan-50': {borderRightColor: 'rgb(236,254,255)'},
  'border-r-cyan-500': {borderRightColor: 'rgb(6,182,212)'},
  'border-r-cyan-600': {borderRightColor: 'rgb(8,145,178)'},
  'border-r-cyan-700': {borderRightColor: 'rgb(14,116,144)'},
  'border-r-cyan-800': {borderRightColor: 'rgb(21,94,117)'},
  'border-r-cyan-900': {borderRightColor: 'rgb(22,78,99)'},
  'border-r-cyan-950': {borderRightColor: 'rgb(8,51,68)'},
  'border-r-emerald-100': {borderRightColor: 'rgb(209,250,229)'},
  'border-r-emerald-200': {borderRightColor: 'rgb(167,243,208)'},
  'border-r-emerald-300': {borderRightColor: 'rgb(110,231,183)'},
  'border-r-emerald-400': {borderRightColor: 'rgb(52,211,153)'},
  'border-r-emerald-50': {borderRightColor: 'rgb(236,253,245)'},
  'border-r-emerald-500': {borderRightColor: 'rgb(16,185,129)'},
  'border-r-emerald-600': {borderRightColor: 'rgb(5,150,105)'},
  'border-r-emerald-700': {borderRightColor: 'rgb(4,120,87)'},
  'border-r-emerald-800': {borderRightColor: 'rgb(6,95,70)'},
  'border-r-emerald-900': {borderRightColor: 'rgb(6,78,59)'},
  'border-r-emerald-950': {borderRightColor: 'rgb(2,44,34)'},
  'border-r-fuchsia-100': {borderRightColor: 'rgb(250,232,255)'},
  'border-r-fuchsia-200': {borderRightColor: 'rgb(245,208,254)'},
  'border-r-fuchsia-300': {borderRightColor: 'rgb(240,171,252)'},
  'border-r-fuchsia-400': {borderRightColor: 'rgb(232,121,249)'},
  'border-r-fuchsia-50': {borderRightColor: 'rgb(253,244,255)'},
  'border-r-fuchsia-500': {borderRightColor: 'rgb(217,70,239)'},
  'border-r-fuchsia-600': {borderRightColor: 'rgb(192,38,211)'},
  'border-r-fuchsia-700': {borderRightColor: 'rgb(162,28,175)'},
  'border-r-fuchsia-800': {borderRightColor: 'rgb(134,25,143)'},
  'border-r-fuchsia-900': {borderRightColor: 'rgb(112,26,117)'},
  'border-r-fuchsia-950': {borderRightColor: 'rgb(74,4,78)'},
  'border-r-gray-100': {borderRightColor: 'rgb(243,244,246)'},
  'border-r-gray-200': {borderRightColor: 'rgb(229,231,235)'},
  'border-r-gray-300': {borderRightColor: 'rgb(209,213,219)'},
  'border-r-gray-400': {borderRightColor: 'rgb(156,163,175)'},
  'border-r-gray-50': {borderRightColor: 'rgb(249,250,251)'},
  'border-r-gray-500': {borderRightColor: 'rgb(107,114,128)'},
  'border-r-gray-600': {borderRightColor: 'rgb(75,85,99)'},
  'border-r-gray-700': {borderRightColor: 'rgb(55,65,81)'},
  'border-r-gray-800': {borderRightColor: 'rgb(31,41,55)'},
  'border-r-gray-900': {borderRightColor: 'rgb(17,24,39)'},
  'border-r-gray-950': {borderRightColor: 'rgb(3,7,18)'},
  'border-r-green-100': {borderRightColor: 'rgb(220,252,231)'},
  'border-r-green-200': {borderRightColor: 'rgb(187,247,208)'},
  'border-r-green-300': {borderRightColor: 'rgb(134,239,172)'},
  'border-r-green-400': {borderRightColor: 'rgb(74,222,128)'},
  'border-r-green-50': {borderRightColor: 'rgb(240,253,244)'},
  'border-r-green-500': {borderRightColor: 'rgb(34,197,94)'},
  'border-r-green-600': {borderRightColor: 'rgb(22,163,74)'},
  'border-r-green-700': {borderRightColor: 'rgb(21,128,61)'},
  'border-r-green-800': {borderRightColor: 'rgb(22,101,52)'},
  'border-r-green-900': {borderRightColor: 'rgb(20,83,45)'},
  'border-r-green-950': {borderRightColor: 'rgb(5,46,22)'},
  'border-r-indigo-100': {borderRightColor: 'rgb(224,231,255)'},
  'border-r-indigo-200': {borderRightColor: 'rgb(199,210,254)'},
  'border-r-indigo-300': {borderRightColor: 'rgb(165,180,252)'},
  'border-r-indigo-400': {borderRightColor: 'rgb(129,140,248)'},
  'border-r-indigo-50': {borderRightColor: 'rgb(238,242,255)'},
  'border-r-indigo-500': {borderRightColor: 'rgb(99,102,241)'},
  'border-r-indigo-600': {borderRightColor: 'rgb(79,70,229)'},
  'border-r-indigo-700': {borderRightColor: 'rgb(67,56,202)'},
  'border-r-indigo-800': {borderRightColor: 'rgb(55,48,163)'},
  'border-r-indigo-900': {borderRightColor: 'rgb(49,46,129)'},
  'border-r-indigo-950': {borderRightColor: 'rgb(30,27,75)'},
  'border-r-lime-100': {borderRightColor: 'rgb(236,252,203)'},
  'border-r-lime-200': {borderRightColor: 'rgb(217,249,157)'},
  'border-r-lime-300': {borderRightColor: 'rgb(190,242,100)'},
  'border-r-lime-400': {borderRightColor: 'rgb(163,230,53)'},
  'border-r-lime-50': {borderRightColor: 'rgb(247,254,231)'},
  'border-r-lime-500': {borderRightColor: 'rgb(132,204,22)'},
  'border-r-lime-600': {borderRightColor: 'rgb(101,163,13)'},
  'border-r-lime-700': {borderRightColor: 'rgb(77,124,15)'},
  'border-r-lime-800': {borderRightColor: 'rgb(63,98,18)'},
  'border-r-lime-900': {borderRightColor: 'rgb(54,83,20)'},
  'border-r-lime-950': {borderRightColor: 'rgb(26,46,5)'},
  'border-r-neutral-100': {borderRightColor: 'rgb(245,245,245)'},
  'border-r-neutral-200': {borderRightColor: 'rgb(229,229,229)'},
  'border-r-neutral-300': {borderRightColor: 'rgb(212,212,212)'},
  'border-r-neutral-400': {borderRightColor: 'rgb(163,163,163)'},
  'border-r-neutral-50': {borderRightColor: 'rgb(250,250,250)'},
  'border-r-neutral-500': {borderRightColor: 'rgb(115,115,115)'},
  'border-r-neutral-600': {borderRightColor: 'rgb(82,82,82)'},
  'border-r-neutral-700': {borderRightColor: 'rgb(64,64,64)'},
  'border-r-neutral-800': {borderRightColor: 'rgb(38,38,38)'},
  'border-r-neutral-900': {borderRightColor: 'rgb(23,23,23)'},
  'border-r-neutral-950': {borderRightColor: 'rgb(10,10,10)'},
  'border-r-orange-100': {borderRightColor: 'rgb(255,237,213)'},
  'border-r-orange-200': {borderRightColor: 'rgb(254,215,170)'},
  'border-r-orange-300': {borderRightColor: 'rgb(253,186,116)'},
  'border-r-orange-400': {borderRightColor: 'rgb(251,146,60)'},
  'border-r-orange-50': {borderRightColor: 'rgb(255,247,237)'},
  'border-r-orange-500': {borderRightColor: 'rgb(249,115,22)'},
  'border-r-orange-600': {borderRightColor: 'rgb(234,88,12)'},
  'border-r-orange-700': {borderRightColor: 'rgb(194,65,12)'},
  'border-r-orange-800': {borderRightColor: 'rgb(154,52,18)'},
  'border-r-orange-900': {borderRightColor: 'rgb(124,45,18)'},
  'border-r-orange-950': {borderRightColor: 'rgb(67,20,7)'},
  'border-r-pink-100': {borderRightColor: 'rgb(252,231,243)'},
  'border-r-pink-200': {borderRightColor: 'rgb(251,207,232)'},
  'border-r-pink-300': {borderRightColor: 'rgb(249,168,212)'},
  'border-r-pink-400': {borderRightColor: 'rgb(244,114,182)'},
  'border-r-pink-50': {borderRightColor: 'rgb(253,242,248)'},
  'border-r-pink-500': {borderRightColor: 'rgb(236,72,153)'},
  'border-r-pink-600': {borderRightColor: 'rgb(219,39,119)'},
  'border-r-pink-700': {borderRightColor: 'rgb(190,24,93)'},
  'border-r-pink-800': {borderRightColor: 'rgb(157,23,77)'},
  'border-r-pink-900': {borderRightColor: 'rgb(131,24,67)'},
  'border-r-pink-950': {borderRightColor: 'rgb(80,7,36)'},
  'border-r-purple-100': {borderRightColor: 'rgb(243,232,255)'},
  'border-r-purple-200': {borderRightColor: 'rgb(233,213,255)'},
  'border-r-purple-300': {borderRightColor: 'rgb(216,180,254)'},
  'border-r-purple-400': {borderRightColor: 'rgb(192,132,252)'},
  'border-r-purple-50': {borderRightColor: 'rgb(250,245,255)'},
  'border-r-purple-500': {borderRightColor: 'rgb(168,85,247)'},
  'border-r-purple-600': {borderRightColor: 'rgb(147,51,234)'},
  'border-r-purple-700': {borderRightColor: 'rgb(126,34,206)'},
  'border-r-purple-800': {borderRightColor: 'rgb(107,33,168)'},
  'border-r-purple-900': {borderRightColor: 'rgb(88,28,135)'},
  'border-r-purple-950': {borderRightColor: 'rgb(59,7,100)'},
  'border-r-red-100': {borderRightColor: 'rgb(254,226,226)'},
  'border-r-red-200': {borderRightColor: 'rgb(254,202,202)'},
  'border-r-red-300': {borderRightColor: 'rgb(252,165,165)'},
  'border-r-red-400': {borderRightColor: 'rgb(248,113,113)'},
  'border-r-red-50': {borderRightColor: 'rgb(254,242,242)'},
  'border-r-red-500': {borderRightColor: 'rgb(239,68,68)'},
  'border-r-red-600': {borderRightColor: 'rgb(220,38,38)'},
  'border-r-red-700': {borderRightColor: 'rgb(185,28,28)'},
  'border-r-red-800': {borderRightColor: 'rgb(153,27,27)'},
  'border-r-red-900': {borderRightColor: 'rgb(127,29,29)'},
  'border-r-red-950': {borderRightColor: 'rgb(69,10,10)'},
  'border-r-rose-100': {borderRightColor: 'rgb(255,228,230)'},
  'border-r-rose-200': {borderRightColor: 'rgb(254,205,211)'},
  'border-r-rose-300': {borderRightColor: 'rgb(253,164,175)'},
  'border-r-rose-400': {borderRightColor: 'rgb(251,113,133)'},
  'border-r-rose-50': {borderRightColor: 'rgb(255,241,242)'},
  'border-r-rose-500': {borderRightColor: 'rgb(244,63,94)'},
  'border-r-rose-600': {borderRightColor: 'rgb(225,29,72)'},
  'border-r-rose-700': {borderRightColor: 'rgb(190,18,60)'},
  'border-r-rose-800': {borderRightColor: 'rgb(159,18,57)'},
  'border-r-rose-900': {borderRightColor: 'rgb(136,19,55)'},
  'border-r-rose-950': {borderRightColor: 'rgb(76,5,25)'},
  'border-r-sky-100': {borderRightColor: 'rgb(224,242,254)'},
  'border-r-sky-200': {borderRightColor: 'rgb(186,230,253)'},
  'border-r-sky-300': {borderRightColor: 'rgb(125,211,252)'},
  'border-r-sky-400': {borderRightColor: 'rgb(56,189,248)'},
  'border-r-sky-50': {borderRightColor: 'rgb(240,249,255)'},
  'border-r-sky-500': {borderRightColor: 'rgb(14,165,233)'},
  'border-r-sky-600': {borderRightColor: 'rgb(2,132,199)'},
  'border-r-sky-700': {borderRightColor: 'rgb(3,105,161)'},
  'border-r-sky-800': {borderRightColor: 'rgb(7,89,133)'},
  'border-r-sky-900': {borderRightColor: 'rgb(12,74,110)'},
  'border-r-sky-950': {borderRightColor: 'rgb(8,47,73)'},
  'border-r-slate-100': {borderRightColor: 'rgb(241,245,249)'},
  'border-r-slate-200': {borderRightColor: 'rgb(226,232,240)'},
  'border-r-slate-300': {borderRightColor: 'rgb(203,213,225)'},
  'border-r-slate-400': {borderRightColor: 'rgb(148,163,184)'},
  'border-r-slate-50': {borderRightColor: 'rgb(248,250,252)'},
  'border-r-slate-500': {borderRightColor: 'rgb(100,116,139)'},
  'border-r-slate-600': {borderRightColor: 'rgb(71,85,105)'},
  'border-r-slate-700': {borderRightColor: 'rgb(51,65,85)'},
  'border-r-slate-800': {borderRightColor: 'rgb(30,41,59)'},
  'border-r-slate-900': {borderRightColor: 'rgb(15,23,42)'},
  'border-r-slate-950': {borderRightColor: 'rgb(2,6,23)'},
  'border-r-stone-100': {borderRightColor: 'rgb(245,245,244)'},
  'border-r-stone-200': {borderRightColor: 'rgb(231,229,228)'},
  'border-r-stone-300': {borderRightColor: 'rgb(214,211,209)'},
  'border-r-stone-400': {borderRightColor: 'rgb(168,162,158)'},
  'border-r-stone-50': {borderRightColor: 'rgb(250,250,249)'},
  'border-r-stone-500': {borderRightColor: 'rgb(120,113,108)'},
  'border-r-stone-600': {borderRightColor: 'rgb(87,83,78)'},
  'border-r-stone-700': {borderRightColor: 'rgb(68,64,60)'},
  'border-r-stone-800': {borderRightColor: 'rgb(41,37,36)'},
  'border-r-stone-900': {borderRightColor: 'rgb(28,25,23)'},
  'border-r-stone-950': {borderRightColor: 'rgb(12,10,9)'},
  'border-r-teal-100': {borderRightColor: 'rgb(204,251,241)'},
  'border-r-teal-200': {borderRightColor: 'rgb(153,246,228)'},
  'border-r-teal-300': {borderRightColor: 'rgb(94,234,212)'},
  'border-r-teal-400': {borderRightColor: 'rgb(45,212,191)'},
  'border-r-teal-50': {borderRightColor: 'rgb(240,253,250)'},
  'border-r-teal-500': {borderRightColor: 'rgb(20,184,166)'},
  'border-r-teal-600': {borderRightColor: 'rgb(13,148,136)'},
  'border-r-teal-700': {borderRightColor: 'rgb(15,118,110)'},
  'border-r-teal-800': {borderRightColor: 'rgb(17,94,89)'},
  'border-r-teal-900': {borderRightColor: 'rgb(19,78,74)'},
  'border-r-teal-950': {borderRightColor: 'rgb(4,47,46)'},
  'border-r-transparent': {borderRightColor: 'transparent'},
  'border-r-violet-100': {borderRightColor: 'rgb(237,233,254)'},
  'border-r-violet-200': {borderRightColor: 'rgb(221,214,254)'},
  'border-r-violet-300': {borderRightColor: 'rgb(196,181,253)'},
  'border-r-violet-400': {borderRightColor: 'rgb(167,139,250)'},
  'border-r-violet-50': {borderRightColor: 'rgb(245,243,255)'},
  'border-r-violet-500': {borderRightColor: 'rgb(139,92,246)'},
  'border-r-violet-600': {borderRightColor: 'rgb(124,58,237)'},
  'border-r-violet-700': {borderRightColor: 'rgb(109,40,217)'},
  'border-r-violet-800': {borderRightColor: 'rgb(91,33,182)'},
  'border-r-violet-900': {borderRightColor: 'rgb(76,29,149)'},
  'border-r-violet-950': {borderRightColor: 'rgb(46,16,101)'},
  'border-r-white': {borderRightColor: 'rgb(255,255,255)'},
  'border-r-yellow-100': {borderRightColor: 'rgb(254,249,195)'},
  'border-r-yellow-200': {borderRightColor: 'rgb(254,240,138)'},
  'border-r-yellow-300': {borderRightColor: 'rgb(253,224,71)'},
  'border-r-yellow-400': {borderRightColor: 'rgb(250,204,21)'},
  'border-r-yellow-50': {borderRightColor: 'rgb(254,252,232)'},
  'border-r-yellow-500': {borderRightColor: 'rgb(234,179,8)'},
  'border-r-yellow-600': {borderRightColor: 'rgb(202,138,4)'},
  'border-r-yellow-700': {borderRightColor: 'rgb(161,98,7)'},
  'border-r-yellow-800': {borderRightColor: 'rgb(133,77,14)'},
  'border-r-yellow-900': {borderRightColor: 'rgb(113,63,18)'},
  'border-r-yellow-950': {borderRightColor: 'rgb(66,32,6)'},
  'border-r-zinc-100': {borderRightColor: 'rgb(244,244,245)'},
  'border-r-zinc-200': {borderRightColor: 'rgb(228,228,231)'},
  'border-r-zinc-300': {borderRightColor: 'rgb(212,212,216)'},
  'border-r-zinc-400': {borderRightColor: 'rgb(161,161,170)'},
  'border-r-zinc-50': {borderRightColor: 'rgb(250,250,250)'},
  'border-r-zinc-500': {borderRightColor: 'rgb(113,113,122)'},
  'border-r-zinc-600': {borderRightColor: 'rgb(82,82,91)'},
  'border-r-zinc-700': {borderRightColor: 'rgb(63,63,70)'},
  'border-r-zinc-800': {borderRightColor: 'rgb(39,39,42)'},
  'border-r-zinc-900': {borderRightColor: 'rgb(24,24,27)'},
  'border-r-zinc-950': {borderRightColor: 'rgb(9,9,11)'},
  'border-t-amber-100': {borderTopColor: 'rgb(254,243,199)'},
  'border-t-amber-200': {borderTopColor: 'rgb(253,230,138)'},
  'border-t-amber-300': {borderTopColor: 'rgb(252,211,77)'},
  'border-t-amber-400': {borderTopColor: 'rgb(251,191,36)'},
  'border-t-amber-50': {borderTopColor: 'rgb(255,251,235)'},
  'border-t-amber-500': {borderTopColor: 'rgb(245,158,11)'},
  'border-t-amber-600': {borderTopColor: 'rgb(217,119,6)'},
  'border-t-amber-700': {borderTopColor: 'rgb(180,83,9)'},
  'border-t-amber-800': {borderTopColor: 'rgb(146,64,14)'},
  'border-t-amber-900': {borderTopColor: 'rgb(120,53,15)'},
  'border-t-amber-950': {borderTopColor: 'rgb(69,26,3)'},
  'border-t-black': {borderTopColor: 'rgb(0,0,0)'},
  'border-t-blue-100': {borderTopColor: 'rgb(219,234,254)'},
  'border-t-blue-200': {borderTopColor: 'rgb(191,219,254)'},
  'border-t-blue-300': {borderTopColor: 'rgb(147,197,253)'},
  'border-t-blue-400': {borderTopColor: 'rgb(96,165,250)'},
  'border-t-blue-50': {borderTopColor: 'rgb(239,246,255)'},
  'border-t-blue-500': {borderTopColor: 'rgb(59,130,246)'},
  'border-t-blue-600': {borderTopColor: 'rgb(37,99,235)'},
  'border-t-blue-700': {borderTopColor: 'rgb(29,78,216)'},
  'border-t-blue-800': {borderTopColor: 'rgb(30,64,175)'},
  'border-t-blue-900': {borderTopColor: 'rgb(30,58,138)'},
  'border-t-blue-950': {borderTopColor: 'rgb(23,37,84)'},
  'border-t-cyan-100': {borderTopColor: 'rgb(207,250,254)'},
  'border-t-cyan-200': {borderTopColor: 'rgb(165,243,252)'},
  'border-t-cyan-300': {borderTopColor: 'rgb(103,232,249)'},
  'border-t-cyan-400': {borderTopColor: 'rgb(34,211,238)'},
  'border-t-cyan-50': {borderTopColor: 'rgb(236,254,255)'},
  'border-t-cyan-500': {borderTopColor: 'rgb(6,182,212)'},
  'border-t-cyan-600': {borderTopColor: 'rgb(8,145,178)'},
  'border-t-cyan-700': {borderTopColor: 'rgb(14,116,144)'},
  'border-t-cyan-800': {borderTopColor: 'rgb(21,94,117)'},
  'border-t-cyan-900': {borderTopColor: 'rgb(22,78,99)'},
  'border-t-cyan-950': {borderTopColor: 'rgb(8,51,68)'},
  'border-t-emerald-100': {borderTopColor: 'rgb(209,250,229)'},
  'border-t-emerald-200': {borderTopColor: 'rgb(167,243,208)'},
  'border-t-emerald-300': {borderTopColor: 'rgb(110,231,183)'},
  'border-t-emerald-400': {borderTopColor: 'rgb(52,211,153)'},
  'border-t-emerald-50': {borderTopColor: 'rgb(236,253,245)'},
  'border-t-emerald-500': {borderTopColor: 'rgb(16,185,129)'},
  'border-t-emerald-600': {borderTopColor: 'rgb(5,150,105)'},
  'border-t-emerald-700': {borderTopColor: 'rgb(4,120,87)'},
  'border-t-emerald-800': {borderTopColor: 'rgb(6,95,70)'},
  'border-t-emerald-900': {borderTopColor: 'rgb(6,78,59)'},
  'border-t-emerald-950': {borderTopColor: 'rgb(2,44,34)'},
  'border-t-fuchsia-100': {borderTopColor: 'rgb(250,232,255)'},
  'border-t-fuchsia-200': {borderTopColor: 'rgb(245,208,254)'},
  'border-t-fuchsia-300': {borderTopColor: 'rgb(240,171,252)'},
  'border-t-fuchsia-400': {borderTopColor: 'rgb(232,121,249)'},
  'border-t-fuchsia-50': {borderTopColor: 'rgb(253,244,255)'},
  'border-t-fuchsia-500': {borderTopColor: 'rgb(217,70,239)'},
  'border-t-fuchsia-600': {borderTopColor: 'rgb(192,38,211)'},
  'border-t-fuchsia-700': {borderTopColor: 'rgb(162,28,175)'},
  'border-t-fuchsia-800': {borderTopColor: 'rgb(134,25,143)'},
  'border-t-fuchsia-900': {borderTopColor: 'rgb(112,26,117)'},
  'border-t-fuchsia-950': {borderTopColor: 'rgb(74,4,78)'},
  'border-t-gray-100': {borderTopColor: 'rgb(243,244,246)'},
  'border-t-gray-200': {borderTopColor: 'rgb(229,231,235)'},
  'border-t-gray-300': {borderTopColor: 'rgb(209,213,219)'},
  'border-t-gray-400': {borderTopColor: 'rgb(156,163,175)'},
  'border-t-gray-50': {borderTopColor: 'rgb(249,250,251)'},
  'border-t-gray-500': {borderTopColor: 'rgb(107,114,128)'},
  'border-t-gray-600': {borderTopColor: 'rgb(75,85,99)'},
  'border-t-gray-700': {borderTopColor: 'rgb(55,65,81)'},
  'border-t-gray-800': {borderTopColor: 'rgb(31,41,55)'},
  'border-t-gray-900': {borderTopColor: 'rgb(17,24,39)'},
  'border-t-gray-950': {borderTopColor: 'rgb(3,7,18)'},
  'border-t-green-100': {borderTopColor: 'rgb(220,252,231)'},
  'border-t-green-200': {borderTopColor: 'rgb(187,247,208)'},
  'border-t-green-300': {borderTopColor: 'rgb(134,239,172)'},
  'border-t-green-400': {borderTopColor: 'rgb(74,222,128)'},
  'border-t-green-50': {borderTopColor: 'rgb(240,253,244)'},
  'border-t-green-500': {borderTopColor: 'rgb(34,197,94)'},
  'border-t-green-600': {borderTopColor: 'rgb(22,163,74)'},
  'border-t-green-700': {borderTopColor: 'rgb(21,128,61)'},
  'border-t-green-800': {borderTopColor: 'rgb(22,101,52)'},
  'border-t-green-900': {borderTopColor: 'rgb(20,83,45)'},
  'border-t-green-950': {borderTopColor: 'rgb(5,46,22)'},
  'border-t-indigo-100': {borderTopColor: 'rgb(224,231,255)'},
  'border-t-indigo-200': {borderTopColor: 'rgb(199,210,254)'},
  'border-t-indigo-300': {borderTopColor: 'rgb(165,180,252)'},
  'border-t-indigo-400': {borderTopColor: 'rgb(129,140,248)'},
  'border-t-indigo-50': {borderTopColor: 'rgb(238,242,255)'},
  'border-t-indigo-500': {borderTopColor: 'rgb(99,102,241)'},
  'border-t-indigo-600': {borderTopColor: 'rgb(79,70,229)'},
  'border-t-indigo-700': {borderTopColor: 'rgb(67,56,202)'},
  'border-t-indigo-800': {borderTopColor: 'rgb(55,48,163)'},
  'border-t-indigo-900': {borderTopColor: 'rgb(49,46,129)'},
  'border-t-indigo-950': {borderTopColor: 'rgb(30,27,75)'},
  'border-t-lime-100': {borderTopColor: 'rgb(236,252,203)'},
  'border-t-lime-200': {borderTopColor: 'rgb(217,249,157)'},
  'border-t-lime-300': {borderTopColor: 'rgb(190,242,100)'},
  'border-t-lime-400': {borderTopColor: 'rgb(163,230,53)'},
  'border-t-lime-50': {borderTopColor: 'rgb(247,254,231)'},
  'border-t-lime-500': {borderTopColor: 'rgb(132,204,22)'},
  'border-t-lime-600': {borderTopColor: 'rgb(101,163,13)'},
  'border-t-lime-700': {borderTopColor: 'rgb(77,124,15)'},
  'border-t-lime-800': {borderTopColor: 'rgb(63,98,18)'},
  'border-t-lime-900': {borderTopColor: 'rgb(54,83,20)'},
  'border-t-lime-950': {borderTopColor: 'rgb(26,46,5)'},
  'border-t-neutral-100': {borderTopColor: 'rgb(245,245,245)'},
  'border-t-neutral-200': {borderTopColor: 'rgb(229,229,229)'},
  'border-t-neutral-300': {borderTopColor: 'rgb(212,212,212)'},
  'border-t-neutral-400': {borderTopColor: 'rgb(163,163,163)'},
  'border-t-neutral-50': {borderTopColor: 'rgb(250,250,250)'},
  'border-t-neutral-500': {borderTopColor: 'rgb(115,115,115)'},
  'border-t-neutral-600': {borderTopColor: 'rgb(82,82,82)'},
  'border-t-neutral-700': {borderTopColor: 'rgb(64,64,64)'},
  'border-t-neutral-800': {borderTopColor: 'rgb(38,38,38)'},
  'border-t-neutral-900': {borderTopColor: 'rgb(23,23,23)'},
  'border-t-neutral-950': {borderTopColor: 'rgb(10,10,10)'},
  'border-t-orange-100': {borderTopColor: 'rgb(255,237,213)'},
  'border-t-orange-200': {borderTopColor: 'rgb(254,215,170)'},
  'border-t-orange-300': {borderTopColor: 'rgb(253,186,116)'},
  'border-t-orange-400': {borderTopColor: 'rgb(251,146,60)'},
  'border-t-orange-50': {borderTopColor: 'rgb(255,247,237)'},
  'border-t-orange-500': {borderTopColor: 'rgb(249,115,22)'},
  'border-t-orange-600': {borderTopColor: 'rgb(234,88,12)'},
  'border-t-orange-700': {borderTopColor: 'rgb(194,65,12)'},
  'border-t-orange-800': {borderTopColor: 'rgb(154,52,18)'},
  'border-t-orange-900': {borderTopColor: 'rgb(124,45,18)'},
  'border-t-orange-950': {borderTopColor: 'rgb(67,20,7)'},
  'border-t-pink-100': {borderTopColor: 'rgb(252,231,243)'},
  'border-t-pink-200': {borderTopColor: 'rgb(251,207,232)'},
  'border-t-pink-300': {borderTopColor: 'rgb(249,168,212)'},
  'border-t-pink-400': {borderTopColor: 'rgb(244,114,182)'},
  'border-t-pink-50': {borderTopColor: 'rgb(253,242,248)'},
  'border-t-pink-500': {borderTopColor: 'rgb(236,72,153)'},
  'border-t-pink-600': {borderTopColor: 'rgb(219,39,119)'},
  'border-t-pink-700': {borderTopColor: 'rgb(190,24,93)'},
  'border-t-pink-800': {borderTopColor: 'rgb(157,23,77)'},
  'border-t-pink-900': {borderTopColor: 'rgb(131,24,67)'},
  'border-t-pink-950': {borderTopColor: 'rgb(80,7,36)'},
  'border-t-purple-100': {borderTopColor: 'rgb(243,232,255)'},
  'border-t-purple-200': {borderTopColor: 'rgb(233,213,255)'},
  'border-t-purple-300': {borderTopColor: 'rgb(216,180,254)'},
  'border-t-purple-400': {borderTopColor: 'rgb(192,132,252)'},
  'border-t-purple-50': {borderTopColor: 'rgb(250,245,255)'},
  'border-t-purple-500': {borderTopColor: 'rgb(168,85,247)'},
  'border-t-purple-600': {borderTopColor: 'rgb(147,51,234)'},
  'border-t-purple-700': {borderTopColor: 'rgb(126,34,206)'},
  'border-t-purple-800': {borderTopColor: 'rgb(107,33,168)'},
  'border-t-purple-900': {borderTopColor: 'rgb(88,28,135)'},
  'border-t-purple-950': {borderTopColor: 'rgb(59,7,100)'},
  'border-t-red-100': {borderTopColor: 'rgb(254,226,226)'},
  'border-t-red-200': {borderTopColor: 'rgb(254,202,202)'},
  'border-t-red-300': {borderTopColor: 'rgb(252,165,165)'},
  'border-t-red-400': {borderTopColor: 'rgb(248,113,113)'},
  'border-t-red-50': {borderTopColor: 'rgb(254,242,242)'},
  'border-t-red-500': {borderTopColor: 'rgb(239,68,68)'},
  'border-t-red-600': {borderTopColor: 'rgb(220,38,38)'},
  'border-t-red-700': {borderTopColor: 'rgb(185,28,28)'},
  'border-t-red-800': {borderTopColor: 'rgb(153,27,27)'},
  'border-t-red-900': {borderTopColor: 'rgb(127,29,29)'},
  'border-t-red-950': {borderTopColor: 'rgb(69,10,10)'},
  'border-t-rose-100': {borderTopColor: 'rgb(255,228,230)'},
  'border-t-rose-200': {borderTopColor: 'rgb(254,205,211)'},
  'border-t-rose-300': {borderTopColor: 'rgb(253,164,175)'},
  'border-t-rose-400': {borderTopColor: 'rgb(251,113,133)'},
  'border-t-rose-50': {borderTopColor: 'rgb(255,241,242)'},
  'border-t-rose-500': {borderTopColor: 'rgb(244,63,94)'},
  'border-t-rose-600': {borderTopColor: 'rgb(225,29,72)'},
  'border-t-rose-700': {borderTopColor: 'rgb(190,18,60)'},
  'border-t-rose-800': {borderTopColor: 'rgb(159,18,57)'},
  'border-t-rose-900': {borderTopColor: 'rgb(136,19,55)'},
  'border-t-rose-950': {borderTopColor: 'rgb(76,5,25)'},
  'border-t-sky-100': {borderTopColor: 'rgb(224,242,254)'},
  'border-t-sky-200': {borderTopColor: 'rgb(186,230,253)'},
  'border-t-sky-300': {borderTopColor: 'rgb(125,211,252)'},
  'border-t-sky-400': {borderTopColor: 'rgb(56,189,248)'},
  'border-t-sky-50': {borderTopColor: 'rgb(240,249,255)'},
  'border-t-sky-500': {borderTopColor: 'rgb(14,165,233)'},
  'border-t-sky-600': {borderTopColor: 'rgb(2,132,199)'},
  'border-t-sky-700': {borderTopColor: 'rgb(3,105,161)'},
  'border-t-sky-800': {borderTopColor: 'rgb(7,89,133)'},
  'border-t-sky-900': {borderTopColor: 'rgb(12,74,110)'},
  'border-t-sky-950': {borderTopColor: 'rgb(8,47,73)'},
  'border-t-slate-100': {borderTopColor: 'rgb(241,245,249)'},
  'border-t-slate-200': {borderTopColor: 'rgb(226,232,240)'},
  'border-t-slate-300': {borderTopColor: 'rgb(203,213,225)'},
  'border-t-slate-400': {borderTopColor: 'rgb(148,163,184)'},
  'border-t-slate-50': {borderTopColor: 'rgb(248,250,252)'},
  'border-t-slate-500': {borderTopColor: 'rgb(100,116,139)'},
  'border-t-slate-600': {borderTopColor: 'rgb(71,85,105)'},
  'border-t-slate-700': {borderTopColor: 'rgb(51,65,85)'},
  'border-t-slate-800': {borderTopColor: 'rgb(30,41,59)'},
  'border-t-slate-900': {borderTopColor: 'rgb(15,23,42)'},
  'border-t-slate-950': {borderTopColor: 'rgb(2,6,23)'},
  'border-t-stone-100': {borderTopColor: 'rgb(245,245,244)'},
  'border-t-stone-200': {borderTopColor: 'rgb(231,229,228)'},
  'border-t-stone-300': {borderTopColor: 'rgb(214,211,209)'},
  'border-t-stone-400': {borderTopColor: 'rgb(168,162,158)'},
  'border-t-stone-50': {borderTopColor: 'rgb(250,250,249)'},
  'border-t-stone-500': {borderTopColor: 'rgb(120,113,108)'},
  'border-t-stone-600': {borderTopColor: 'rgb(87,83,78)'},
  'border-t-stone-700': {borderTopColor: 'rgb(68,64,60)'},
  'border-t-stone-800': {borderTopColor: 'rgb(41,37,36)'},
  'border-t-stone-900': {borderTopColor: 'rgb(28,25,23)'},
  'border-t-stone-950': {borderTopColor: 'rgb(12,10,9)'},
  'border-t-teal-100': {borderTopColor: 'rgb(204,251,241)'},
  'border-t-teal-200': {borderTopColor: 'rgb(153,246,228)'},
  'border-t-teal-300': {borderTopColor: 'rgb(94,234,212)'},
  'border-t-teal-400': {borderTopColor: 'rgb(45,212,191)'},
  'border-t-teal-50': {borderTopColor: 'rgb(240,253,250)'},
  'border-t-teal-500': {borderTopColor: 'rgb(20,184,166)'},
  'border-t-teal-600': {borderTopColor: 'rgb(13,148,136)'},
  'border-t-teal-700': {borderTopColor: 'rgb(15,118,110)'},
  'border-t-teal-800': {borderTopColor: 'rgb(17,94,89)'},
  'border-t-teal-900': {borderTopColor: 'rgb(19,78,74)'},
  'border-t-teal-950': {borderTopColor: 'rgb(4,47,46)'},
  'border-t-transparent': {borderTopColor: 'transparent'},
  'border-t-violet-100': {borderTopColor: 'rgb(237,233,254)'},
  'border-t-violet-200': {borderTopColor: 'rgb(221,214,254)'},
  'border-t-violet-300': {borderTopColor: 'rgb(196,181,253)'},
  'border-t-violet-400': {borderTopColor: 'rgb(167,139,250)'},
  'border-t-violet-50': {borderTopColor: 'rgb(245,243,255)'},
  'border-t-violet-500': {borderTopColor: 'rgb(139,92,246)'},
  'border-t-violet-600': {borderTopColor: 'rgb(124,58,237)'},
  'border-t-violet-700': {borderTopColor: 'rgb(109,40,217)'},
  'border-t-violet-800': {borderTopColor: 'rgb(91,33,182)'},
  'border-t-violet-900': {borderTopColor: 'rgb(76,29,149)'},
  'border-t-violet-950': {borderTopColor: 'rgb(46,16,101)'},
  'border-t-white': {borderTopColor: 'rgb(255,255,255)'},
  'border-t-yellow-100': {borderTopColor: 'rgb(254,249,195)'},
  'border-t-yellow-200': {borderTopColor: 'rgb(254,240,138)'},
  'border-t-yellow-300': {borderTopColor: 'rgb(253,224,71)'},
  'border-t-yellow-400': {borderTopColor: 'rgb(250,204,21)'},
  'border-t-yellow-50': {borderTopColor: 'rgb(254,252,232)'},
  'border-t-yellow-500': {borderTopColor: 'rgb(234,179,8)'},
  'border-t-yellow-600': {borderTopColor: 'rgb(202,138,4)'},
  'border-t-yellow-700': {borderTopColor: 'rgb(161,98,7)'},
  'border-t-yellow-800': {borderTopColor: 'rgb(133,77,14)'},
  'border-t-yellow-900': {borderTopColor: 'rgb(113,63,18)'},
  'border-t-yellow-950': {borderTopColor: 'rgb(66,32,6)'},
  'border-t-zinc-100': {borderTopColor: 'rgb(244,244,245)'},
  'border-t-zinc-200': {borderTopColor: 'rgb(228,228,231)'},
  'border-t-zinc-300': {borderTopColor: 'rgb(212,212,216)'},
  'border-t-zinc-400': {borderTopColor: 'rgb(161,161,170)'},
  'border-t-zinc-50': {borderTopColor: 'rgb(250,250,250)'},
  'border-t-zinc-500': {borderTopColor: 'rgb(113,113,122)'},
  'border-t-zinc-600': {borderTopColor: 'rgb(82,82,91)'},
  'border-t-zinc-700': {borderTopColor: 'rgb(63,63,70)'},
  'border-t-zinc-800': {borderTopColor: 'rgb(39,39,42)'},
  'border-t-zinc-900': {borderTopColor: 'rgb(24,24,27)'},
  'border-t-zinc-950': {borderTopColor: 'rgb(9,9,11)'},
  'border-b-amber-100': {borderBottomColor: 'rgb(254,243,199)'},
  'border-b-amber-200': {borderBottomColor: 'rgb(253,230,138)'},
  'border-b-amber-300': {borderBottomColor: 'rgb(252,211,77)'},
  'border-b-amber-400': {borderBottomColor: 'rgb(251,191,36)'},
  'border-b-amber-50': {borderBottomColor: 'rgb(255,251,235)'},
  'border-b-amber-500': {borderBottomColor: 'rgb(245,158,11)'},
  'border-b-amber-600': {borderBottomColor: 'rgb(217,119,6)'},
  'border-b-amber-700': {borderBottomColor: 'rgb(180,83,9)'},
  'border-b-amber-800': {borderBottomColor: 'rgb(146,64,14)'},
  'border-b-amber-900': {borderBottomColor: 'rgb(120,53,15)'},
  'border-b-amber-950': {borderBottomColor: 'rgb(69,26,3)'},
  'border-b-black': {borderBottomColor: 'rgb(0,0,0)'},
  'border-b-blue-100': {borderBottomColor: 'rgb(219,234,254)'},
  'border-b-blue-200': {borderBottomColor: 'rgb(191,219,254)'},
  'border-b-blue-300': {borderBottomColor: 'rgb(147,197,253)'},
  'border-b-blue-400': {borderBottomColor: 'rgb(96,165,250)'},
  'border-b-blue-50': {borderBottomColor: 'rgb(239,246,255)'},
  'border-b-blue-500': {borderBottomColor: 'rgb(59,130,246)'},
  'border-b-blue-600': {borderBottomColor: 'rgb(37,99,235)'},
  'border-b-blue-700': {borderBottomColor: 'rgb(29,78,216)'},
  'border-b-blue-800': {borderBottomColor: 'rgb(30,64,175)'},
  'border-b-blue-900': {borderBottomColor: 'rgb(30,58,138)'},
  'border-b-blue-950': {borderBottomColor: 'rgb(23,37,84)'},
  'border-b-cyan-100': {borderBottomColor: 'rgb(207,250,254)'},
  'border-b-cyan-200': {borderBottomColor: 'rgb(165,243,252)'},
  'border-b-cyan-300': {borderBottomColor: 'rgb(103,232,249)'},
  'border-b-cyan-400': {borderBottomColor: 'rgb(34,211,238)'},
  'border-b-cyan-50': {borderBottomColor: 'rgb(236,254,255)'},
  'border-b-cyan-500': {borderBottomColor: 'rgb(6,182,212)'},
  'border-b-cyan-600': {borderBottomColor: 'rgb(8,145,178)'},
  'border-b-cyan-700': {borderBottomColor: 'rgb(14,116,144)'},
  'border-b-cyan-800': {borderBottomColor: 'rgb(21,94,117)'},
  'border-b-cyan-900': {borderBottomColor: 'rgb(22,78,99)'},
  'border-b-cyan-950': {borderBottomColor: 'rgb(8,51,68)'},
  'border-b-emerald-100': {borderBottomColor: 'rgb(209,250,229)'},
  'border-b-emerald-200': {borderBottomColor: 'rgb(167,243,208)'},
  'border-b-emerald-300': {borderBottomColor: 'rgb(110,231,183)'},
  'border-b-emerald-400': {borderBottomColor: 'rgb(52,211,153)'},
  'border-b-emerald-50': {borderBottomColor: 'rgb(236,253,245)'},
  'border-b-emerald-500': {borderBottomColor: 'rgb(16,185,129)'},
  'border-b-emerald-600': {borderBottomColor: 'rgb(5,150,105)'},
  'border-b-emerald-700': {borderBottomColor: 'rgb(4,120,87)'},
  'border-b-emerald-800': {borderBottomColor: 'rgb(6,95,70)'},
  'border-b-emerald-900': {borderBottomColor: 'rgb(6,78,59)'},
  'border-b-emerald-950': {borderBottomColor: 'rgb(2,44,34)'},
  'border-b-fuchsia-100': {borderBottomColor: 'rgb(250,232,255)'},
  'border-b-fuchsia-200': {borderBottomColor: 'rgb(245,208,254)'},
  'border-b-fuchsia-300': {borderBottomColor: 'rgb(240,171,252)'},
  'border-b-fuchsia-400': {borderBottomColor: 'rgb(232,121,249)'},
  'border-b-fuchsia-50': {borderBottomColor: 'rgb(253,244,255)'},
  'border-b-fuchsia-500': {borderBottomColor: 'rgb(217,70,239)'},
  'border-b-fuchsia-600': {borderBottomColor: 'rgb(192,38,211)'},
  'border-b-fuchsia-700': {borderBottomColor: 'rgb(162,28,175)'},
  'border-b-fuchsia-800': {borderBottomColor: 'rgb(134,25,143)'},
  'border-b-fuchsia-900': {borderBottomColor: 'rgb(112,26,117)'},
  'border-b-fuchsia-950': {borderBottomColor: 'rgb(74,4,78)'},
  'border-b-gray-100': {borderBottomColor: 'rgb(243,244,246)'},
  'border-b-gray-200': {borderBottomColor: 'rgb(229,231,235)'},
  'border-b-gray-300': {borderBottomColor: 'rgb(209,213,219)'},
  'border-b-gray-400': {borderBottomColor: 'rgb(156,163,175)'},
  'border-b-gray-50': {borderBottomColor: 'rgb(249,250,251)'},
  'border-b-gray-500': {borderBottomColor: 'rgb(107,114,128)'},
  'border-b-gray-600': {borderBottomColor: 'rgb(75,85,99)'},
  'border-b-gray-700': {borderBottomColor: 'rgb(55,65,81)'},
  'border-b-gray-800': {borderBottomColor: 'rgb(31,41,55)'},
  'border-b-gray-900': {borderBottomColor: 'rgb(17,24,39)'},
  'border-b-gray-950': {borderBottomColor: 'rgb(3,7,18)'},
  'border-b-green-100': {borderBottomColor: 'rgb(220,252,231)'},
  'border-b-green-200': {borderBottomColor: 'rgb(187,247,208)'},
  'border-b-green-300': {borderBottomColor: 'rgb(134,239,172)'},
  'border-b-green-400': {borderBottomColor: 'rgb(74,222,128)'},
  'border-b-green-50': {borderBottomColor: 'rgb(240,253,244)'},
  'border-b-green-500': {borderBottomColor: 'rgb(34,197,94)'},
  'border-b-green-600': {borderBottomColor: 'rgb(22,163,74)'},
  'border-b-green-700': {borderBottomColor: 'rgb(21,128,61)'},
  'border-b-green-800': {borderBottomColor: 'rgb(22,101,52)'},
  'border-b-green-900': {borderBottomColor: 'rgb(20,83,45)'},
  'border-b-green-950': {borderBottomColor: 'rgb(5,46,22)'},
  'border-b-indigo-100': {borderBottomColor: 'rgb(224,231,255)'},
  'border-b-indigo-200': {borderBottomColor: 'rgb(199,210,254)'},
  'border-b-indigo-300': {borderBottomColor: 'rgb(165,180,252)'},
  'border-b-indigo-400': {borderBottomColor: 'rgb(129,140,248)'},
  'border-b-indigo-50': {borderBottomColor: 'rgb(238,242,255)'},
  'border-b-indigo-500': {borderBottomColor: 'rgb(99,102,241)'},
  'border-b-indigo-600': {borderBottomColor: 'rgb(79,70,229)'},
  'border-b-indigo-700': {borderBottomColor: 'rgb(67,56,202)'},
  'border-b-indigo-800': {borderBottomColor: 'rgb(55,48,163)'},
  'border-b-indigo-900': {borderBottomColor: 'rgb(49,46,129)'},
  'border-b-indigo-950': {borderBottomColor: 'rgb(30,27,75)'},
  'border-b-lime-100': {borderBottomColor: 'rgb(236,252,203)'},
  'border-b-lime-200': {borderBottomColor: 'rgb(217,249,157)'},
  'border-b-lime-300': {borderBottomColor: 'rgb(190,242,100)'},
  'border-b-lime-400': {borderBottomColor: 'rgb(163,230,53)'},
  'border-b-lime-50': {borderBottomColor: 'rgb(247,254,231)'},
  'border-b-lime-500': {borderBottomColor: 'rgb(132,204,22)'},
  'border-b-lime-600': {borderBottomColor: 'rgb(101,163,13)'},
  'border-b-lime-700': {borderBottomColor: 'rgb(77,124,15)'},
  'border-b-lime-800': {borderBottomColor: 'rgb(63,98,18)'},
  'border-b-lime-900': {borderBottomColor: 'rgb(54,83,20)'},
  'border-b-lime-950': {borderBottomColor: 'rgb(26,46,5)'},
  'border-b-neutral-100': {borderBottomColor: 'rgb(245,245,245)'},
  'border-b-neutral-200': {borderBottomColor: 'rgb(229,229,229)'},
  'border-b-neutral-300': {borderBottomColor: 'rgb(212,212,212)'},
  'border-b-neutral-400': {borderBottomColor: 'rgb(163,163,163)'},
  'border-b-neutral-50': {borderBottomColor: 'rgb(250,250,250)'},
  'border-b-neutral-500': {borderBottomColor: 'rgb(115,115,115)'},
  'border-b-neutral-600': {borderBottomColor: 'rgb(82,82,82)'},
  'border-b-neutral-700': {borderBottomColor: 'rgb(64,64,64)'},
  'border-b-neutral-800': {borderBottomColor: 'rgb(38,38,38)'},
  'border-b-neutral-900': {borderBottomColor: 'rgb(23,23,23)'},
  'border-b-neutral-950': {borderBottomColor: 'rgb(10,10,10)'},
  'border-b-orange-100': {borderBottomColor: 'rgb(255,237,213)'},
  'border-b-orange-200': {borderBottomColor: 'rgb(254,215,170)'},
  'border-b-orange-300': {borderBottomColor: 'rgb(253,186,116)'},
  'border-b-orange-400': {borderBottomColor: 'rgb(251,146,60)'},
  'border-b-orange-50': {borderBottomColor: 'rgb(255,247,237)'},
  'border-b-orange-500': {borderBottomColor: 'rgb(249,115,22)'},
  'border-b-orange-600': {borderBottomColor: 'rgb(234,88,12)'},
  'border-b-orange-700': {borderBottomColor: 'rgb(194,65,12)'},
  'border-b-orange-800': {borderBottomColor: 'rgb(154,52,18)'},
  'border-b-orange-900': {borderBottomColor: 'rgb(124,45,18)'},
  'border-b-orange-950': {borderBottomColor: 'rgb(67,20,7)'},
  'border-b-pink-100': {borderBottomColor: 'rgb(252,231,243)'},
  'border-b-pink-200': {borderBottomColor: 'rgb(251,207,232)'},
  'border-b-pink-300': {borderBottomColor: 'rgb(249,168,212)'},
  'border-b-pink-400': {borderBottomColor: 'rgb(244,114,182)'},
  'border-b-pink-50': {borderBottomColor: 'rgb(253,242,248)'},
  'border-b-pink-500': {borderBottomColor: 'rgb(236,72,153)'},
  'border-b-pink-600': {borderBottomColor: 'rgb(219,39,119)'},
  'border-b-pink-700': {borderBottomColor: 'rgb(190,24,93)'},
  'border-b-pink-800': {borderBottomColor: 'rgb(157,23,77)'},
  'border-b-pink-900': {borderBottomColor: 'rgb(131,24,67)'},
  'border-b-pink-950': {borderBottomColor: 'rgb(80,7,36)'},
  'border-b-purple-100': {borderBottomColor: 'rgb(243,232,255)'},
  'border-b-purple-200': {borderBottomColor: 'rgb(233,213,255)'},
  'border-b-purple-300': {borderBottomColor: 'rgb(216,180,254)'},
  'border-b-purple-400': {borderBottomColor: 'rgb(192,132,252)'},
  'border-b-purple-50': {borderBottomColor: 'rgb(250,245,255)'},
  'border-b-purple-500': {borderBottomColor: 'rgb(168,85,247)'},
  'border-b-purple-600': {borderBottomColor: 'rgb(147,51,234)'},
  'border-b-purple-700': {borderBottomColor: 'rgb(126,34,206)'},
  'border-b-purple-800': {borderBottomColor: 'rgb(107,33,168)'},
  'border-b-purple-900': {borderBottomColor: 'rgb(88,28,135)'},
  'border-b-purple-950': {borderBottomColor: 'rgb(59,7,100)'},
  'border-b-red-100': {borderBottomColor: 'rgb(254,226,226)'},
  'border-b-red-200': {borderBottomColor: 'rgb(254,202,202)'},
  'border-b-red-300': {borderBottomColor: 'rgb(252,165,165)'},
  'border-b-red-400': {borderBottomColor: 'rgb(248,113,113)'},
  'border-b-red-50': {borderBottomColor: 'rgb(254,242,242)'},
  'border-b-red-500': {borderBottomColor: 'rgb(239,68,68)'},
  'border-b-red-600': {borderBottomColor: 'rgb(220,38,38)'},
  'border-b-red-700': {borderBottomColor: 'rgb(185,28,28)'},
  'border-b-red-800': {borderBottomColor: 'rgb(153,27,27)'},
  'border-b-red-900': {borderBottomColor: 'rgb(127,29,29)'},
  'border-b-red-950': {borderBottomColor: 'rgb(69,10,10)'},
  'border-b-rose-100': {borderBottomColor: 'rgb(255,228,230)'},
  'border-b-rose-200': {borderBottomColor: 'rgb(254,205,211)'},
  'border-b-rose-300': {borderBottomColor: 'rgb(253,164,175)'},
  'border-b-rose-400': {borderBottomColor: 'rgb(251,113,133)'},
  'border-b-rose-50': {borderBottomColor: 'rgb(255,241,242)'},
  'border-b-rose-500': {borderBottomColor: 'rgb(244,63,94)'},
  'border-b-rose-600': {borderBottomColor: 'rgb(225,29,72)'},
  'border-b-rose-700': {borderBottomColor: 'rgb(190,18,60)'},
  'border-b-rose-800': {borderBottomColor: 'rgb(159,18,57)'},
  'border-b-rose-900': {borderBottomColor: 'rgb(136,19,55)'},
  'border-b-rose-950': {borderBottomColor: 'rgb(76,5,25)'},
  'border-b-sky-100': {borderBottomColor: 'rgb(224,242,254)'},
  'border-b-sky-200': {borderBottomColor: 'rgb(186,230,253)'},
  'border-b-sky-300': {borderBottomColor: 'rgb(125,211,252)'},
  'border-b-sky-400': {borderBottomColor: 'rgb(56,189,248)'},
  'border-b-sky-50': {borderBottomColor: 'rgb(240,249,255)'},
  'border-b-sky-500': {borderBottomColor: 'rgb(14,165,233)'},
  'border-b-sky-600': {borderBottomColor: 'rgb(2,132,199)'},
  'border-b-sky-700': {borderBottomColor: 'rgb(3,105,161)'},
  'border-b-sky-800': {borderBottomColor: 'rgb(7,89,133)'},
  'border-b-sky-900': {borderBottomColor: 'rgb(12,74,110)'},
  'border-b-sky-950': {borderBottomColor: 'rgb(8,47,73)'},
  'border-b-slate-100': {borderBottomColor: 'rgb(241,245,249)'},
  'border-b-slate-200': {borderBottomColor: 'rgb(226,232,240)'},
  'border-b-slate-300': {borderBottomColor: 'rgb(203,213,225)'},
  'border-b-slate-400': {borderBottomColor: 'rgb(148,163,184)'},
  'border-b-slate-50': {borderBottomColor: 'rgb(248,250,252)'},
  'border-b-slate-500': {borderBottomColor: 'rgb(100,116,139)'},
  'border-b-slate-600': {borderBottomColor: 'rgb(71,85,105)'},
  'border-b-slate-700': {borderBottomColor: 'rgb(51,65,85)'},
  'border-b-slate-800': {borderBottomColor: 'rgb(30,41,59)'},
  'border-b-slate-900': {borderBottomColor: 'rgb(15,23,42)'},
  'border-b-slate-950': {borderBottomColor: 'rgb(2,6,23)'},
  'border-b-stone-100': {borderBottomColor: 'rgb(245,245,244)'},
  'border-b-stone-200': {borderBottomColor: 'rgb(231,229,228)'},
  'border-b-stone-300': {borderBottomColor: 'rgb(214,211,209)'},
  'border-b-stone-400': {borderBottomColor: 'rgb(168,162,158)'},
  'border-b-stone-50': {borderBottomColor: 'rgb(250,250,249)'},
  'border-b-stone-500': {borderBottomColor: 'rgb(120,113,108)'},
  'border-b-stone-600': {borderBottomColor: 'rgb(87,83,78)'},
  'border-b-stone-700': {borderBottomColor: 'rgb(68,64,60)'},
  'border-b-stone-800': {borderBottomColor: 'rgb(41,37,36)'},
  'border-b-stone-900': {borderBottomColor: 'rgb(28,25,23)'},
  'border-b-stone-950': {borderBottomColor: 'rgb(12,10,9)'},
  'border-b-teal-100': {borderBottomColor: 'rgb(204,251,241)'},
  'border-b-teal-200': {borderBottomColor: 'rgb(153,246,228)'},
  'border-b-teal-300': {borderBottomColor: 'rgb(94,234,212)'},
  'border-b-teal-400': {borderBottomColor: 'rgb(45,212,191)'},
  'border-b-teal-50': {borderBottomColor: 'rgb(240,253,250)'},
  'border-b-teal-500': {borderBottomColor: 'rgb(20,184,166)'},
  'border-b-teal-600': {borderBottomColor: 'rgb(13,148,136)'},
  'border-b-teal-700': {borderBottomColor: 'rgb(15,118,110)'},
  'border-b-teal-800': {borderBottomColor: 'rgb(17,94,89)'},
  'border-b-teal-900': {borderBottomColor: 'rgb(19,78,74)'},
  'border-b-teal-950': {borderBottomColor: 'rgb(4,47,46)'},
  'border-b-transparent': {borderBottomColor: 'transparent'},
  'border-b-violet-100': {borderBottomColor: 'rgb(237,233,254)'},
  'border-b-violet-200': {borderBottomColor: 'rgb(221,214,254)'},
  'border-b-violet-300': {borderBottomColor: 'rgb(196,181,253)'},
  'border-b-violet-400': {borderBottomColor: 'rgb(167,139,250)'},
  'border-b-violet-50': {borderBottomColor: 'rgb(245,243,255)'},
  'border-b-violet-500': {borderBottomColor: 'rgb(139,92,246)'},
  'border-b-violet-600': {borderBottomColor: 'rgb(124,58,237)'},
  'border-b-violet-700': {borderBottomColor: 'rgb(109,40,217)'},
  'border-b-violet-800': {borderBottomColor: 'rgb(91,33,182)'},
  'border-b-violet-900': {borderBottomColor: 'rgb(76,29,149)'},
  'border-b-violet-950': {borderBottomColor: 'rgb(46,16,101)'},
  'border-b-white': {borderBottomColor: 'rgb(255,255,255)'},
  'border-b-yellow-100': {borderBottomColor: 'rgb(254,249,195)'},
  'border-b-yellow-200': {borderBottomColor: 'rgb(254,240,138)'},
  'border-b-yellow-300': {borderBottomColor: 'rgb(253,224,71)'},
  'border-b-yellow-400': {borderBottomColor: 'rgb(250,204,21)'},
  'border-b-yellow-50': {borderBottomColor: 'rgb(254,252,232)'},
  'border-b-yellow-500': {borderBottomColor: 'rgb(234,179,8)'},
  'border-b-yellow-600': {borderBottomColor: 'rgb(202,138,4)'},
  'border-b-yellow-700': {borderBottomColor: 'rgb(161,98,7)'},
  'border-b-yellow-800': {borderBottomColor: 'rgb(133,77,14)'},
  'border-b-yellow-900': {borderBottomColor: 'rgb(113,63,18)'},
  'border-b-yellow-950': {borderBottomColor: 'rgb(66,32,6)'},
  'border-b-zinc-100': {borderBottomColor: 'rgb(244,244,245)'},
  'border-b-zinc-200': {borderBottomColor: 'rgb(228,228,231)'},
  'border-b-zinc-300': {borderBottomColor: 'rgb(212,212,216)'},
  'border-b-zinc-400': {borderBottomColor: 'rgb(161,161,170)'},
  'border-b-zinc-50': {borderBottomColor: 'rgb(250,250,250)'},
  'border-b-zinc-500': {borderBottomColor: 'rgb(113,113,122)'},
  'border-b-zinc-600': {borderBottomColor: 'rgb(82,82,91)'},
  'border-b-zinc-700': {borderBottomColor: 'rgb(63,63,70)'},
  'border-b-zinc-800': {borderBottomColor: 'rgb(39,39,42)'},
  'border-b-zinc-900': {borderBottomColor: 'rgb(24,24,27)'},
  'border-b-zinc-950': {borderBottomColor: 'rgb(9,9,11)'},
  'border-x-amber-100': {
    borderLeftColor: 'rgb(254,243,199)',
    borderRightColor: 'rgb(254,243,199)',
  },
  'border-x-amber-200': {
    borderLeftColor: 'rgb(253,230,138)',
    borderRightColor: 'rgb(253,230,138)',
  },
  'border-x-amber-300': {
    borderLeftColor: 'rgb(252,211,77)',
    borderRightColor: 'rgb(252,211,77)',
  },
  'border-x-amber-400': {
    borderLeftColor: 'rgb(251,191,36)',
    borderRightColor: 'rgb(251,191,36)',
  },
  'border-x-amber-50': {
    borderLeftColor: 'rgb(255,251,235)',
    borderRightColor: 'rgb(255,251,235)',
  },
  'border-x-amber-500': {
    borderLeftColor: 'rgb(245,158,11)',
    borderRightColor: 'rgb(245,158,11)',
  },
  'border-x-amber-600': {
    borderLeftColor: 'rgb(217,119,6)',
    borderRightColor: 'rgb(217,119,6)',
  },
  'border-x-amber-700': {
    borderLeftColor: 'rgb(180,83,9)',
    borderRightColor: 'rgb(180,83,9)',
  },
  'border-x-amber-800': {
    borderLeftColor: 'rgb(146,64,14)',
    borderRightColor: 'rgb(146,64,14)',
  },
  'border-x-amber-900': {
    borderLeftColor: 'rgb(120,53,15)',
    borderRightColor: 'rgb(120,53,15)',
  },
  'border-x-amber-950': {
    borderLeftColor: 'rgb(69,26,3)',
    borderRightColor: 'rgb(69,26,3)',
  },
  'border-x-black': {
    borderLeftColor: 'rgb(0,0,0)',
    borderRightColor: 'rgb(0,0,0)',
  },
  'border-x-blue-100': {
    borderLeftColor: 'rgb(219,234,254)',
    borderRightColor: 'rgb(219,234,254)',
  },
  'border-x-blue-200': {
    borderLeftColor: 'rgb(191,219,254)',
    borderRightColor: 'rgb(191,219,254)',
  },
  'border-x-blue-300': {
    borderLeftColor: 'rgb(147,197,253)',
    borderRightColor: 'rgb(147,197,253)',
  },
  'border-x-blue-400': {
    borderLeftColor: 'rgb(96,165,250)',
    borderRightColor: 'rgb(96,165,250)',
  },
  'border-x-blue-50': {
    borderLeftColor: 'rgb(239,246,255)',
    borderRightColor: 'rgb(239,246,255)',
  },
  'border-x-blue-500': {
    borderLeftColor: 'rgb(59,130,246)',
    borderRightColor: 'rgb(59,130,246)',
  },
  'border-x-blue-600': {
    borderLeftColor: 'rgb(37,99,235)',
    borderRightColor: 'rgb(37,99,235)',
  },
  'border-x-blue-700': {
    borderLeftColor: 'rgb(29,78,216)',
    borderRightColor: 'rgb(29,78,216)',
  },
  'border-x-blue-800': {
    borderLeftColor: 'rgb(30,64,175)',
    borderRightColor: 'rgb(30,64,175)',
  },
  'border-x-blue-900': {
    borderLeftColor: 'rgb(30,58,138)',
    borderRightColor: 'rgb(30,58,138)',
  },
  'border-x-blue-950': {
    borderLeftColor: 'rgb(23,37,84)',
    borderRightColor: 'rgb(23,37,84)',
  },
  'border-x-cyan-100': {
    borderLeftColor: 'rgb(207,250,254)',
    borderRightColor: 'rgb(207,250,254)',
  },
  'border-x-cyan-200': {
    borderLeftColor: 'rgb(165,243,252)',
    borderRightColor: 'rgb(165,243,252)',
  },
  'border-x-cyan-300': {
    borderLeftColor: 'rgb(103,232,249)',
    borderRightColor: 'rgb(103,232,249)',
  },
  'border-x-cyan-400': {
    borderLeftColor: 'rgb(34,211,238)',
    borderRightColor: 'rgb(34,211,238)',
  },
  'border-x-cyan-50': {
    borderLeftColor: 'rgb(236,254,255)',
    borderRightColor: 'rgb(236,254,255)',
  },
  'border-x-cyan-500': {
    borderLeftColor: 'rgb(6,182,212)',
    borderRightColor: 'rgb(6,182,212)',
  },
  'border-x-cyan-600': {
    borderLeftColor: 'rgb(8,145,178)',
    borderRightColor: 'rgb(8,145,178)',
  },
  'border-x-cyan-700': {
    borderLeftColor: 'rgb(14,116,144)',
    borderRightColor: 'rgb(14,116,144)',
  },
  'border-x-cyan-800': {
    borderLeftColor: 'rgb(21,94,117)',
    borderRightColor: 'rgb(21,94,117)',
  },
  'border-x-cyan-900': {
    borderLeftColor: 'rgb(22,78,99)',
    borderRightColor: 'rgb(22,78,99)',
  },
  'border-x-cyan-950': {
    borderLeftColor: 'rgb(8,51,68)',
    borderRightColor: 'rgb(8,51,68)',
  },
  'border-x-emerald-100': {
    borderLeftColor: 'rgb(209,250,229)',
    borderRightColor: 'rgb(209,250,229)',
  },
  'border-x-emerald-200': {
    borderLeftColor: 'rgb(167,243,208)',
    borderRightColor: 'rgb(167,243,208)',
  },
  'border-x-emerald-300': {
    borderLeftColor: 'rgb(110,231,183)',
    borderRightColor: 'rgb(110,231,183)',
  },
  'border-x-emerald-400': {
    borderLeftColor: 'rgb(52,211,153)',
    borderRightColor: 'rgb(52,211,153)',
  },
  'border-x-emerald-50': {
    borderLeftColor: 'rgb(236,253,245)',
    borderRightColor: 'rgb(236,253,245)',
  },
  'border-x-emerald-500': {
    borderLeftColor: 'rgb(16,185,129)',
    borderRightColor: 'rgb(16,185,129)',
  },
  'border-x-emerald-600': {
    borderLeftColor: 'rgb(5,150,105)',
    borderRightColor: 'rgb(5,150,105)',
  },
  'border-x-emerald-700': {
    borderLeftColor: 'rgb(4,120,87)',
    borderRightColor: 'rgb(4,120,87)',
  },
  'border-x-emerald-800': {
    borderLeftColor: 'rgb(6,95,70)',
    borderRightColor: 'rgb(6,95,70)',
  },
  'border-x-emerald-900': {
    borderLeftColor: 'rgb(6,78,59)',
    borderRightColor: 'rgb(6,78,59)',
  },
  'border-x-emerald-950': {
    borderLeftColor: 'rgb(2,44,34)',
    borderRightColor: 'rgb(2,44,34)',
  },
  'border-x-fuchsia-100': {
    borderLeftColor: 'rgb(250,232,255)',
    borderRightColor: 'rgb(250,232,255)',
  },
  'border-x-fuchsia-200': {
    borderLeftColor: 'rgb(245,208,254)',
    borderRightColor: 'rgb(245,208,254)',
  },
  'border-x-fuchsia-300': {
    borderLeftColor: 'rgb(240,171,252)',
    borderRightColor: 'rgb(240,171,252)',
  },
  'border-x-fuchsia-400': {
    borderLeftColor: 'rgb(232,121,249)',
    borderRightColor: 'rgb(232,121,249)',
  },
  'border-x-fuchsia-50': {
    borderLeftColor: 'rgb(253,244,255)',
    borderRightColor: 'rgb(253,244,255)',
  },
  'border-x-fuchsia-500': {
    borderLeftColor: 'rgb(217,70,239)',
    borderRightColor: 'rgb(217,70,239)',
  },
  'border-x-fuchsia-600': {
    borderLeftColor: 'rgb(192,38,211)',
    borderRightColor: 'rgb(192,38,211)',
  },
  'border-x-fuchsia-700': {
    borderLeftColor: 'rgb(162,28,175)',
    borderRightColor: 'rgb(162,28,175)',
  },
  'border-x-fuchsia-800': {
    borderLeftColor: 'rgb(134,25,143)',
    borderRightColor: 'rgb(134,25,143)',
  },
  'border-x-fuchsia-900': {
    borderLeftColor: 'rgb(112,26,117)',
    borderRightColor: 'rgb(112,26,117)',
  },
  'border-x-fuchsia-950': {
    borderLeftColor: 'rgb(74,4,78)',
    borderRightColor: 'rgb(74,4,78)',
  },
  'border-x-gray-100': {
    borderLeftColor: 'rgb(243,244,246)',
    borderRightColor: 'rgb(243,244,246)',
  },
  'border-x-gray-200': {
    borderLeftColor: 'rgb(229,231,235)',
    borderRightColor: 'rgb(229,231,235)',
  },
  'border-x-gray-300': {
    borderLeftColor: 'rgb(209,213,219)',
    borderRightColor: 'rgb(209,213,219)',
  },
  'border-x-gray-400': {
    borderLeftColor: 'rgb(156,163,175)',
    borderRightColor: 'rgb(156,163,175)',
  },
  'border-x-gray-50': {
    borderLeftColor: 'rgb(249,250,251)',
    borderRightColor: 'rgb(249,250,251)',
  },
  'border-x-gray-500': {
    borderLeftColor: 'rgb(107,114,128)',
    borderRightColor: 'rgb(107,114,128)',
  },
  'border-x-gray-600': {
    borderLeftColor: 'rgb(75,85,99)',
    borderRightColor: 'rgb(75,85,99)',
  },
  'border-x-gray-700': {
    borderLeftColor: 'rgb(55,65,81)',
    borderRightColor: 'rgb(55,65,81)',
  },
  'border-x-gray-800': {
    borderLeftColor: 'rgb(31,41,55)',
    borderRightColor: 'rgb(31,41,55)',
  },
  'border-x-gray-900': {
    borderLeftColor: 'rgb(17,24,39)',
    borderRightColor: 'rgb(17,24,39)',
  },
  'border-x-gray-950': {
    borderLeftColor: 'rgb(3,7,18)',
    borderRightColor: 'rgb(3,7,18)',
  },
  'border-x-green-100': {
    borderLeftColor: 'rgb(220,252,231)',
    borderRightColor: 'rgb(220,252,231)',
  },
  'border-x-green-200': {
    borderLeftColor: 'rgb(187,247,208)',
    borderRightColor: 'rgb(187,247,208)',
  },
  'border-x-green-300': {
    borderLeftColor: 'rgb(134,239,172)',
    borderRightColor: 'rgb(134,239,172)',
  },
  'border-x-green-400': {
    borderLeftColor: 'rgb(74,222,128)',
    borderRightColor: 'rgb(74,222,128)',
  },
  'border-x-green-50': {
    borderLeftColor: 'rgb(240,253,244)',
    borderRightColor: 'rgb(240,253,244)',
  },
  'border-x-green-500': {
    borderLeftColor: 'rgb(34,197,94)',
    borderRightColor: 'rgb(34,197,94)',
  },
  'border-x-green-600': {
    borderLeftColor: 'rgb(22,163,74)',
    borderRightColor: 'rgb(22,163,74)',
  },
  'border-x-green-700': {
    borderLeftColor: 'rgb(21,128,61)',
    borderRightColor: 'rgb(21,128,61)',
  },
  'border-x-green-800': {
    borderLeftColor: 'rgb(22,101,52)',
    borderRightColor: 'rgb(22,101,52)',
  },
  'border-x-green-900': {
    borderLeftColor: 'rgb(20,83,45)',
    borderRightColor: 'rgb(20,83,45)',
  },
  'border-x-green-950': {
    borderLeftColor: 'rgb(5,46,22)',
    borderRightColor: 'rgb(5,46,22)',
  },
  'border-x-indigo-100': {
    borderLeftColor: 'rgb(224,231,255)',
    borderRightColor: 'rgb(224,231,255)',
  },
  'border-x-indigo-200': {
    borderLeftColor: 'rgb(199,210,254)',
    borderRightColor: 'rgb(199,210,254)',
  },
  'border-x-indigo-300': {
    borderLeftColor: 'rgb(165,180,252)',
    borderRightColor: 'rgb(165,180,252)',
  },
  'border-x-indigo-400': {
    borderLeftColor: 'rgb(129,140,248)',
    borderRightColor: 'rgb(129,140,248)',
  },
  'border-x-indigo-50': {
    borderLeftColor: 'rgb(238,242,255)',
    borderRightColor: 'rgb(238,242,255)',
  },
  'border-x-indigo-500': {
    borderLeftColor: 'rgb(99,102,241)',
    borderRightColor: 'rgb(99,102,241)',
  },
  'border-x-indigo-600': {
    borderLeftColor: 'rgb(79,70,229)',
    borderRightColor: 'rgb(79,70,229)',
  },
  'border-x-indigo-700': {
    borderLeftColor: 'rgb(67,56,202)',
    borderRightColor: 'rgb(67,56,202)',
  },
  'border-x-indigo-800': {
    borderLeftColor: 'rgb(55,48,163)',
    borderRightColor: 'rgb(55,48,163)',
  },
  'border-x-indigo-900': {
    borderLeftColor: 'rgb(49,46,129)',
    borderRightColor: 'rgb(49,46,129)',
  },
  'border-x-indigo-950': {
    borderLeftColor: 'rgb(30,27,75)',
    borderRightColor: 'rgb(30,27,75)',
  },
  'border-x-lime-100': {
    borderLeftColor: 'rgb(236,252,203)',
    borderRightColor: 'rgb(236,252,203)',
  },
  'border-x-lime-200': {
    borderLeftColor: 'rgb(217,249,157)',
    borderRightColor: 'rgb(217,249,157)',
  },
  'border-x-lime-300': {
    borderLeftColor: 'rgb(190,242,100)',
    borderRightColor: 'rgb(190,242,100)',
  },
  'border-x-lime-400': {
    borderLeftColor: 'rgb(163,230,53)',
    borderRightColor: 'rgb(163,230,53)',
  },
  'border-x-lime-50': {
    borderLeftColor: 'rgb(247,254,231)',
    borderRightColor: 'rgb(247,254,231)',
  },
  'border-x-lime-500': {
    borderLeftColor: 'rgb(132,204,22)',
    borderRightColor: 'rgb(132,204,22)',
  },
  'border-x-lime-600': {
    borderLeftColor: 'rgb(101,163,13)',
    borderRightColor: 'rgb(101,163,13)',
  },
  'border-x-lime-700': {
    borderLeftColor: 'rgb(77,124,15)',
    borderRightColor: 'rgb(77,124,15)',
  },
  'border-x-lime-800': {
    borderLeftColor: 'rgb(63,98,18)',
    borderRightColor: 'rgb(63,98,18)',
  },
  'border-x-lime-900': {
    borderLeftColor: 'rgb(54,83,20)',
    borderRightColor: 'rgb(54,83,20)',
  },
  'border-x-lime-950': {
    borderLeftColor: 'rgb(26,46,5)',
    borderRightColor: 'rgb(26,46,5)',
  },
  'border-x-neutral-100': {
    borderLeftColor: 'rgb(245,245,245)',
    borderRightColor: 'rgb(245,245,245)',
  },
  'border-x-neutral-200': {
    borderLeftColor: 'rgb(229,229,229)',
    borderRightColor: 'rgb(229,229,229)',
  },
  'border-x-neutral-300': {
    borderLeftColor: 'rgb(212,212,212)',
    borderRightColor: 'rgb(212,212,212)',
  },
  'border-x-neutral-400': {
    borderLeftColor: 'rgb(163,163,163)',
    borderRightColor: 'rgb(163,163,163)',
  },
  'border-x-neutral-50': {
    borderLeftColor: 'rgb(250,250,250)',
    borderRightColor: 'rgb(250,250,250)',
  },
  'border-x-neutral-500': {
    borderLeftColor: 'rgb(115,115,115)',
    borderRightColor: 'rgb(115,115,115)',
  },
  'border-x-neutral-600': {
    borderLeftColor: 'rgb(82,82,82)',
    borderRightColor: 'rgb(82,82,82)',
  },
  'border-x-neutral-700': {
    borderLeftColor: 'rgb(64,64,64)',
    borderRightColor: 'rgb(64,64,64)',
  },
  'border-x-neutral-800': {
    borderLeftColor: 'rgb(38,38,38)',
    borderRightColor: 'rgb(38,38,38)',
  },
  'border-x-neutral-900': {
    borderLeftColor: 'rgb(23,23,23)',
    borderRightColor: 'rgb(23,23,23)',
  },
  'border-x-neutral-950': {
    borderLeftColor: 'rgb(10,10,10)',
    borderRightColor: 'rgb(10,10,10)',
  },
  'border-x-orange-100': {
    borderLeftColor: 'rgb(255,237,213)',
    borderRightColor: 'rgb(255,237,213)',
  },
  'border-x-orange-200': {
    borderLeftColor: 'rgb(254,215,170)',
    borderRightColor: 'rgb(254,215,170)',
  },
  'border-x-orange-300': {
    borderLeftColor: 'rgb(253,186,116)',
    borderRightColor: 'rgb(253,186,116)',
  },
  'border-x-orange-400': {
    borderLeftColor: 'rgb(251,146,60)',
    borderRightColor: 'rgb(251,146,60)',
  },
  'border-x-orange-50': {
    borderLeftColor: 'rgb(255,247,237)',
    borderRightColor: 'rgb(255,247,237)',
  },
  'border-x-orange-500': {
    borderLeftColor: 'rgb(249,115,22)',
    borderRightColor: 'rgb(249,115,22)',
  },
  'border-x-orange-600': {
    borderLeftColor: 'rgb(234,88,12)',
    borderRightColor: 'rgb(234,88,12)',
  },
  'border-x-orange-700': {
    borderLeftColor: 'rgb(194,65,12)',
    borderRightColor: 'rgb(194,65,12)',
  },
  'border-x-orange-800': {
    borderLeftColor: 'rgb(154,52,18)',
    borderRightColor: 'rgb(154,52,18)',
  },
  'border-x-orange-900': {
    borderLeftColor: 'rgb(124,45,18)',
    borderRightColor: 'rgb(124,45,18)',
  },
  'border-x-orange-950': {
    borderLeftColor: 'rgb(67,20,7)',
    borderRightColor: 'rgb(67,20,7)',
  },
  'border-x-pink-100': {
    borderLeftColor: 'rgb(252,231,243)',
    borderRightColor: 'rgb(252,231,243)',
  },
  'border-x-pink-200': {
    borderLeftColor: 'rgb(251,207,232)',
    borderRightColor: 'rgb(251,207,232)',
  },
  'border-x-pink-300': {
    borderLeftColor: 'rgb(249,168,212)',
    borderRightColor: 'rgb(249,168,212)',
  },
  'border-x-pink-400': {
    borderLeftColor: 'rgb(244,114,182)',
    borderRightColor: 'rgb(244,114,182)',
  },
  'border-x-pink-50': {
    borderLeftColor: 'rgb(253,242,248)',
    borderRightColor: 'rgb(253,242,248)',
  },
  'border-x-pink-500': {
    borderLeftColor: 'rgb(236,72,153)',
    borderRightColor: 'rgb(236,72,153)',
  },
  'border-x-pink-600': {
    borderLeftColor: 'rgb(219,39,119)',
    borderRightColor: 'rgb(219,39,119)',
  },
  'border-x-pink-700': {
    borderLeftColor: 'rgb(190,24,93)',
    borderRightColor: 'rgb(190,24,93)',
  },
  'border-x-pink-800': {
    borderLeftColor: 'rgb(157,23,77)',
    borderRightColor: 'rgb(157,23,77)',
  },
  'border-x-pink-900': {
    borderLeftColor: 'rgb(131,24,67)',
    borderRightColor: 'rgb(131,24,67)',
  },
  'border-x-pink-950': {
    borderLeftColor: 'rgb(80,7,36)',
    borderRightColor: 'rgb(80,7,36)',
  },
  'border-x-purple-100': {
    borderLeftColor: 'rgb(243,232,255)',
    borderRightColor: 'rgb(243,232,255)',
  },
  'border-x-purple-200': {
    borderLeftColor: 'rgb(233,213,255)',
    borderRightColor: 'rgb(233,213,255)',
  },
  'border-x-purple-300': {
    borderLeftColor: 'rgb(216,180,254)',
    borderRightColor: 'rgb(216,180,254)',
  },
  'border-x-purple-400': {
    borderLeftColor: 'rgb(192,132,252)',
    borderRightColor: 'rgb(192,132,252)',
  },
  'border-x-purple-50': {
    borderLeftColor: 'rgb(250,245,255)',
    borderRightColor: 'rgb(250,245,255)',
  },
  'border-x-purple-500': {
    borderLeftColor: 'rgb(168,85,247)',
    borderRightColor: 'rgb(168,85,247)',
  },
  'border-x-purple-600': {
    borderLeftColor: 'rgb(147,51,234)',
    borderRightColor: 'rgb(147,51,234)',
  },
  'border-x-purple-700': {
    borderLeftColor: 'rgb(126,34,206)',
    borderRightColor: 'rgb(126,34,206)',
  },
  'border-x-purple-800': {
    borderLeftColor: 'rgb(107,33,168)',
    borderRightColor: 'rgb(107,33,168)',
  },
  'border-x-purple-900': {
    borderLeftColor: 'rgb(88,28,135)',
    borderRightColor: 'rgb(88,28,135)',
  },
  'border-x-purple-950': {
    borderLeftColor: 'rgb(59,7,100)',
    borderRightColor: 'rgb(59,7,100)',
  },
  'border-x-red-100': {
    borderLeftColor: 'rgb(254,226,226)',
    borderRightColor: 'rgb(254,226,226)',
  },
  'border-x-red-200': {
    borderLeftColor: 'rgb(254,202,202)',
    borderRightColor: 'rgb(254,202,202)',
  },
  'border-x-red-300': {
    borderLeftColor: 'rgb(252,165,165)',
    borderRightColor: 'rgb(252,165,165)',
  },
  'border-x-red-400': {
    borderLeftColor: 'rgb(248,113,113)',
    borderRightColor: 'rgb(248,113,113)',
  },
  'border-x-red-50': {
    borderLeftColor: 'rgb(254,242,242)',
    borderRightColor: 'rgb(254,242,242)',
  },
  'border-x-red-500': {
    borderLeftColor: 'rgb(239,68,68)',
    borderRightColor: 'rgb(239,68,68)',
  },
  'border-x-red-600': {
    borderLeftColor: 'rgb(220,38,38)',
    borderRightColor: 'rgb(220,38,38)',
  },
  'border-x-red-700': {
    borderLeftColor: 'rgb(185,28,28)',
    borderRightColor: 'rgb(185,28,28)',
  },
  'border-x-red-800': {
    borderLeftColor: 'rgb(153,27,27)',
    borderRightColor: 'rgb(153,27,27)',
  },
  'border-x-red-900': {
    borderLeftColor: 'rgb(127,29,29)',
    borderRightColor: 'rgb(127,29,29)',
  },
  'border-x-red-950': {
    borderLeftColor: 'rgb(69,10,10)',
    borderRightColor: 'rgb(69,10,10)',
  },
  'border-x-rose-100': {
    borderLeftColor: 'rgb(255,228,230)',
    borderRightColor: 'rgb(255,228,230)',
  },
  'border-x-rose-200': {
    borderLeftColor: 'rgb(254,205,211)',
    borderRightColor: 'rgb(254,205,211)',
  },
  'border-x-rose-300': {
    borderLeftColor: 'rgb(253,164,175)',
    borderRightColor: 'rgb(253,164,175)',
  },
  'border-x-rose-400': {
    borderLeftColor: 'rgb(251,113,133)',
    borderRightColor: 'rgb(251,113,133)',
  },
  'border-x-rose-50': {
    borderLeftColor: 'rgb(255,241,242)',
    borderRightColor: 'rgb(255,241,242)',
  },
  'border-x-rose-500': {
    borderLeftColor: 'rgb(244,63,94)',
    borderRightColor: 'rgb(244,63,94)',
  },
  'border-x-rose-600': {
    borderLeftColor: 'rgb(225,29,72)',
    borderRightColor: 'rgb(225,29,72)',
  },
  'border-x-rose-700': {
    borderLeftColor: 'rgb(190,18,60)',
    borderRightColor: 'rgb(190,18,60)',
  },
  'border-x-rose-800': {
    borderLeftColor: 'rgb(159,18,57)',
    borderRightColor: 'rgb(159,18,57)',
  },
  'border-x-rose-900': {
    borderLeftColor: 'rgb(136,19,55)',
    borderRightColor: 'rgb(136,19,55)',
  },
  'border-x-rose-950': {
    borderLeftColor: 'rgb(76,5,25)',
    borderRightColor: 'rgb(76,5,25)',
  },
  'border-x-sky-100': {
    borderLeftColor: 'rgb(224,242,254)',
    borderRightColor: 'rgb(224,242,254)',
  },
  'border-x-sky-200': {
    borderLeftColor: 'rgb(186,230,253)',
    borderRightColor: 'rgb(186,230,253)',
  },
  'border-x-sky-300': {
    borderLeftColor: 'rgb(125,211,252)',
    borderRightColor: 'rgb(125,211,252)',
  },
  'border-x-sky-400': {
    borderLeftColor: 'rgb(56,189,248)',
    borderRightColor: 'rgb(56,189,248)',
  },
  'border-x-sky-50': {
    borderLeftColor: 'rgb(240,249,255)',
    borderRightColor: 'rgb(240,249,255)',
  },
  'border-x-sky-500': {
    borderLeftColor: 'rgb(14,165,233)',
    borderRightColor: 'rgb(14,165,233)',
  },
  'border-x-sky-600': {
    borderLeftColor: 'rgb(2,132,199)',
    borderRightColor: 'rgb(2,132,199)',
  },
  'border-x-sky-700': {
    borderLeftColor: 'rgb(3,105,161)',
    borderRightColor: 'rgb(3,105,161)',
  },
  'border-x-sky-800': {
    borderLeftColor: 'rgb(7,89,133)',
    borderRightColor: 'rgb(7,89,133)',
  },
  'border-x-sky-900': {
    borderLeftColor: 'rgb(12,74,110)',
    borderRightColor: 'rgb(12,74,110)',
  },
  'border-x-sky-950': {
    borderLeftColor: 'rgb(8,47,73)',
    borderRightColor: 'rgb(8,47,73)',
  },
  'border-x-slate-100': {
    borderLeftColor: 'rgb(241,245,249)',
    borderRightColor: 'rgb(241,245,249)',
  },
  'border-x-slate-200': {
    borderLeftColor: 'rgb(226,232,240)',
    borderRightColor: 'rgb(226,232,240)',
  },
  'border-x-slate-300': {
    borderLeftColor: 'rgb(203,213,225)',
    borderRightColor: 'rgb(203,213,225)',
  },
  'border-x-slate-400': {
    borderLeftColor: 'rgb(148,163,184)',
    borderRightColor: 'rgb(148,163,184)',
  },
  'border-x-slate-50': {
    borderLeftColor: 'rgb(248,250,252)',
    borderRightColor: 'rgb(248,250,252)',
  },
  'border-x-slate-500': {
    borderLeftColor: 'rgb(100,116,139)',
    borderRightColor: 'rgb(100,116,139)',
  },
  'border-x-slate-600': {
    borderLeftColor: 'rgb(71,85,105)',
    borderRightColor: 'rgb(71,85,105)',
  },
  'border-x-slate-700': {
    borderLeftColor: 'rgb(51,65,85)',
    borderRightColor: 'rgb(51,65,85)',
  },
  'border-x-slate-800': {
    borderLeftColor: 'rgb(30,41,59)',
    borderRightColor: 'rgb(30,41,59)',
  },
  'border-x-slate-900': {
    borderLeftColor: 'rgb(15,23,42)',
    borderRightColor: 'rgb(15,23,42)',
  },
  'border-x-slate-950': {
    borderLeftColor: 'rgb(2,6,23)',
    borderRightColor: 'rgb(2,6,23)',
  },
  'border-x-stone-100': {
    borderLeftColor: 'rgb(245,245,244)',
    borderRightColor: 'rgb(245,245,244)',
  },
  'border-x-stone-200': {
    borderLeftColor: 'rgb(231,229,228)',
    borderRightColor: 'rgb(231,229,228)',
  },
  'border-x-stone-300': {
    borderLeftColor: 'rgb(214,211,209)',
    borderRightColor: 'rgb(214,211,209)',
  },
  'border-x-stone-400': {
    borderLeftColor: 'rgb(168,162,158)',
    borderRightColor: 'rgb(168,162,158)',
  },
  'border-x-stone-50': {
    borderLeftColor: 'rgb(250,250,249)',
    borderRightColor: 'rgb(250,250,249)',
  },
  'border-x-stone-500': {
    borderLeftColor: 'rgb(120,113,108)',
    borderRightColor: 'rgb(120,113,108)',
  },
  'border-x-stone-600': {
    borderLeftColor: 'rgb(87,83,78)',
    borderRightColor: 'rgb(87,83,78)',
  },
  'border-x-stone-700': {
    borderLeftColor: 'rgb(68,64,60)',
    borderRightColor: 'rgb(68,64,60)',
  },
  'border-x-stone-800': {
    borderLeftColor: 'rgb(41,37,36)',
    borderRightColor: 'rgb(41,37,36)',
  },
  'border-x-stone-900': {
    borderLeftColor: 'rgb(28,25,23)',
    borderRightColor: 'rgb(28,25,23)',
  },
  'border-x-stone-950': {
    borderLeftColor: 'rgb(12,10,9)',
    borderRightColor: 'rgb(12,10,9)',
  },
  'border-x-teal-100': {
    borderLeftColor: 'rgb(204,251,241)',
    borderRightColor: 'rgb(204,251,241)',
  },
  'border-x-transparent': {
    borderLeftColor: 'transparent',
    borderRightColor: 'transparent',
  },
  'border-x-teal-200': {
    borderLeftColor: 'rgb(153,246,228)',
    borderRightColor: 'rgb(153,246,228)',
  },
  'border-x-teal-300': {
    borderLeftColor: 'rgb(94,234,212)',
    borderRightColor: 'rgb(94,234,212)',
  },
  'border-x-teal-400': {
    borderLeftColor: 'rgb(45,212,191)',
    borderRightColor: 'rgb(45,212,191)',
  },
  'border-x-teal-50': {
    borderLeftColor: 'rgb(240,253,250)',
    borderRightColor: 'rgb(240,253,250)',
  },
  'border-x-teal-500': {
    borderLeftColor: 'rgb(20,184,166)',
    borderRightColor: 'rgb(20,184,166)',
  },
  'border-x-teal-600': {
    borderLeftColor: 'rgb(13,148,136)',
    borderRightColor: 'rgb(13,148,136)',
  },
  'border-x-teal-700': {
    borderLeftColor: 'rgb(15,118,110)',
    borderRightColor: 'rgb(15,118,110)',
  },
  'border-x-teal-800': {
    borderLeftColor: 'rgb(17,94,89)',
    borderRightColor: 'rgb(17,94,89)',
  },
  'border-x-teal-900': {
    borderLeftColor: 'rgb(19,78,74)',
    borderRightColor: 'rgb(19,78,74)',
  },
  'border-x-teal-950': {
    borderLeftColor: 'rgb(4,47,46)',
    borderRightColor: 'rgb(4,47,46)',
  },
  'border-x-violet-100': {
    borderLeftColor: 'rgb(237,233,254)',
    borderRightColor: 'rgb(237,233,254)',
  },
  'border-x-violet-200': {
    borderLeftColor: 'rgb(221,214,254)',
    borderRightColor: 'rgb(221,214,254)',
  },
  'border-x-violet-300': {
    borderLeftColor: 'rgb(196,181,253)',
    borderRightColor: 'rgb(196,181,253)',
  },
  'border-x-violet-400': {
    borderLeftColor: 'rgb(167,139,250)',
    borderRightColor: 'rgb(167,139,250)',
  },
  'border-x-violet-50': {
    borderLeftColor: 'rgb(245,243,255)',
    borderRightColor: 'rgb(245,243,255)',
  },
  'border-x-violet-500': {
    borderLeftColor: 'rgb(139,92,246)',
    borderRightColor: 'rgb(139,92,246)',
  },
  'border-x-violet-600': {
    borderLeftColor: 'rgb(124,58,237)',
    borderRightColor: 'rgb(124,58,237)',
  },
  'border-x-violet-700': {
    borderLeftColor: 'rgb(109,40,217)',
    borderRightColor: 'rgb(109,40,217)',
  },
  'border-x-violet-800': {
    borderLeftColor: 'rgb(91,33,182)',
    borderRightColor: 'rgb(91,33,182)',
  },
  'border-x-violet-900': {
    borderLeftColor: 'rgb(76,29,149)',
    borderRightColor: 'rgb(76,29,149)',
  },
  'border-x-violet-950': {
    borderLeftColor: 'rgb(46,16,101)',
    borderRightColor: 'rgb(46,16,101)',
  },
  'border-x-white': {
    borderLeftColor: 'rgb(255,255,255)',
    borderRightColor: 'rgb(255,255,255)',
  },
  'border-x-yellow-100': {
    borderLeftColor: 'rgb(254,249,195)',
    borderRightColor: 'rgb(254,249,195)',
  },
  'border-x-yellow-200': {
    borderLeftColor: 'rgb(254,240,138)',
    borderRightColor: 'rgb(254,240,138)',
  },
  'border-x-yellow-300': {
    borderLeftColor: 'rgb(253,224,71)',
    borderRightColor: 'rgb(253,224,71)',
  },
  'border-x-yellow-400': {
    borderLeftColor: 'rgb(250,204,21)',
    borderRightColor: 'rgb(250,204,21)',
  },
  'border-x-yellow-50': {
    borderLeftColor: 'rgb(254,252,232)',
    borderRightColor: 'rgb(254,252,232)',
  },
  'border-x-yellow-500': {
    borderLeftColor: 'rgb(234,179,8)',
    borderRightColor: 'rgb(234,179,8)',
  },
  'border-x-yellow-600': {
    borderLeftColor: 'rgb(202,138,4)',
    borderRightColor: 'rgb(202,138,4)',
  },
  'border-x-yellow-700': {
    borderLeftColor: 'rgb(161,98,7)',
    borderRightColor: 'rgb(161,98,7)',
  },
  'border-x-yellow-800': {
    borderLeftColor: 'rgb(133,77,14)',
    borderRightColor: 'rgb(133,77,14)',
  },
  'border-x-yellow-900': {
    borderLeftColor: 'rgb(113,63,18)',
    borderRightColor: 'rgb(113,63,18)',
  },
  'border-x-yellow-950': {
    borderLeftColor: 'rgb(66,32,6)',
    borderRightColor: 'rgb(66,32,6)',
  },
  'border-x-zinc-100': {
    borderLeftColor: 'rgb(244,244,245)',
    borderRightColor: 'rgb(244,244,245)',
  },
  'border-x-zinc-200': {
    borderLeftColor: 'rgb(228,228,231)',
    borderRightColor: 'rgb(228,228,231)',
  },
  'border-x-zinc-300': {
    borderLeftColor: 'rgb(212,212,216)',
    borderRightColor: 'rgb(212,212,216)',
  },
  'border-x-zinc-400': {
    borderLeftColor: 'rgb(161,161,170)',
    borderRightColor: 'rgb(161,161,170)',
  },
  'border-x-zinc-50': {
    borderLeftColor: 'rgb(250,250,250)',
    borderRightColor: 'rgb(250,250,250)',
  },
  'border-x-zinc-500': {
    borderLeftColor: 'rgb(113,113,122)',
    borderRightColor: 'rgb(113,113,122)',
  },
  'border-x-zinc-600': {
    borderLeftColor: 'rgb(82,82,91)',
    borderRightColor: 'rgb(82,82,91)',
  },
  'border-x-zinc-700': {
    borderLeftColor: 'rgb(63,63,70)',
    borderRightColor: 'rgb(63,63,70)',
  },
  'border-x-zinc-800': {
    borderLeftColor: 'rgb(39,39,42)',
    borderRightColor: 'rgb(39,39,42)',
  },
  'border-x-zinc-900': {
    borderLeftColor: 'rgb(24,24,27)',
    borderRightColor: 'rgb(24,24,27)',
  },
  'border-x-zinc-950': {
    borderLeftColor: 'rgb(9,9,11)',
    borderRightColor: 'rgb(9,9,11)',
  },
  'border-y-amber-100': {
    borderTopColor: 'rgb(254,243,199)',
    borderBottomColor: 'rgb(254,243,199)',
  },
  'border-y-amber-200': {
    borderTopColor: 'rgb(253,230,138)',
    borderBottomColor: 'rgb(253,230,138)',
  },
  'border-y-amber-300': {
    borderTopColor: 'rgb(252,211,77)',
    borderBottomColor: 'rgb(252,211,77)',
  },
  'border-y-amber-400': {
    borderTopColor: 'rgb(251,191,36)',
    borderBottomColor: 'rgb(251,191,36)',
  },
  'border-y-amber-50': {
    borderTopColor: 'rgb(255,251,235)',
    borderBottomColor: 'rgb(255,251,235)',
  },
  'border-y-amber-500': {
    borderTopColor: 'rgb(245,158,11)',
    borderBottomColor: 'rgb(245,158,11)',
  },
  'border-y-amber-600': {
    borderTopColor: 'rgb(217,119,6)',
    borderBottomColor: 'rgb(217,119,6)',
  },
  'border-y-amber-700': {
    borderTopColor: 'rgb(180,83,9)',
    borderBottomColor: 'rgb(180,83,9)',
  },
  'border-y-amber-800': {
    borderTopColor: 'rgb(146,64,14)',
    borderBottomColor: 'rgb(146,64,14)',
  },
  'border-y-amber-900': {
    borderTopColor: 'rgb(120,53,15)',
    borderBottomColor: 'rgb(120,53,15)',
  },
  'border-y-amber-950': {
    borderTopColor: 'rgb(69,26,3)',
    borderBottomColor: 'rgb(69,26,3)',
  },
  'border-y-black': {
    borderTopColor: 'rgb(0,0,0)',
    borderBottomColor: 'rgb(0,0,0)',
  },
  'border-y-blue-100': {
    borderTopColor: 'rgb(219,234,254)',
    borderBottomColor: 'rgb(219,234,254)',
  },
  'border-y-blue-200': {
    borderTopColor: 'rgb(191,219,254)',
    borderBottomColor: 'rgb(191,219,254)',
  },
  'border-y-blue-300': {
    borderTopColor: 'rgb(147,197,253)',
    borderBottomColor: 'rgb(147,197,253)',
  },
  'border-y-blue-400': {
    borderTopColor: 'rgb(96,165,250)',
    borderBottomColor: 'rgb(96,165,250)',
  },
  'border-y-blue-50': {
    borderTopColor: 'rgb(239,246,255)',
    borderBottomColor: 'rgb(239,246,255)',
  },
  'border-y-blue-500': {
    borderTopColor: 'rgb(59,130,246)',
    borderBottomColor: 'rgb(59,130,246)',
  },
  'border-y-blue-600': {
    borderTopColor: 'rgb(37,99,235)',
    borderBottomColor: 'rgb(37,99,235)',
  },
  'border-y-blue-700': {
    borderTopColor: 'rgb(29,78,216)',
    borderBottomColor: 'rgb(29,78,216)',
  },
  'border-y-blue-800': {
    borderTopColor: 'rgb(30,64,175)',
    borderBottomColor: 'rgb(30,64,175)',
  },
  'border-y-blue-900': {
    borderTopColor: 'rgb(30,58,138)',
    borderBottomColor: 'rgb(30,58,138)',
  },
  'border-y-blue-950': {
    borderTopColor: 'rgb(23,37,84)',
    borderBottomColor: 'rgb(23,37,84)',
  },
  'border-y-cyan-100': {
    borderTopColor: 'rgb(207,250,254)',
    borderBottomColor: 'rgb(207,250,254)',
  },
  'border-y-cyan-200': {
    borderTopColor: 'rgb(165,243,252)',
    borderBottomColor: 'rgb(165,243,252)',
  },
  'border-y-cyan-300': {
    borderTopColor: 'rgb(103,232,249)',
    borderBottomColor: 'rgb(103,232,249)',
  },
  'border-y-cyan-400': {
    borderTopColor: 'rgb(34,211,238)',
    borderBottomColor: 'rgb(34,211,238)',
  },
  'border-y-cyan-50': {
    borderTopColor: 'rgb(236,254,255)',
    borderBottomColor: 'rgb(236,254,255)',
  },
  'border-y-cyan-500': {
    borderTopColor: 'rgb(6,182,212)',
    borderBottomColor: 'rgb(6,182,212)',
  },
  'border-y-cyan-600': {
    borderTopColor: 'rgb(8,145,178)',
    borderBottomColor: 'rgb(8,145,178)',
  },
  'border-y-cyan-700': {
    borderTopColor: 'rgb(14,116,144)',
    borderBottomColor: 'rgb(14,116,144)',
  },
  'border-y-cyan-800': {
    borderTopColor: 'rgb(21,94,117)',
    borderBottomColor: 'rgb(21,94,117)',
  },
  'border-y-cyan-900': {
    borderTopColor: 'rgb(22,78,99)',
    borderBottomColor: 'rgb(22,78,99)',
  },
  'border-y-cyan-950': {
    borderTopColor: 'rgb(8,51,68)',
    borderBottomColor: 'rgb(8,51,68)',
  },
  'border-y-emerald-100': {
    borderTopColor: 'rgb(209,250,229)',
    borderBottomColor: 'rgb(209,250,229)',
  },
  'border-y-emerald-200': {
    borderTopColor: 'rgb(167,243,208)',
    borderBottomColor: 'rgb(167,243,208)',
  },
  'border-y-emerald-300': {
    borderTopColor: 'rgb(110,231,183)',
    borderBottomColor: 'rgb(110,231,183)',
  },
  'border-y-emerald-400': {
    borderTopColor: 'rgb(52,211,153)',
    borderBottomColor: 'rgb(52,211,153)',
  },
  'border-y-emerald-50': {
    borderTopColor: 'rgb(236,253,245)',
    borderBottomColor: 'rgb(236,253,245)',
  },
  'border-y-emerald-500': {
    borderTopColor: 'rgb(16,185,129)',
    borderBottomColor: 'rgb(16,185,129)',
  },
  'border-y-emerald-600': {
    borderTopColor: 'rgb(5,150,105)',
    borderBottomColor: 'rgb(5,150,105)',
  },
  'border-y-emerald-700': {
    borderTopColor: 'rgb(4,120,87)',
    borderBottomColor: 'rgb(4,120,87)',
  },
  'border-y-emerald-800': {
    borderTopColor: 'rgb(6,95,70)',
    borderBottomColor: 'rgb(6,95,70)',
  },
  'border-y-emerald-900': {
    borderTopColor: 'rgb(6,78,59)',
    borderBottomColor: 'rgb(6,78,59)',
  },
  'border-y-emerald-950': {
    borderTopColor: 'rgb(2,44,34)',
    borderBottomColor: 'rgb(2,44,34)',
  },
  'border-y-fuchsia-100': {
    borderTopColor: 'rgb(250,232,255)',
    borderBottomColor: 'rgb(250,232,255)',
  },
  'border-y-fuchsia-200': {
    borderTopColor: 'rgb(245,208,254)',
    borderBottomColor: 'rgb(245,208,254)',
  },
  'border-y-fuchsia-300': {
    borderTopColor: 'rgb(240,171,252)',
    borderBottomColor: 'rgb(240,171,252)',
  },
  'border-y-fuchsia-400': {
    borderTopColor: 'rgb(232,121,249)',
    borderBottomColor: 'rgb(232,121,249)',
  },
  'border-y-fuchsia-50': {
    borderTopColor: 'rgb(253,244,255)',
    borderBottomColor: 'rgb(253,244,255)',
  },
  'border-y-fuchsia-500': {
    borderTopColor: 'rgb(217,70,239)',
    borderBottomColor: 'rgb(217,70,239)',
  },
  'border-y-fuchsia-600': {
    borderTopColor: 'rgb(192,38,211)',
    borderBottomColor: 'rgb(192,38,211)',
  },
  'border-y-fuchsia-700': {
    borderTopColor: 'rgb(162,28,175)',
    borderBottomColor: 'rgb(162,28,175)',
  },
  'border-y-fuchsia-800': {
    borderTopColor: 'rgb(134,25,143)',
    borderBottomColor: 'rgb(134,25,143)',
  },
  'border-y-fuchsia-900': {
    borderTopColor: 'rgb(112,26,117)',
    borderBottomColor: 'rgb(112,26,117)',
  },
  'border-y-fuchsia-950': {
    borderTopColor: 'rgb(74,4,78)',
    borderBottomColor: 'rgb(74,4,78)',
  },
  'border-y-gray-100': {
    borderTopColor: 'rgb(243,244,246)',
    borderBottomColor: 'rgb(243,244,246)',
  },
  'border-y-gray-200': {
    borderTopColor: 'rgb(229,231,235)',
    borderBottomColor: 'rgb(229,231,235)',
  },
  'border-y-gray-300': {
    borderTopColor: 'rgb(209,213,219)',
    borderBottomColor: 'rgb(209,213,219)',
  },
  'border-y-gray-400': {
    borderTopColor: 'rgb(156,163,175)',
    borderBottomColor: 'rgb(156,163,175)',
  },
  'border-y-gray-50': {
    borderTopColor: 'rgb(249,250,251)',
    borderBottomColor: 'rgb(249,250,251)',
  },
  'border-y-gray-500': {
    borderTopColor: 'rgb(107,114,128)',
    borderBottomColor: 'rgb(107,114,128)',
  },
  'border-y-gray-600': {
    borderTopColor: 'rgb(75,85,99)',
    borderBottomColor: 'rgb(75,85,99)',
  },
  'border-y-gray-700': {
    borderTopColor: 'rgb(55,65,81)',
    borderBottomColor: 'rgb(55,65,81)',
  },
  'border-y-gray-800': {
    borderTopColor: 'rgb(31,41,55)',
    borderBottomColor: 'rgb(31,41,55)',
  },
  'border-y-gray-900': {
    borderTopColor: 'rgb(17,24,39)',
    borderBottomColor: 'rgb(17,24,39)',
  },
  'border-y-gray-950': {
    borderTopColor: 'rgb(3,7,18)',
    borderBottomColor: 'rgb(3,7,18)',
  },
  'border-y-green-100': {
    borderTopColor: 'rgb(220,252,231)',
    borderBottomColor: 'rgb(220,252,231)',
  },
  'border-y-green-200': {
    borderTopColor: 'rgb(187,247,208)',
    borderBottomColor: 'rgb(187,247,208)',
  },
  'border-y-green-300': {
    borderTopColor: 'rgb(134,239,172)',
    borderBottomColor: 'rgb(134,239,172)',
  },
  'border-y-green-400': {
    borderTopColor: 'rgb(74,222,128)',
    borderBottomColor: 'rgb(74,222,128)',
  },
  'border-y-green-50': {
    borderTopColor: 'rgb(240,253,244)',
    borderBottomColor: 'rgb(240,253,244)',
  },
  'border-y-green-500': {
    borderTopColor: 'rgb(34,197,94)',
    borderBottomColor: 'rgb(34,197,94)',
  },
  'border-y-green-600': {
    borderTopColor: 'rgb(22,163,74)',
    borderBottomColor: 'rgb(22,163,74)',
  },
  'border-y-green-700': {
    borderTopColor: 'rgb(21,128,61)',
    borderBottomColor: 'rgb(21,128,61)',
  },
  'border-y-green-800': {
    borderTopColor: 'rgb(22,101,52)',
    borderBottomColor: 'rgb(22,101,52)',
  },
  'border-y-green-900': {
    borderTopColor: 'rgb(20,83,45)',
    borderBottomColor: 'rgb(20,83,45)',
  },
  'border-y-green-950': {
    borderTopColor: 'rgb(5,46,22)',
    borderBottomColor: 'rgb(5,46,22)',
  },
  'border-y-indigo-100': {
    borderTopColor: 'rgb(224,231,255)',
    borderBottomColor: 'rgb(224,231,255)',
  },
  'border-y-indigo-200': {
    borderTopColor: 'rgb(199,210,254)',
    borderBottomColor: 'rgb(199,210,254)',
  },
  'border-y-indigo-300': {
    borderTopColor: 'rgb(165,180,252)',
    borderBottomColor: 'rgb(165,180,252)',
  },
  'border-y-indigo-400': {
    borderTopColor: 'rgb(129,140,248)',
    borderBottomColor: 'rgb(129,140,248)',
  },
  'border-y-indigo-50': {
    borderTopColor: 'rgb(238,242,255)',
    borderBottomColor: 'rgb(238,242,255)',
  },
  'border-y-indigo-500': {
    borderTopColor: 'rgb(99,102,241)',
    borderBottomColor: 'rgb(99,102,241)',
  },
  'border-y-indigo-600': {
    borderTopColor: 'rgb(79,70,229)',
    borderBottomColor: 'rgb(79,70,229)',
  },
  'border-y-indigo-700': {
    borderTopColor: 'rgb(67,56,202)',
    borderBottomColor: 'rgb(67,56,202)',
  },
  'border-y-indigo-800': {
    borderTopColor: 'rgb(55,48,163)',
    borderBottomColor: 'rgb(55,48,163)',
  },
  'border-y-indigo-900': {
    borderTopColor: 'rgb(49,46,129)',
    borderBottomColor: 'rgb(49,46,129)',
  },
  'border-y-indigo-950': {
    borderTopColor: 'rgb(30,27,75)',
    borderBottomColor: 'rgb(30,27,75)',
  },
  'border-y-lime-100': {
    borderTopColor: 'rgb(236,252,203)',
    borderBottomColor: 'rgb(236,252,203)',
  },
  'border-y-lime-200': {
    borderTopColor: 'rgb(217,249,157)',
    borderBottomColor: 'rgb(217,249,157)',
  },
  'border-y-lime-300': {
    borderTopColor: 'rgb(190,242,100)',
    borderBottomColor: 'rgb(190,242,100)',
  },
  'border-y-lime-400': {
    borderTopColor: 'rgb(163,230,53)',
    borderBottomColor: 'rgb(163,230,53)',
  },
  'border-y-lime-50': {
    borderTopColor: 'rgb(247,254,231)',
    borderBottomColor: 'rgb(247,254,231)',
  },
  'border-y-lime-500': {
    borderTopColor: 'rgb(132,204,22)',
    borderBottomColor: 'rgb(132,204,22)',
  },
  'border-y-lime-600': {
    borderTopColor: 'rgb(101,163,13)',
    borderBottomColor: 'rgb(101,163,13)',
  },
  'border-y-lime-700': {
    borderTopColor: 'rgb(77,124,15)',
    borderBottomColor: 'rgb(77,124,15)',
  },
  'border-y-lime-800': {
    borderTopColor: 'rgb(63,98,18)',
    borderBottomColor: 'rgb(63,98,18)',
  },
  'border-y-lime-900': {
    borderTopColor: 'rgb(54,83,20)',
    borderBottomColor: 'rgb(54,83,20)',
  },
  'border-y-lime-950': {
    borderTopColor: 'rgb(26,46,5)',
    borderBottomColor: 'rgb(26,46,5)',
  },
  'border-y-neutral-100': {
    borderTopColor: 'rgb(245,245,245)',
    borderBottomColor: 'rgb(245,245,245)',
  },
  'border-y-neutral-200': {
    borderTopColor: 'rgb(229,229,229)',
    borderBottomColor: 'rgb(229,229,229)',
  },
  'border-y-neutral-300': {
    borderTopColor: 'rgb(212,212,212)',
    borderBottomColor: 'rgb(212,212,212)',
  },
  'border-y-neutral-400': {
    borderTopColor: 'rgb(163,163,163)',
    borderBottomColor: 'rgb(163,163,163)',
  },
  'border-y-neutral-50': {
    borderTopColor: 'rgb(250,250,250)',
    borderBottomColor: 'rgb(250,250,250)',
  },
  'border-y-neutral-500': {
    borderTopColor: 'rgb(115,115,115)',
    borderBottomColor: 'rgb(115,115,115)',
  },
  'border-y-neutral-600': {
    borderTopColor: 'rgb(82,82,82)',
    borderBottomColor: 'rgb(82,82,82)',
  },
  'border-y-neutral-700': {
    borderTopColor: 'rgb(64,64,64)',
    borderBottomColor: 'rgb(64,64,64)',
  },
  'border-y-neutral-800': {
    borderTopColor: 'rgb(38,38,38)',
    borderBottomColor: 'rgb(38,38,38)',
  },
  'border-y-neutral-900': {
    borderTopColor: 'rgb(23,23,23)',
    borderBottomColor: 'rgb(23,23,23)',
  },
  'border-y-neutral-950': {
    borderTopColor: 'rgb(10,10,10)',
    borderBottomColor: 'rgb(10,10,10)',
  },
  'border-y-orange-100': {
    borderTopColor: 'rgb(255,237,213)',
    borderBottomColor: 'rgb(255,237,213)',
  },
  'border-y-orange-200': {
    borderTopColor: 'rgb(254,215,170)',
    borderBottomColor: 'rgb(254,215,170)',
  },
  'border-y-orange-300': {
    borderTopColor: 'rgb(253,186,116)',
    borderBottomColor: 'rgb(253,186,116)',
  },
  'border-y-orange-400': {
    borderTopColor: 'rgb(251,146,60)',
    borderBottomColor: 'rgb(251,146,60)',
  },
  'border-y-orange-50': {
    borderTopColor: 'rgb(255,247,237)',
    borderBottomColor: 'rgb(255,247,237)',
  },
  'border-y-orange-500': {
    borderTopColor: 'rgb(249,115,22)',
    borderBottomColor: 'rgb(249,115,22)',
  },
  'border-y-orange-600': {
    borderTopColor: 'rgb(234,88,12)',
    borderBottomColor: 'rgb(234,88,12)',
  },
  'border-y-orange-700': {
    borderTopColor: 'rgb(194,65,12)',
    borderBottomColor: 'rgb(194,65,12)',
  },
  'border-y-orange-800': {
    borderTopColor: 'rgb(154,52,18)',
    borderBottomColor: 'rgb(154,52,18)',
  },
  'border-y-orange-900': {
    borderTopColor: 'rgb(124,45,18)',
    borderBottomColor: 'rgb(124,45,18)',
  },
  'border-y-orange-950': {
    borderTopColor: 'rgb(67,20,7)',
    borderBottomColor: 'rgb(67,20,7)',
  },
  'border-y-pink-100': {
    borderTopColor: 'rgb(252,231,243)',
    borderBottomColor: 'rgb(252,231,243)',
  },
  'border-y-pink-200': {
    borderTopColor: 'rgb(251,207,232)',
    borderBottomColor: 'rgb(251,207,232)',
  },
  'border-y-pink-300': {
    borderTopColor: 'rgb(249,168,212)',
    borderBottomColor: 'rgb(249,168,212)',
  },
  'border-y-pink-400': {
    borderTopColor: 'rgb(244,114,182)',
    borderBottomColor: 'rgb(244,114,182)',
  },
  'border-y-pink-50': {
    borderTopColor: 'rgb(253,242,248)',
    borderBottomColor: 'rgb(253,242,248)',
  },
  'border-y-pink-500': {
    borderTopColor: 'rgb(236,72,153)',
    borderBottomColor: 'rgb(236,72,153)',
  },
  'border-y-pink-600': {
    borderTopColor: 'rgb(219,39,119)',
    borderBottomColor: 'rgb(219,39,119)',
  },
  'border-y-pink-700': {
    borderTopColor: 'rgb(190,24,93)',
    borderBottomColor: 'rgb(190,24,93)',
  },
  'border-y-pink-800': {
    borderTopColor: 'rgb(157,23,77)',
    borderBottomColor: 'rgb(157,23,77)',
  },
  'border-y-pink-900': {
    borderTopColor: 'rgb(131,24,67)',
    borderBottomColor: 'rgb(131,24,67)',
  },
  'border-y-pink-950': {
    borderTopColor: 'rgb(80,7,36)',
    borderBottomColor: 'rgb(80,7,36)',
  },
  'border-y-purple-100': {
    borderTopColor: 'rgb(243,232,255)',
    borderBottomColor: 'rgb(243,232,255)',
  },
  'border-y-purple-200': {
    borderTopColor: 'rgb(233,213,255)',
    borderBottomColor: 'rgb(233,213,255)',
  },
  'border-y-purple-300': {
    borderTopColor: 'rgb(216,180,254)',
    borderBottomColor: 'rgb(216,180,254)',
  },
  'border-y-purple-400': {
    borderTopColor: 'rgb(192,132,252)',
    borderBottomColor: 'rgb(192,132,252)',
  },
  'border-y-purple-50': {
    borderTopColor: 'rgb(250,245,255)',
    borderBottomColor: 'rgb(250,245,255)',
  },
  'border-y-purple-500': {
    borderTopColor: 'rgb(168,85,247)',
    borderBottomColor: 'rgb(168,85,247)',
  },
  'border-y-purple-600': {
    borderTopColor: 'rgb(147,51,234)',
    borderBottomColor: 'rgb(147,51,234)',
  },
  'border-y-purple-700': {
    borderTopColor: 'rgb(126,34,206)',
    borderBottomColor: 'rgb(126,34,206)',
  },
  'border-y-purple-800': {
    borderTopColor: 'rgb(107,33,168)',
    borderBottomColor: 'rgb(107,33,168)',
  },
  'border-y-purple-900': {
    borderTopColor: 'rgb(88,28,135)',
    borderBottomColor: 'rgb(88,28,135)',
  },
  'border-y-purple-950': {
    borderTopColor: 'rgb(59,7,100)',
    borderBottomColor: 'rgb(59,7,100)',
  },
  'border-y-red-100': {
    borderTopColor: 'rgb(254,226,226)',
    borderBottomColor: 'rgb(254,226,226)',
  },
  'border-y-red-200': {
    borderTopColor: 'rgb(254,202,202)',
    borderBottomColor: 'rgb(254,202,202)',
  },
  'border-y-red-300': {
    borderTopColor: 'rgb(252,165,165)',
    borderBottomColor: 'rgb(252,165,165)',
  },
  'border-y-red-400': {
    borderTopColor: 'rgb(248,113,113)',
    borderBottomColor: 'rgb(248,113,113)',
  },
  'border-y-red-50': {
    borderTopColor: 'rgb(254,242,242)',
    borderBottomColor: 'rgb(254,242,242)',
  },
  'border-y-red-500': {
    borderTopColor: 'rgb(239,68,68)',
    borderBottomColor: 'rgb(239,68,68)',
  },
  'border-y-red-600': {
    borderTopColor: 'rgb(220,38,38)',
    borderBottomColor: 'rgb(220,38,38)',
  },
  'border-y-red-700': {
    borderTopColor: 'rgb(185,28,28)',
    borderBottomColor: 'rgb(185,28,28)',
  },
  'border-y-red-800': {
    borderTopColor: 'rgb(153,27,27)',
    borderBottomColor: 'rgb(153,27,27)',
  },
  'border-y-red-900': {
    borderTopColor: 'rgb(127,29,29)',
    borderBottomColor: 'rgb(127,29,29)',
  },
  'border-y-red-950': {
    borderTopColor: 'rgb(69,10,10)',
    borderBottomColor: 'rgb(69,10,10)',
  },
  'border-y-rose-100': {
    borderTopColor: 'rgb(255,228,230)',
    borderBottomColor: 'rgb(255,228,230)',
  },
  'border-y-rose-200': {
    borderTopColor: 'rgb(254,205,211)',
    borderBottomColor: 'rgb(254,205,211)',
  },
  'border-y-rose-300': {
    borderTopColor: 'rgb(253,164,175)',
    borderBottomColor: 'rgb(253,164,175)',
  },
  'border-y-rose-400': {
    borderTopColor: 'rgb(251,113,133)',
    borderBottomColor: 'rgb(251,113,133)',
  },
  'border-y-rose-50': {
    borderTopColor: 'rgb(255,241,242)',
    borderBottomColor: 'rgb(255,241,242)',
  },
  'border-y-rose-500': {
    borderTopColor: 'rgb(244,63,94)',
    borderBottomColor: 'rgb(244,63,94)',
  },
  'border-y-rose-600': {
    borderTopColor: 'rgb(225,29,72)',
    borderBottomColor: 'rgb(225,29,72)',
  },
  'border-y-rose-700': {
    borderTopColor: 'rgb(190,18,60)',
    borderBottomColor: 'rgb(190,18,60)',
  },
  'border-y-rose-800': {
    borderTopColor: 'rgb(159,18,57)',
    borderBottomColor: 'rgb(159,18,57)',
  },
  'border-y-rose-900': {
    borderTopColor: 'rgb(136,19,55)',
    borderBottomColor: 'rgb(136,19,55)',
  },
  'border-y-rose-950': {
    borderTopColor: 'rgb(76,5,25)',
    borderBottomColor: 'rgb(76,5,25)',
  },
  'border-y-sky-100': {
    borderTopColor: 'rgb(224,242,254)',
    borderBottomColor: 'rgb(224,242,254)',
  },
  'border-y-sky-200': {
    borderTopColor: 'rgb(186,230,253)',
    borderBottomColor: 'rgb(186,230,253)',
  },
  'border-y-sky-300': {
    borderTopColor: 'rgb(125,211,252)',
    borderBottomColor: 'rgb(125,211,252)',
  },
  'border-y-sky-400': {
    borderTopColor: 'rgb(56,189,248)',
    borderBottomColor: 'rgb(56,189,248)',
  },
  'border-y-sky-50': {
    borderTopColor: 'rgb(240,249,255)',
    borderBottomColor: 'rgb(240,249,255)',
  },
  'border-y-sky-500': {
    borderTopColor: 'rgb(14,165,233)',
    borderBottomColor: 'rgb(14,165,233)',
  },
  'border-y-sky-600': {
    borderTopColor: 'rgb(2,132,199)',
    borderBottomColor: 'rgb(2,132,199)',
  },
  'border-y-sky-700': {
    borderTopColor: 'rgb(3,105,161)',
    borderBottomColor: 'rgb(3,105,161)',
  },
  'border-y-sky-800': {
    borderTopColor: 'rgb(7,89,133)',
    borderBottomColor: 'rgb(7,89,133)',
  },
  'border-y-sky-900': {
    borderTopColor: 'rgb(12,74,110)',
    borderBottomColor: 'rgb(12,74,110)',
  },
  'border-y-sky-950': {
    borderTopColor: 'rgb(8,47,73)',
    borderBottomColor: 'rgb(8,47,73)',
  },
  'border-y-slate-100': {
    borderTopColor: 'rgb(241,245,249)',
    borderBottomColor: 'rgb(241,245,249)',
  },
  'border-y-slate-200': {
    borderTopColor: 'rgb(226,232,240)',
    borderBottomColor: 'rgb(226,232,240)',
  },
  'border-y-slate-300': {
    borderTopColor: 'rgb(203,213,225)',
    borderBottomColor: 'rgb(203,213,225)',
  },
  'border-y-slate-400': {
    borderTopColor: 'rgb(148,163,184)',
    borderBottomColor: 'rgb(148,163,184)',
  },
  'border-y-slate-50': {
    borderTopColor: 'rgb(248,250,252)',
    borderBottomColor: 'rgb(248,250,252)',
  },
  'border-y-slate-500': {
    borderTopColor: 'rgb(100,116,139)',
    borderBottomColor: 'rgb(100,116,139)',
  },
  'border-y-slate-600': {
    borderTopColor: 'rgb(71,85,105)',
    borderBottomColor: 'rgb(71,85,105)',
  },
  'border-y-slate-700': {
    borderTopColor: 'rgb(51,65,85)',
    borderBottomColor: 'rgb(51,65,85)',
  },
  'border-y-slate-800': {
    borderTopColor: 'rgb(30,41,59)',
    borderBottomColor: 'rgb(30,41,59)',
  },
  'border-y-slate-900': {
    borderTopColor: 'rgb(15,23,42)',
    borderBottomColor: 'rgb(15,23,42)',
  },
  'border-y-slate-950': {
    borderTopColor: 'rgb(2,6,23)',
    borderBottomColor: 'rgb(2,6,23)',
  },
  'border-y-stone-100': {
    borderTopColor: 'rgb(245,245,244)',
    borderBottomColor: 'rgb(245,245,244)',
  },
  'border-y-stone-200': {
    borderTopColor: 'rgb(231,229,228)',
    borderBottomColor: 'rgb(231,229,228)',
  },
  'border-y-stone-300': {
    borderTopColor: 'rgb(214,211,209)',
    borderBottomColor: 'rgb(214,211,209)',
  },
  'border-y-stone-400': {
    borderTopColor: 'rgb(168,162,158)',
    borderBottomColor: 'rgb(168,162,158)',
  },
  'border-y-stone-50': {
    borderTopColor: 'rgb(250,250,249)',
    borderBottomColor: 'rgb(250,250,249)',
  },
  'border-y-stone-500': {
    borderTopColor: 'rgb(120,113,108)',
    borderBottomColor: 'rgb(120,113,108)',
  },
  'border-y-stone-600': {
    borderTopColor: 'rgb(87,83,78)',
    borderBottomColor: 'rgb(87,83,78)',
  },
  'border-y-stone-700': {
    borderTopColor: 'rgb(68,64,60)',
    borderBottomColor: 'rgb(68,64,60)',
  },
  'border-y-stone-800': {
    borderTopColor: 'rgb(41,37,36)',
    borderBottomColor: 'rgb(41,37,36)',
  },
  'border-y-stone-900': {
    borderTopColor: 'rgb(28,25,23)',
    borderBottomColor: 'rgb(28,25,23)',
  },
  'border-y-stone-950': {
    borderTopColor: 'rgb(12,10,9)',
    borderBottomColor: 'rgb(12,10,9)',
  },
  'border-y-transparent': {
    borderTopColor: 'transparent',
    borderBottomColor: 'transparent',
  },
  'border-y-teal-100': {
    borderTopColor: 'rgb(204,251,241)',
    borderBottomColor: 'rgb(204,251,241)',
  },
  'border-y-teal-200': {
    borderTopColor: 'rgb(153,246,228)',
    borderBottomColor: 'rgb(153,246,228)',
  },
  'border-y-teal-300': {
    borderTopColor: 'rgb(94,234,212)',
    borderBottomColor: 'rgb(94,234,212)',
  },
  'border-y-teal-400': {
    borderTopColor: 'rgb(45,212,191)',
    borderBottomColor: 'rgb(45,212,191)',
  },
  'border-y-teal-50': {
    borderTopColor: 'rgb(240,253,250)',
    borderBottomColor: 'rgb(240,253,250)',
  },
  'border-y-teal-500': {
    borderTopColor: 'rgb(20,184,166)',
    borderBottomColor: 'rgb(20,184,166)',
  },
  'border-y-teal-600': {
    borderTopColor: 'rgb(13,148,136)',
    borderBottomColor: 'rgb(13,148,136)',
  },
  'border-y-teal-700': {
    borderTopColor: 'rgb(15,118,110)',
    borderBottomColor: 'rgb(15,118,110)',
  },
  'border-y-teal-800': {
    borderTopColor: 'rgb(17,94,89)',
    borderBottomColor: 'rgb(17,94,89)',
  },
  'border-y-teal-900': {
    borderTopColor: 'rgb(19,78,74)',
    borderBottomColor: 'rgb(19,78,74)',
  },
  'border-y-teal-950': {
    borderTopColor: 'rgb(4,47,46)',
    borderBottomColor: 'rgb(4,47,46)',
  },
  'border-y-violet-100': {
    borderTopColor: 'rgb(237,233,254)',
    borderBottomColor: 'rgb(237,233,254)',
  },
  'border-y-violet-200': {
    borderTopColor: 'rgb(221,214,254)',
    borderBottomColor: 'rgb(221,214,254)',
  },
  'border-y-violet-300': {
    borderTopColor: 'rgb(196,181,253)',
    borderBottomColor: 'rgb(196,181,253)',
  },
  'border-y-violet-400': {
    borderTopColor: 'rgb(167,139,250)',
    borderBottomColor: 'rgb(167,139,250)',
  },
  'border-y-violet-50': {
    borderTopColor: 'rgb(245,243,255)',
    borderBottomColor: 'rgb(245,243,255)',
  },
  'border-y-violet-500': {
    borderTopColor: 'rgb(139,92,246)',
    borderBottomColor: 'rgb(139,92,246)',
  },
  'border-y-violet-600': {
    borderTopColor: 'rgb(124,58,237)',
    borderBottomColor: 'rgb(124,58,237)',
  },
  'border-y-violet-700': {
    borderTopColor: 'rgb(109,40,217)',
    borderBottomColor: 'rgb(109,40,217)',
  },
  'border-y-violet-800': {
    borderTopColor: 'rgb(91,33,182)',
    borderBottomColor: 'rgb(91,33,182)',
  },
  'border-y-violet-900': {
    borderTopColor: 'rgb(76,29,149)',
    borderBottomColor: 'rgb(76,29,149)',
  },
  'border-y-violet-950': {
    borderTopColor: 'rgb(46,16,101)',
    borderBottomColor: 'rgb(46,16,101)',
  },
  'border-y-white': {
    borderTopColor: 'rgb(255,255,255)',
    borderBottomColor: 'rgb(255,255,255)',
  },
  'border-y-yellow-100': {
    borderTopColor: 'rgb(254,249,195)',
    borderBottomColor: 'rgb(254,249,195)',
  },
  'border-y-yellow-200': {
    borderTopColor: 'rgb(254,240,138)',
    borderBottomColor: 'rgb(254,240,138)',
  },
  'border-y-yellow-300': {
    borderTopColor: 'rgb(253,224,71)',
    borderBottomColor: 'rgb(253,224,71)',
  },
  'border-y-yellow-400': {
    borderTopColor: 'rgb(250,204,21)',
    borderBottomColor: 'rgb(250,204,21)',
  },
  'border-y-yellow-50': {
    borderTopColor: 'rgb(254,252,232)',
    borderBottomColor: 'rgb(254,252,232)',
  },
  'border-y-yellow-500': {
    borderTopColor: 'rgb(234,179,8)',
    borderBottomColor: 'rgb(234,179,8)',
  },
  'border-y-yellow-600': {
    borderTopColor: 'rgb(202,138,4)',
    borderBottomColor: 'rgb(202,138,4)',
  },
  'border-y-yellow-700': {
    borderTopColor: 'rgb(161,98,7)',
    borderBottomColor: 'rgb(161,98,7)',
  },
  'border-y-yellow-800': {
    borderTopColor: 'rgb(133,77,14)',
    borderBottomColor: 'rgb(133,77,14)',
  },
  'border-y-yellow-900': {
    borderTopColor: 'rgb(113,63,18)',
    borderBottomColor: 'rgb(113,63,18)',
  },
  'border-y-yellow-950': {
    borderTopColor: 'rgb(66,32,6)',
    borderBottomColor: 'rgb(66,32,6)',
  },
  'border-y-zinc-100': {
    borderTopColor: 'rgb(244,244,245)',
    borderBottomColor: 'rgb(244,244,245)',
  },
  'border-y-zinc-200': {
    borderTopColor: 'rgb(228,228,231)',
    borderBottomColor: 'rgb(228,228,231)',
  },
  'border-y-zinc-300': {
    borderTopColor: 'rgb(212,212,216)',
    borderBottomColor: 'rgb(212,212,216)',
  },
  'border-y-zinc-400': {
    borderTopColor: 'rgb(161,161,170)',
    borderBottomColor: 'rgb(161,161,170)',
  },
  'border-y-zinc-50': {
    borderTopColor: 'rgb(250,250,250)',
    borderBottomColor: 'rgb(250,250,250)',
  },
  'border-y-zinc-500': {
    borderTopColor: 'rgb(113,113,122)',
    borderBottomColor: 'rgb(113,113,122)',
  },
  'border-y-zinc-600': {
    borderTopColor: 'rgb(82,82,91)',
    borderBottomColor: 'rgb(82,82,91)',
  },
  'border-y-zinc-700': {
    borderTopColor: 'rgb(63,63,70)',
    borderBottomColor: 'rgb(63,63,70)',
  },
  'border-y-zinc-800': {
    borderTopColor: 'rgb(39,39,42)',
    borderBottomColor: 'rgb(39,39,42)',
  },
  'border-y-zinc-900': {
    borderTopColor: 'rgb(24,24,27)',
    borderBottomColor: 'rgb(24,24,27)',
  },
  'border-y-zinc-950': {
    borderTopColor: 'rgb(9,9,11)',
    borderBottomColor: 'rgb(9,9,11)',
  },
});

const roundedStyles = StyleSheet.create({
  'rounded-none': {borderRadius: 0},
  'rounded-sm': {borderRadius: horizontalScale(2)},
  rounded: {borderRadius: horizontalScale(4)},
  'rounded-md': {borderRadius: horizontalScale(6)},
  'rounded-lg': {borderRadius: horizontalScale(8)},
  'rounded-xl': {borderRadius: horizontalScale(12)},
  'rounded-2xl': {borderRadius: horizontalScale(16)},
  'rounded-3xl': {borderRadius: horizontalScale(24)},
  'rounded-full': {borderRadius: horizontalScale(9999)},
  'rounded-t-none': {borderTopLeftRadius: 0, borderTopRightRadius: 0},
  'rounded-t-sm': {
    borderTopLeftRadius: horizontalScale(2),
    borderTopRightRadius: horizontalScale(2),
  },
  'rounded-t': {
    borderTopLeftRadius: horizontalScale(4),
    borderTopRightRadius: horizontalScale(4),
  },
  'rounded-t-md': {
    borderTopLeftRadius: horizontalScale(6),
    borderTopRightRadius: horizontalScale(6),
  },
  'rounded-t-lg': {
    borderTopLeftRadius: horizontalScale(8),
    borderTopRightRadius: horizontalScale(8),
  },
  'rounded-t-xl': {
    borderTopLeftRadius: horizontalScale(12),
    borderTopRightRadius: horizontalScale(12),
  },
  'rounded-t-2xl': {
    borderTopLeftRadius: horizontalScale(16),
    borderTopRightRadius: horizontalScale(16),
  },
  'rounded-t-3xl': {
    borderTopLeftRadius: horizontalScale(24),
    borderTopRightRadius: horizontalScale(24),
  },
  'rounded-t-full': {
    borderTopLeftRadius: horizontalScale(9999),
    borderTopRightRadius: horizontalScale(9999),
  },
  'rounded-b-none': {borderBottomLeftRadius: 0, borderBottomRightRadius: 0},
  'rounded-b-sm': {
    borderBottomLeftRadius: horizontalScale(2),
    borderBottomRightRadius: horizontalScale(2),
  },
  'rounded-b': {
    borderBottomLeftRadius: horizontalScale(4),
    borderBottomRightRadius: horizontalScale(4),
  },
  'rounded-b-md': {
    borderBottomLeftRadius: horizontalScale(6),
    borderBottomRightRadius: horizontalScale(6),
  },
  'rounded-b-lg': {
    borderBottomLeftRadius: horizontalScale(8),
    borderBottomRightRadius: horizontalScale(8),
  },
  'rounded-b-xl': {
    borderBottomLeftRadius: horizontalScale(12),
    borderBottomRightRadius: horizontalScale(12),
  },
  'rounded-b-2xl': {
    borderBottomLeftRadius: horizontalScale(16),
    borderBottomRightRadius: horizontalScale(16),
  },
  'rounded-b-3xl': {
    borderBottomLeftRadius: horizontalScale(24),
    borderBottomRightRadius: horizontalScale(24),
  },
  'rounded-b-full': {
    borderBottomLeftRadius: horizontalScale(9999),
    borderBottomRightRadius: horizontalScale(9999),
  },
  'rounded-l-none': {borderTopLeftRadius: 0, borderBottomLeftRadius: 0},
  'rounded-l-sm': {
    borderTopLeftRadius: horizontalScale(2),
    borderBottomLeftRadius: horizontalScale(2),
  },
  'rounded-l': {
    borderTopLeftRadius: horizontalScale(4),
    borderBottomLeftRadius: horizontalScale(4),
  },
  'rounded-l-md': {
    borderTopLeftRadius: horizontalScale(6),
    borderBottomLeftRadius: horizontalScale(6),
  },
  'rounded-l-lg': {
    borderTopLeftRadius: horizontalScale(8),
    borderBottomLeftRadius: horizontalScale(8),
  },
  'rounded-l-xl': {
    borderTopLeftRadius: horizontalScale(12),
    borderBottomLeftRadius: horizontalScale(12),
  },
  'rounded-l-2xl': {
    borderTopLeftRadius: horizontalScale(16),
    borderBottomLeftRadius: horizontalScale(16),
  },
  'rounded-l-3xl': {
    borderTopLeftRadius: horizontalScale(24),
    borderBottomLeftRadius: horizontalScale(24),
  },
  'rounded-l-full': {
    borderTopLeftRadius: horizontalScale(9999),
    borderBottomLeftRadius: horizontalScale(9999),
  },
  'rounded-tl-none': {borderTopLeftRadius: 0},
  'rounded-tl-sm': {borderTopLeftRadius: horizontalScale(2)},
  'rounded-tl': {borderTopLeftRadius: horizontalScale(4)},
  'rounded-tl-md': {borderTopLeftRadius: horizontalScale(6)},
  'rounded-tl-lg': {borderTopLeftRadius: horizontalScale(8)},
  'rounded-tl-xl': {borderTopLeftRadius: horizontalScale(12)},
  'rounded-tl-2xl': {borderTopLeftRadius: horizontalScale(16)},
  'rounded-tl-3xl': {borderTopLeftRadius: horizontalScale(24)},
  'rounded-tl-full': {borderTopLeftRadius: horizontalScale(9999)},
  'rounded-tr-none': {borderTopRightRadius: 0},
  'rounded-tr-sm': {borderTopRightRadius: horizontalScale(2)},
  'rounded-tr': {borderTopRightRadius: horizontalScale(4)},
  'rounded-tr-md': {borderTopRightRadius: horizontalScale(6)},
  'rounded-tr-lg': {borderTopRightRadius: horizontalScale(8)},
  'rounded-tr-xl': {borderTopRightRadius: horizontalScale(12)},
  'rounded-tr-2xl': {borderTopRightRadius: horizontalScale(16)},
  'rounded-tr-3xl': {borderTopRightRadius: horizontalScale(24)},
  'rounded-tr-full': {borderTopRightRadius: horizontalScale(9999)},
  'rounded-bl-none': {borderBottomLeftRadius: 0},
  'rounded-bl-sm': {borderBottomLeftRadius: horizontalScale(2)},
  'rounded-bl': {borderBottomLeftRadius: horizontalScale(4)},
  'rounded-bl-md': {borderBottomLeftRadius: horizontalScale(6)},
  'rounded-bl-lg': {borderBottomLeftRadius: horizontalScale(8)},
  'rounded-bl-xl': {borderBottomLeftRadius: horizontalScale(12)},
  'rounded-bl-2xl': {borderBottomLeftRadius: horizontalScale(16)},
  'rounded-bl-3xl': {borderBottomLeftRadius: horizontalScale(24)},
  'rounded-bl-full': {borderBottomLeftRadius: horizontalScale(9999)},
  'rounded-br-none': {borderBottomRightRadius: 0},
  'rounded-br-sm': {borderBottomRightRadius: horizontalScale(2)},
  'rounded-br': {borderBottomRightRadius: horizontalScale(4)},
  'rounded-br-md': {borderBottomRightRadius: horizontalScale(6)},
  'rounded-br-lg': {borderBottomRightRadius: horizontalScale(8)},
  'rounded-br-xl': {borderBottomRightRadius: horizontalScale(12)},
  'rounded-br-2xl': {borderBottomRightRadius: horizontalScale(16)},
  'rounded-br-3xl': {borderBottomRightRadius: horizontalScale(24)},
  'rounded-br-full': {borderBottomRightRadius: horizontalScale(9999)},
});

const borderWidthNoneScaleStyle = StyleSheet.create({
  'border-none': {borderWidth: 0},
  border: {borderWidth: 1},
  'border-md': {borderWidth: 2},
  'border-lg': {borderWidth: 4},
  'border-xl': {borderWidth: 8},
  'border-t-none': {borderTopWidth: 0},
  'border-t': {borderTopWidth: 1},
  'border-t-md': {borderTopWidth: 2},
  'border-t-lg': {borderTopWidth: 4},
  'border-t-xl': {borderTopWidth: 8},
  'border-b-none': {borderBottomWidth: 0},
  'border-b': {borderBottomWidth: 1},
  'border-b-md': {borderBottomWidth: 2},
  'border-b-lg': {borderBottomWidth: 4},
  'border-b-xl': {borderBottomWidth: 8},
  'border-l-none': {borderLeftWidth: 0},
  'border-l': {borderLeftWidth: 1},
  'border-l-md': {borderLeftWidth: 2},
  'border-l-lg': {borderLeftWidth: 4},
  'border-l-xl': {borderLeftWidth: 8},
  'border-r-none': {borderRightWidth: 0},
  'border-r': {borderRightWidth: 1},
  'border-r-md': {borderRightWidth: 2},
  'border-r-lg': {borderRightWidth: 4},
  'border-r-xl': {borderRightWidth: 8},
  'border-x-none': {borderLeftWidth: 0, borderRightWidth: 0},
  'border-x': {
    borderLeftWidth: 1,
    borderRightWidth: 1,
  },
  'border-x-md': {
    borderLeftWidth: 2,
    borderRightWidth: 2,
  },
  'border-x-lg': {
    borderLeftWidth: 4,
    borderRightWidth: 4,
  },
  'border-x-xl': {
    borderLeftWidth: 8,
    borderRightWidth: 8,
  },
  'border-y-none': {borderTopWidth: 0, borderBottomWidth: 0},
  'border-y': {
    borderTopWidth: 1,
    borderBottomWidth: 1,
  },
  'border-y-md': {
    borderTopWidth: 2,
    borderBottomWidth: 2,
  },
  'border-y-lg': {
    borderTopWidth: 4,
    borderBottomWidth: 4,
  },
  'border-y-xl': {
    borderTopWidth: 8,
    borderBottomWidth: 8,
  },
});

const roundedNoneScaleStyles = StyleSheet.create({
  'rounded-none': {borderRadius: 0},
  'rounded-sm': {borderRadius: 2},
  rounded: {borderRadius: 4},
  'rounded-md': {borderRadius: 6},
  'rounded-lg': {borderRadius: 8},
  'rounded-xl': {borderRadius: 12},
  'rounded-2xl': {borderRadius: 16},
  'rounded-3xl': {borderRadius: 24},
  'rounded-full': {borderRadius: 9999},
  'rounded-t-none': {borderTopLeftRadius: 0, borderTopRightRadius: 0},
  'rounded-t-sm': {
    borderTopLeftRadius: 2,
    borderTopRightRadius: 2,
  },
  'rounded-t': {
    borderTopLeftRadius: 4,
    borderTopRightRadius: 4,
  },
  'rounded-t-md': {
    borderTopLeftRadius: 6,
    borderTopRightRadius: 6,
  },
  'rounded-t-lg': {
    borderTopLeftRadius: 8,
    borderTopRightRadius: 8,
  },
  'rounded-t-xl': {
    borderTopLeftRadius: 12,
    borderTopRightRadius: 12,
  },
  'rounded-t-2xl': {
    borderTopLeftRadius: 16,
    borderTopRightRadius: 16,
  },
  'rounded-t-3xl': {
    borderTopLeftRadius: 24,
    borderTopRightRadius: 24,
  },
  'rounded-t-full': {
    borderTopLeftRadius: 9999,
    borderTopRightRadius: 9999,
  },
  'rounded-b-none': {borderBottomLeftRadius: 0, borderBottomRightRadius: 0},
  'rounded-b-sm': {
    borderBottomLeftRadius: 2,
    borderBottomRightRadius: 2,
  },
  'rounded-b': {
    borderBottomLeftRadius: 4,
    borderBottomRightRadius: 4,
  },
  'rounded-b-md': {
    borderBottomLeftRadius: 6,
    borderBottomRightRadius: 6,
  },
  'rounded-b-lg': {
    borderBottomLeftRadius: 8,
    borderBottomRightRadius: 8,
  },
  'rounded-b-xl': {
    borderBottomLeftRadius: 12,
    borderBottomRightRadius: 12,
  },
  'rounded-b-2xl': {
    borderBottomLeftRadius: 16,
    borderBottomRightRadius: 16,
  },
  'rounded-b-3xl': {
    borderBottomLeftRadius: 24,
    borderBottomRightRadius: 24,
  },
  'rounded-b-full': {
    borderBottomLeftRadius: 9999,
    borderBottomRightRadius: 9999,
  },
  'rounded-l-none': {borderTopLeftRadius: 0, borderBottomLeftRadius: 0},
  'rounded-l-sm': {
    borderTopLeftRadius: 2,
    borderBottomLeftRadius: 2,
  },
  'rounded-l': {
    borderTopLeftRadius: 4,
    borderBottomLeftRadius: 4,
  },
  'rounded-l-md': {
    borderTopLeftRadius: 6,
    borderBottomLeftRadius: 6,
  },
  'rounded-l-lg': {
    borderTopLeftRadius: 8,
    borderBottomLeftRadius: 8,
  },
  'rounded-l-xl': {
    borderTopLeftRadius: 12,
    borderBottomLeftRadius: 12,
  },
  'rounded-l-2xl': {
    borderTopLeftRadius: 16,
    borderBottomLeftRadius: 16,
  },
  'rounded-l-3xl': {
    borderTopLeftRadius: 24,
    borderBottomLeftRadius: 24,
  },
  'rounded-l-full': {
    borderTopLeftRadius: 9999,
    borderBottomLeftRadius: 9999,
  },
  'rounded-tl-none': {borderTopLeftRadius: 0},
  'rounded-tl-sm': {borderTopLeftRadius: 2},
  'rounded-tl': {borderTopLeftRadius: 4},
  'rounded-tl-md': {borderTopLeftRadius: 6},
  'rounded-tl-lg': {borderTopLeftRadius: 8},
  'rounded-tl-xl': {borderTopLeftRadius: 12},
  'rounded-tl-2xl': {borderTopLeftRadius: 16},
  'rounded-tl-3xl': {borderTopLeftRadius: 24},
  'rounded-tl-full': {borderTopLeftRadius: 9999},
  'rounded-tr-none': {borderTopRightRadius: 0},
  'rounded-tr-sm': {borderTopRightRadius: 2},
  'rounded-tr': {borderTopRightRadius: 4},
  'rounded-tr-md': {borderTopRightRadius: 6},
  'rounded-tr-lg': {borderTopRightRadius: 8},
  'rounded-tr-xl': {borderTopRightRadius: 12},
  'rounded-tr-2xl': {borderTopRightRadius: 16},
  'rounded-tr-3xl': {borderTopRightRadius: 24},
  'rounded-tr-full': {borderTopRightRadius: 9999},
  'rounded-bl-none': {borderBottomLeftRadius: 0},
  'rounded-bl-sm': {borderBottomLeftRadius: 2},
  'rounded-bl': {borderBottomLeftRadius: 4},
  'rounded-bl-md': {borderBottomLeftRadius: 6},
  'rounded-bl-lg': {borderBottomLeftRadius: 8},
  'rounded-bl-xl': {borderBottomLeftRadius: 12},
  'rounded-bl-2xl': {borderBottomLeftRadius: 16},
  'rounded-bl-3xl': {borderBottomLeftRadius: 24},
  'rounded-bl-full': {borderBottomLeftRadius: 9999},
  'rounded-br-none': {borderBottomRightRadius: 0},
  'rounded-br-sm': {borderBottomRightRadius: 2},
  'rounded-br': {borderBottomRightRadius: 4},
  'rounded-br-md': {borderBottomRightRadius: 6},
  'rounded-br-lg': {borderBottomRightRadius: 8},
  'rounded-br-xl': {borderBottomRightRadius: 12},
  'rounded-br-2xl': {borderBottomRightRadius: 16},
  'rounded-br-3xl': {borderBottomRightRadius: 24},
  'rounded-br-full': {borderBottomRightRadius: 9999},
});

export const classBorderStyles = {
  ...borderWidthStyle,
  ...borderColorStyles,
  ...roundedNoneScaleStyles,
};

export const classBorderNoneScaleStyles = {
  ...borderWidthNoneScaleStyle,
  ...borderColorStyles,
  ...roundedStyles,
};
