import {StyleSheet} from 'react-native';
import {horizontalScale} from '../utils';

export const flexStyles = StyleSheet.create({
  'd-none': {display: 'none'},
  'd-flex': {display: 'flex'},
  'flex-1': {flex: 1},
  'flex-wrap': {flexWrap: 'wrap'},
  'flex-wrap-reverse': {flexWrap: 'wrap-reverse'},
  'flex-nowrap': {flexWrap: 'nowrap'},
  row: {flexDirection: 'row'},
  'row-center': {flexDirection: 'row', alignItems: 'center'},
  'row-v-center': {flexDirection: 'row', justifyContent: 'center'},
  'row-reverse': {flexDirection: 'row-reverse'},
  column: {flexDirection: 'column'},
  'column-center': {flexDirection: 'column', justifyContent: 'center'},
  'column-v-center': {flexDirection: 'column', alignItems: 'center'},
  'column-reverse': {flexDirection: 'column-reverse'},
  center: {justifyContent: 'center', alignItems: 'center'},
  'self-center': {alignSelf: 'center'},
  'self-start': {alignSelf: 'flex-start'},
  'self-end': {alignSelf: 'flex-end'},
  'justify-start': {justifyContent: 'flex-start'},
  'justify-center': {justifyContent: 'center'},
  'justify-end': {justifyContent: 'flex-end'},
  'space-between': {justifyContent: 'space-between'},
  'space-around': {justifyContent: 'space-around'},
  'items-start': {alignItems: 'flex-start'},
  'items-center': {alignItems: 'center'},
  'items-end': {alignItems: 'flex-end'},
  aspectRatio: {aspectRatio: 1},
  'aspectRatio-16/9': {aspectRatio: 16 / 9},
  'aspectRatio-4/3': {aspectRatio: 4 / 3},
  'object-cover': {objectFit: 'cover'},
  'object-contain': {objectFit: 'contain'},
  'object-fill': {objectFit: 'fill'},
  'object-scale-down': {objectFit: 'scale-down'},
});

export const gapStyles = StyleSheet.create({
  gap: {gap: horizontalScale(1)},
  'gap-0': {gap: 0},
  'gap-0.5': {gap: horizontalScale(2)},
  'gap-1': {gap: horizontalScale(4)},
  'gap-1.5': {gap: horizontalScale(6)},
  'gap-2': {gap: horizontalScale(8)},
  'gap-2.5': {gap: horizontalScale(10)},
  'gap-3': {gap: horizontalScale(12)},
  'gap-3.5': {gap: horizontalScale(14)},
  'gap-4': {gap: horizontalScale(16)},
  'gap-5': {gap: horizontalScale(20)},
  'gap-6': {gap: horizontalScale(24)},
  'gap-7': {gap: horizontalScale(28)},
  'gap-8': {gap: horizontalScale(32)},
  'gap-9': {gap: horizontalScale(36)},
  'gap-10': {gap: horizontalScale(40)},
  'gap-11': {gap: horizontalScale(44)},
  'gap-12': {gap: horizontalScale(48)},
  'gap-14': {gap: horizontalScale(56)},
  'gap-16': {gap: horizontalScale(64)},
  'row-gap-0': {rowGap: 0},
  'row-gap-0.5': {rowGap: horizontalScale(2)},
  'row-gap-1': {rowGap: horizontalScale(4)},
  'row-gap-1.5': {rowGap: horizontalScale(6)},
  'row-gap-2': {rowGap: horizontalScale(8)},
  'row-gap-2.5': {rowGap: horizontalScale(10)},
  'row-gap-3': {rowGap: horizontalScale(12)},
  'row-gap-3.5': {rowGap: horizontalScale(14)},
  'row-gap-4': {rowGap: horizontalScale(16)},
  'row-gap-5': {rowGap: horizontalScale(20)},
  'row-gap-6': {rowGap: horizontalScale(24)},
  'row-gap-7': {rowGap: horizontalScale(28)},
  'row-gap-8': {rowGap: horizontalScale(32)},
  'row-gap-9': {rowGap: horizontalScale(36)},
  'row-gap-10': {rowGap: horizontalScale(40)},
  'row-gap-11': {rowGap: horizontalScale(44)},
  'row-gap-12': {rowGap: horizontalScale(48)},
  'row-gap-14': {rowGap: horizontalScale(56)},
  'row-gap-16': {rowGap: horizontalScale(64)},
  'col-gap-0': {columnGap: 0},
  'col-gap-0.5': {columnGap: horizontalScale(2)},
  'col-gap-1': {columnGap: horizontalScale(4)},
  'col-gap-1.5': {columnGap: horizontalScale(6)},
  'col-gap-2': {columnGap: horizontalScale(8)},
  'col-gap-2.5': {columnGap: horizontalScale(10)},
  'col-gap-3': {columnGap: horizontalScale(12)},
  'col-gap-3.5': {columnGap: horizontalScale(14)},
  'col-gap-4': {columnGap: horizontalScale(16)},
  'col-gap-5': {columnGap: horizontalScale(20)},
  'col-gap-6': {columnGap: horizontalScale(24)},
  'col-gap-7': {columnGap: horizontalScale(28)},
  'col-gap-8': {columnGap: horizontalScale(32)},
  'col-gap-9': {columnGap: horizontalScale(36)},
  'col-gap-10': {columnGap: horizontalScale(40)},
  'col-gap-11': {columnGap: horizontalScale(44)},
  'col-gap-12': {columnGap: horizontalScale(48)},
  'col-gap-14': {columnGap: horizontalScale(56)},
  'col-gap-16': {columnGap: horizontalScale(64)},
});

export const gapNoneScaleStyles = StyleSheet.create({
  gap: {gap: 1},
  'gap-0': {gap: 0},
  'gap-0.5': {gap: 2},
  'gap-1': {gap: 4},
  'gap-1.5': {gap: 6},
  'gap-2': {gap: 8},
  'gap-2.5': {gap: 10},
  'gap-3': {gap: 12},
  'gap-3.5': {gap: 14},
  'gap-4': {gap: 16},
  'gap-5': {gap: 20},
  'gap-6': {gap: 24},
  'gap-7': {gap: 28},
  'gap-8': {gap: 32},
  'gap-9': {gap: 36},
  'gap-10': {gap: 40},
  'gap-11': {gap: 44},
  'gap-12': {gap: 48},
  'gap-14': {gap: 56},
  'gap-16': {gap: 64},
  'row-gap-0': {rowGap: 0},
  'row-gap-0.5': {rowGap: 2},
  'row-gap-1': {rowGap: 4},
  'row-gap-1.5': {rowGap: 6},
  'row-gap-2': {rowGap: 8},
  'row-gap-2.5': {rowGap: 10},
  'row-gap-3': {rowGap: 12},
  'row-gap-3.5': {rowGap: 14},
  'row-gap-4': {rowGap: 16},
  'row-gap-5': {rowGap: 20},
  'row-gap-6': {rowGap: 24},
  'row-gap-7': {rowGap: 28},
  'row-gap-8': {rowGap: 32},
  'row-gap-9': {rowGap: 36},
  'row-gap-10': {rowGap: 40},
  'row-gap-11': {rowGap: 44},
  'row-gap-12': {rowGap: 48},
  'row-gap-14': {rowGap: 56},
  'row-gap-16': {rowGap: 64},
  'col-gap-0': {columnGap: 0},
  'col-gap-0.5': {columnGap: 2},
  'col-gap-1': {columnGap: 4},
  'col-gap-1.5': {columnGap: 6},
  'col-gap-2': {columnGap: 8},
  'col-gap-2.5': {columnGap: 10},
  'col-gap-3': {columnGap: 12},
  'col-gap-3.5': {columnGap: 14},
  'col-gap-4': {columnGap: 16},
  'col-gap-5': {columnGap: 20},
  'col-gap-6': {columnGap: 24},
  'col-gap-7': {columnGap: 28},
  'col-gap-8': {columnGap: 32},
  'col-gap-9': {columnGap: 36},
  'col-gap-10': {columnGap: 40},
  'col-gap-11': {columnGap: 44},
  'col-gap-12': {columnGap: 48},
  'col-gap-14': {columnGap: 56},
  'col-gap-16': {columnGap: 64},
});
