import {StyleSheet} from 'react-native';
import {horizontalScale} from '../utils';

const marginStyles = StyleSheet.create({
  'm-0': {margin: 0},
  'm-0.5': {margin: horizontalScale(2)},
  'm-1': {margin: horizontalScale(4)},
  'm-1.5': {margin: horizontalScale(6)},
  'm-2': {margin: horizontalScale(8)},
  'm-2.5': {margin: horizontalScale(10)},
  'm-3': {margin: horizontalScale(12)},
  'm-3.5': {margin: horizontalScale(14)},
  'm-4': {margin: horizontalScale(16)},
  'm-5': {margin: horizontalScale(20)},
  'm-6': {margin: horizontalScale(24)},
  'm-7': {margin: horizontalScale(28)},
  'm-8': {margin: horizontalScale(32)},
  'm-9': {margin: horizontalScale(36)},
  'm-10': {margin: horizontalScale(40)},
  'm-11': {margin: horizontalScale(44)},
  'm-12': {margin: horizontalScale(48)},
  'm-14': {margin: horizontalScale(56)},
  'm-16': {margin: horizontalScale(64)},
});

const marginLeftStyles = StyleSheet.create({
  'ml-0': {marginLeft: 0},
  'ml-0.5': {marginLeft: horizontalScale(2)},
  'ml-1': {marginLeft: horizontalScale(4)},
  'ml-1.5': {marginLeft: horizontalScale(6)},
  'ml-2': {marginLeft: horizontalScale(8)},
  'ml-2.5': {marginLeft: horizontalScale(10)},
  'ml-3': {marginLeft: horizontalScale(12)},
  'ml-3.5': {marginLeft: horizontalScale(14)},
  'ml-4': {marginLeft: horizontalScale(16)},
  'ml-5': {marginLeft: horizontalScale(20)},
  'ml-6': {marginLeft: horizontalScale(24)},
  'ml-7': {marginLeft: horizontalScale(28)},
  'ml-8': {marginLeft: horizontalScale(32)},
  'ml-9': {marginLeft: horizontalScale(36)},
  'ml-10': {marginLeft: horizontalScale(40)},
  'ml-11': {marginLeft: horizontalScale(44)},
  'ml-12': {marginLeft: horizontalScale(48)},
  'ml-14': {marginLeft: horizontalScale(56)},
  'ml-16': {marginLeft: horizontalScale(64)},
});

const marginRightStyles = StyleSheet.create({
  'mr-0': {marginRight: 0},
  'mr-0.5': {marginRight: horizontalScale(2)},
  'mr-1': {marginRight: horizontalScale(4)},
  'mr-1.5': {marginRight: horizontalScale(6)},
  'mr-2': {marginRight: horizontalScale(8)},
  'mr-2.5': {marginRight: horizontalScale(10)},
  'mr-3': {marginRight: horizontalScale(12)},
  'mr-3.5': {marginRight: horizontalScale(14)},
  'mr-4': {marginRight: horizontalScale(16)},
  'mr-5': {marginRight: horizontalScale(20)},
  'mr-6': {marginRight: horizontalScale(24)},
  'mr-7': {marginRight: horizontalScale(28)},
  'mr-8': {marginRight: horizontalScale(32)},
  'mr-9': {marginRight: horizontalScale(36)},
  'mr-10': {marginRight: horizontalScale(40)},
  'mr-11': {marginRight: horizontalScale(44)},
  'mr-12': {marginRight: horizontalScale(48)},
  'mr-14': {marginRight: horizontalScale(56)},
  'mr-16': {marginRight: horizontalScale(64)},
});

const marginBottomStyles = StyleSheet.create({
  'mb-0': {marginBottom: 0},
  'mb-0.5': {marginBottom: horizontalScale(2)},
  'mb-1': {marginBottom: horizontalScale(4)},
  'mb-1.5': {marginBottom: horizontalScale(6)},
  'mb-2': {marginBottom: horizontalScale(8)},
  'mb-2.5': {marginBottom: horizontalScale(10)},
  'mb-3': {marginBottom: horizontalScale(12)},
  'mb-3.5': {marginBottom: horizontalScale(14)},
  'mb-4': {marginBottom: horizontalScale(16)},
  'mb-5': {marginBottom: horizontalScale(20)},
  'mb-6': {marginBottom: horizontalScale(24)},
  'mb-7': {marginBottom: horizontalScale(28)},
  'mb-8': {marginBottom: horizontalScale(32)},
  'mb-9': {marginBottom: horizontalScale(36)},
  'mb-10': {marginBottom: horizontalScale(40)},
  'mb-11': {marginBottom: horizontalScale(44)},
  'mb-12': {marginBottom: horizontalScale(48)},
  'mb-14': {marginBottom: horizontalScale(56)},
  'mb-16': {marginBottom: horizontalScale(64)},
});

const marginTopStyles = StyleSheet.create({
  'mt-0': {marginTop: 0},
  'mt-0.5': {marginTop: horizontalScale(2)},
  'mt-1': {marginTop: horizontalScale(4)},
  'mt-1.5': {marginTop: horizontalScale(6)},
  'mt-2': {marginTop: horizontalScale(8)},
  'mt-2.5': {marginTop: horizontalScale(10)},
  'mt-3': {marginTop: horizontalScale(12)},
  'mt-3.5': {marginTop: horizontalScale(14)},
  'mt-4': {marginTop: horizontalScale(16)},
  'mt-5': {marginTop: horizontalScale(20)},
  'mt-6': {marginTop: horizontalScale(24)},
  'mt-7': {marginTop: horizontalScale(28)},
  'mt-8': {marginTop: horizontalScale(32)},
  'mt-9': {marginTop: horizontalScale(36)},
  'mt-10': {marginTop: horizontalScale(40)},
  'mt-11': {marginTop: horizontalScale(44)},
  'mt-12': {marginTop: horizontalScale(48)},
  'mt-14': {marginTop: horizontalScale(56)},
  'mt-16': {marginTop: horizontalScale(64)},
});

const marginHorizontalStyles = StyleSheet.create({
  'mx-0': {marginHorizontal: 0},
  'mx-0.5': {marginHorizontal: horizontalScale(2)},
  'mx-1': {marginHorizontal: horizontalScale(4)},
  'mx-1.5': {marginHorizontal: horizontalScale(6)},
  'mx-2': {marginHorizontal: horizontalScale(8)},
  'mx-2.5': {marginHorizontal: horizontalScale(10)},
  'mx-3': {marginHorizontal: horizontalScale(12)},
  'mx-3.5': {marginHorizontal: horizontalScale(14)},
  'mx-4': {marginHorizontal: horizontalScale(16)},
  'mx-5': {marginHorizontal: horizontalScale(20)},
  'mx-6': {marginHorizontal: horizontalScale(24)},
  'mx-7': {marginHorizontal: horizontalScale(28)},
  'mx-8': {marginHorizontal: horizontalScale(32)},
  'mx-9': {marginHorizontal: horizontalScale(36)},
  'mx-10': {marginHorizontal: horizontalScale(40)},
  'mx-11': {marginHorizontal: horizontalScale(44)},
  'mx-12': {marginHorizontal: horizontalScale(48)},
  'mx-14': {marginHorizontal: horizontalScale(56)},
  'mx-16': {marginHorizontal: horizontalScale(64)},
});

const marginVerticalStyles = StyleSheet.create({
  'my-0': {marginVertical: 0},
  'my-0.5': {marginVertical: horizontalScale(2)},
  'my-1': {marginVertical: horizontalScale(4)},
  'my-1.5': {marginVertical: horizontalScale(6)},
  'my-2': {marginVertical: horizontalScale(8)},
  'my-2.5': {marginVertical: horizontalScale(10)},
  'my-3': {marginVertical: horizontalScale(12)},
  'my-3.5': {marginVertical: horizontalScale(14)},
  'my-4': {marginVertical: horizontalScale(16)},
  'my-5': {marginVertical: horizontalScale(20)},
  'my-6': {marginVertical: horizontalScale(24)},
  'my-7': {marginVertical: horizontalScale(28)},
  'my-8': {marginVertical: horizontalScale(32)},
  'my-9': {marginVertical: horizontalScale(36)},
  'my-10': {marginVertical: horizontalScale(40)},
  'my-11': {marginVertical: horizontalScale(44)},
  'my-12': {marginVertical: horizontalScale(48)},
  'my-14': {marginVertical: horizontalScale(56)},
  'my-16': {marginVertical: horizontalScale(64)},
});

const marginNoneScaleStyles = StyleSheet.create({
  'm-0': {margin: 0},
  'm-0.5': {margin: 2},
  'm-1': {margin: 4},
  'm-1.5': {margin: 6},
  'm-2': {margin: 8},
  'm-2.5': {margin: 10},
  'm-3': {margin: 12},
  'm-3.5': {margin: 14},
  'm-4': {margin: 16},
  'm-5': {margin: 20},
  'm-6': {margin: 24},
  'm-7': {margin: 28},
  'm-8': {margin: 32},
  'm-9': {margin: 36},
  'm-10': {margin: 40},
  'm-11': {margin: 44},
  'm-12': {margin: 48},
  'm-14': {margin: 56},
  'm-16': {margin: 64},
});

const marginLeftNoneScaleStyles = StyleSheet.create({
  'ml-0': {marginLeft: 0},
  'ml-0.5': {marginLeft: 2},
  'ml-1': {marginLeft: 4},
  'ml-1.5': {marginLeft: 6},
  'ml-2': {marginLeft: 8},
  'ml-2.5': {marginLeft: 10},
  'ml-3': {marginLeft: 12},
  'ml-3.5': {marginLeft: 14},
  'ml-4': {marginLeft: 16},
  'ml-5': {marginLeft: 20},
  'ml-6': {marginLeft: 24},
  'ml-7': {marginLeft: 28},
  'ml-8': {marginLeft: 32},
  'ml-9': {marginLeft: 36},
  'ml-10': {marginLeft: 40},
  'ml-11': {marginLeft: 44},
  'ml-12': {marginLeft: 48},
  'ml-14': {marginLeft: 56},
  'ml-16': {marginLeft: 64},
});

const marginRightNoneScaleStyles = StyleSheet.create({
  'mr-0': {marginRight: 0},
  'mr-0.5': {marginRight: 2},
  'mr-1': {marginRight: 4},
  'mr-1.5': {marginRight: 6},
  'mr-2': {marginRight: 8},
  'mr-2.5': {marginRight: 10},
  'mr-3': {marginRight: 12},
  'mr-3.5': {marginRight: 14},
  'mr-4': {marginRight: 16},
  'mr-5': {marginRight: 20},
  'mr-6': {marginRight: 24},
  'mr-7': {marginRight: 28},
  'mr-8': {marginRight: 32},
  'mr-9': {marginRight: 36},
  'mr-10': {marginRight: 40},
  'mr-11': {marginRight: 44},
  'mr-12': {marginRight: 48},
  'mr-14': {marginRight: 56},
  'mr-16': {marginRight: 64},
});

const marginBottomNoneScaleStyles = StyleSheet.create({
  'mb-0': {marginBottom: 0},
  'mb-0.5': {marginBottom: 2},
  'mb-1': {marginBottom: 4},
  'mb-1.5': {marginBottom: 6},
  'mb-2': {marginBottom: 8},
  'mb-2.5': {marginBottom: 10},
  'mb-3': {marginBottom: 12},
  'mb-3.5': {marginBottom: 14},
  'mb-4': {marginBottom: 16},
  'mb-5': {marginBottom: 20},
  'mb-6': {marginBottom: 24},
  'mb-7': {marginBottom: 28},
  'mb-8': {marginBottom: 32},
  'mb-9': {marginBottom: 36},
  'mb-10': {marginBottom: 40},
  'mb-11': {marginBottom: 44},
  'mb-12': {marginBottom: 48},
  'mb-14': {marginBottom: 56},
  'mb-16': {marginBottom: 64},
});

const marginTopNoneScaleStyles = StyleSheet.create({
  'mt-0': {marginTop: 0},
  'mt-0.5': {marginTop: 2},
  'mt-1': {marginTop: 4},
  'mt-1.5': {marginTop: 6},
  'mt-2': {marginTop: 8},
  'mt-2.5': {marginTop: 10},
  'mt-3': {marginTop: 12},
  'mt-3.5': {marginTop: 14},
  'mt-4': {marginTop: 16},
  'mt-5': {marginTop: 20},
  'mt-6': {marginTop: 24},
  'mt-7': {marginTop: 28},
  'mt-8': {marginTop: 32},
  'mt-9': {marginTop: 36},
  'mt-10': {marginTop: 40},
  'mt-11': {marginTop: 44},
  'mt-12': {marginTop: 48},
  'mt-14': {marginTop: 56},
  'mt-16': {marginTop: 64},
});

const marginHorizontalNoneScaleStyles = StyleSheet.create({
  'mx-0': {marginHorizontal: 0},
  'mx-0.5': {marginHorizontal: 2},
  'mx-1': {marginHorizontal: 4},
  'mx-1.5': {marginHorizontal: 6},
  'mx-2': {marginHorizontal: 8},
  'mx-2.5': {marginHorizontal: 10},
  'mx-3': {marginHorizontal: 12},
  'mx-3.5': {marginHorizontal: 14},
  'mx-4': {marginHorizontal: 16},
  'mx-5': {marginHorizontal: 20},
  'mx-6': {marginHorizontal: 24},
  'mx-7': {marginHorizontal: 28},
  'mx-8': {marginHorizontal: 32},
  'mx-9': {marginHorizontal: 36},
  'mx-10': {marginHorizontal: 40},
  'mx-11': {marginHorizontal: 44},
  'mx-12': {marginHorizontal: 48},
  'mx-14': {marginHorizontal: 56},
  'mx-16': {marginHorizontal: 64},
});

const marginVerticalNoneScaleStyles = StyleSheet.create({
  'my-0': {marginVertical: 0},
  'my-0.5': {marginVertical: 2},
  'my-1': {marginVertical: 4},
  'my-1.5': {marginVertical: 6},
  'my-2': {marginVertical: 8},
  'my-2.5': {marginVertical: 10},
  'my-3': {marginVertical: 12},
  'my-3.5': {marginVertical: 14},
  'my-4': {marginVertical: 16},
  'my-5': {marginVertical: 20},
  'my-6': {marginVertical: 24},
  'my-7': {marginVertical: 28},
  'my-8': {marginVertical: 32},
  'my-9': {marginVertical: 36},
  'my-10': {marginVertical: 40},
  'my-11': {marginVertical: 44},
  'my-12': {marginVertical: 48},
  'my-14': {marginVertical: 56},
  'my-16': {marginVertical: 64},
});

export const classMarginStyle = {
  ...marginStyles,
  ...marginLeftStyles,
  ...marginRightStyles,
  ...marginBottomStyles,
  ...marginTopStyles,
  ...marginHorizontalStyles,
  ...marginVerticalStyles,
};

export const classMarginNoneScaleStyle = {
  ...marginNoneScaleStyles,
  ...marginLeftNoneScaleStyles,
  ...marginRightNoneScaleStyles,
  ...marginBottomNoneScaleStyles,
  ...marginTopNoneScaleStyles,
  ...marginHorizontalNoneScaleStyles,
  ...marginVerticalNoneScaleStyles,
};
