import {StyleSheet} from 'react-native';
import {horizontalScale} from '../utils';

const paddingStyles = StyleSheet.create({
  'p-0': {padding: 0},
  'p-0.5': {padding: horizontalScale(2)},
  'p-1': {padding: horizontalScale(4)},
  'p-1.5': {padding: horizontalScale(6)},
  'p-2': {padding: horizontalScale(8)},
  'p-2.5': {padding: horizontalScale(10)},
  'p-3': {padding: horizontalScale(12)},
  'p-3.5': {padding: horizontalScale(14)},
  'p-4': {padding: horizontalScale(16)},
  'p-5': {padding: horizontalScale(20)},
  'p-6': {padding: horizontalScale(24)},
  'p-7': {padding: horizontalScale(28)},
  'p-8': {padding: horizontalScale(32)},
  'p-9': {padding: horizontalScale(36)},
  'p-10': {padding: horizontalScale(40)},
  'p-11': {padding: horizontalScale(44)},
  'p-12': {padding: horizontalScale(48)},
  'p-14': {padding: horizontalScale(56)},
  'p-16': {padding: horizontalScale(64)},
});

const paddingLeftStyles = StyleSheet.create({
  'pl-0': {paddingLeft: 0},
  'pl-0.5': {paddingLeft: horizontalScale(2)},
  'pl-1': {paddingLeft: horizontalScale(4)},
  'pl-1.5': {paddingLeft: horizontalScale(6)},
  'pl-2': {paddingLeft: horizontalScale(8)},
  'pl-2.5': {paddingLeft: horizontalScale(10)},
  'pl-3': {paddingLeft: horizontalScale(12)},
  'pl-3.5': {paddingLeft: horizontalScale(14)},
  'pl-4': {paddingLeft: horizontalScale(16)},
  'pl-5': {paddingLeft: horizontalScale(20)},
  'pl-6': {paddingLeft: horizontalScale(24)},
  'pl-7': {paddingLeft: horizontalScale(28)},
  'pl-8': {paddingLeft: horizontalScale(32)},
  'pl-9': {paddingLeft: horizontalScale(36)},
  'pl-10': {paddingLeft: horizontalScale(40)},
  'pl-11': {paddingLeft: horizontalScale(44)},
  'pl-12': {paddingLeft: horizontalScale(48)},
  'pl-14': {paddingLeft: horizontalScale(56)},
  'pl-16': {paddingLeft: horizontalScale(64)},
});

const paddingRightStyles = StyleSheet.create({
  'pr-0': {paddingRight: 0},
  'pr-0.5': {paddingRight: horizontalScale(2)},
  'pr-1': {paddingRight: horizontalScale(4)},
  'pr-1.5': {paddingRight: horizontalScale(6)},
  'pr-2': {paddingRight: horizontalScale(8)},
  'pr-2.5': {paddingRight: horizontalScale(10)},
  'pr-3': {paddingRight: horizontalScale(12)},
  'pr-3.5': {paddingRight: horizontalScale(14)},
  'pr-4': {paddingRight: horizontalScale(16)},
  'pr-5': {paddingRight: horizontalScale(20)},
  'pr-6': {paddingRight: horizontalScale(24)},
  'pr-7': {paddingRight: horizontalScale(28)},
  'pr-8': {paddingRight: horizontalScale(32)},
  'pr-9': {paddingRight: horizontalScale(36)},
  'pr-10': {paddingRight: horizontalScale(40)},
  'pr-11': {paddingRight: horizontalScale(44)},
  'pr-12': {paddingRight: horizontalScale(48)},
  'pr-14': {paddingRight: horizontalScale(56)},
  'pr-16': {paddingRight: horizontalScale(64)},
});

const paddingBottomStyles = StyleSheet.create({
  'pb-0': {paddingBottom: 0},
  'pb-0.5': {paddingBottom: horizontalScale(2)},
  'pb-1': {paddingBottom: horizontalScale(4)},
  'pb-1.5': {paddingBottom: horizontalScale(6)},
  'pb-2': {paddingBottom: horizontalScale(8)},
  'pb-2.5': {paddingBottom: horizontalScale(10)},
  'pb-3': {paddingBottom: horizontalScale(12)},
  'pb-3.5': {paddingBottom: horizontalScale(14)},
  'pb-4': {paddingBottom: horizontalScale(16)},
  'pb-5': {paddingBottom: horizontalScale(20)},
  'pb-6': {paddingBottom: horizontalScale(24)},
  'pb-7': {paddingBottom: horizontalScale(28)},
  'pb-8': {paddingBottom: horizontalScale(32)},
  'pb-9': {paddingBottom: horizontalScale(36)},
  'pb-10': {paddingBottom: horizontalScale(40)},
  'pb-11': {paddingBottom: horizontalScale(44)},
  'pb-12': {paddingBottom: horizontalScale(48)},
  'pb-14': {paddingBottom: horizontalScale(56)},
  'pb-16': {paddingBottom: horizontalScale(64)},
});

const paddingTopStyles = StyleSheet.create({
  'pt-0': {paddingTop: 0},
  'pt-0.5': {paddingTop: horizontalScale(2)},
  'pt-1': {paddingTop: horizontalScale(4)},
  'pt-1.5': {paddingTop: horizontalScale(6)},
  'pt-2': {paddingTop: horizontalScale(8)},
  'pt-2.5': {paddingTop: horizontalScale(10)},
  'pt-3': {paddingTop: horizontalScale(12)},
  'pt-3.5': {paddingTop: horizontalScale(14)},
  'pt-4': {paddingTop: horizontalScale(16)},
  'pt-5': {paddingTop: horizontalScale(20)},
  'pt-6': {paddingTop: horizontalScale(24)},
  'pt-7': {paddingTop: horizontalScale(28)},
  'pt-8': {paddingTop: horizontalScale(32)},
  'pt-9': {paddingTop: horizontalScale(36)},
  'pt-10': {paddingTop: horizontalScale(40)},
  'pt-11': {paddingTop: horizontalScale(44)},
  'pt-12': {paddingTop: horizontalScale(48)},
  'pt-14': {paddingTop: horizontalScale(56)},
  'pt-16': {paddingTop: horizontalScale(64)},
});

const paddingHorizontalStyles = StyleSheet.create({
  'px-0': {paddingHorizontal: 0},
  'px-0.5': {paddingHorizontal: horizontalScale(2)},
  'px-1': {paddingHorizontal: horizontalScale(4)},
  'px-1.5': {paddingHorizontal: horizontalScale(6)},
  'px-2': {paddingHorizontal: horizontalScale(8)},
  'px-2.5': {paddingHorizontal: horizontalScale(10)},
  'px-3': {paddingHorizontal: horizontalScale(12)},
  'px-3.5': {paddingHorizontal: horizontalScale(14)},
  'px-4': {paddingHorizontal: horizontalScale(16)},
  'px-5': {paddingHorizontal: horizontalScale(20)},
  'px-6': {paddingHorizontal: horizontalScale(24)},
  'px-7': {paddingHorizontal: horizontalScale(28)},
  'px-8': {paddingHorizontal: horizontalScale(32)},
  'px-9': {paddingHorizontal: horizontalScale(36)},
  'px-10': {paddingHorizontal: horizontalScale(40)},
  'px-11': {paddingHorizontal: horizontalScale(44)},
  'px-12': {paddingHorizontal: horizontalScale(48)},
  'px-14': {paddingHorizontal: horizontalScale(56)},
  'px-16': {paddingHorizontal: horizontalScale(64)},
});

const paddingVerticalStyles = StyleSheet.create({
  'py-0': {paddingVertical: 0},
  'py-0.5': {paddingVertical: horizontalScale(2)},
  'py-1': {paddingVertical: horizontalScale(4)},
  'py-1.5': {paddingVertical: horizontalScale(6)},
  'py-2': {paddingVertical: horizontalScale(8)},
  'py-2.5': {paddingVertical: horizontalScale(10)},
  'py-3': {paddingVertical: horizontalScale(12)},
  'py-3.5': {paddingVertical: horizontalScale(14)},
  'py-4': {paddingVertical: horizontalScale(16)},
  'py-5': {paddingVertical: horizontalScale(20)},
  'py-6': {paddingVertical: horizontalScale(24)},
  'py-7': {paddingVertical: horizontalScale(28)},
  'py-8': {paddingVertical: horizontalScale(32)},
  'py-9': {paddingVertical: horizontalScale(36)},
  'py-10': {paddingVertical: horizontalScale(40)},
  'py-11': {paddingVertical: horizontalScale(44)},
  'py-12': {paddingVertical: horizontalScale(48)},
  'py-14': {paddingVertical: horizontalScale(56)},
  'py-16': {paddingVertical: horizontalScale(64)},
});

const paddingNoneScaleStyles = StyleSheet.create({
  'p-0': {padding: 0},
  'p-0.5': {padding: 2},
  'p-1': {padding: 4},
  'p-1.5': {padding: 6},
  'p-2': {padding: 8},
  'p-2.5': {padding: 10},
  'p-3': {padding: 12},
  'p-3.5': {padding: 14},
  'p-4': {padding: 16},
  'p-5': {padding: 20},
  'p-6': {padding: 24},
  'p-7': {padding: 28},
  'p-8': {padding: 32},
  'p-9': {padding: 36},
  'p-10': {padding: 40},
  'p-11': {padding: 44},
  'p-12': {padding: 48},
  'p-14': {padding: 56},
  'p-16': {padding: 64},
});

const paddingLeftNoneScaleStyles = StyleSheet.create({
  'pl-0': {paddingLeft: 0},
  'pl-0.5': {paddingLeft: 2},
  'pl-1': {paddingLeft: 4},
  'pl-1.5': {paddingLeft: 6},
  'pl-2': {paddingLeft: 8},
  'pl-2.5': {paddingLeft: 10},
  'pl-3': {paddingLeft: 12},
  'pl-3.5': {paddingLeft: 14},
  'pl-4': {paddingLeft: 16},
  'pl-5': {paddingLeft: 20},
  'pl-6': {paddingLeft: 24},
  'pl-7': {paddingLeft: 28},
  'pl-8': {paddingLeft: 32},
  'pl-9': {paddingLeft: 36},
  'pl-10': {paddingLeft: 40},
  'pl-11': {paddingLeft: 44},
  'pl-12': {paddingLeft: 48},
  'pl-14': {paddingLeft: 56},
  'pl-16': {paddingLeft: 64},
});

const paddingRightNoneScaleStyles = StyleSheet.create({
  'pr-0': {paddingRight: 0},
  'pr-0.5': {paddingRight: 2},
  'pr-1': {paddingRight: 4},
  'pr-1.5': {paddingRight: 6},
  'pr-2': {paddingRight: 8},
  'pr-2.5': {paddingRight: 10},
  'pr-3': {paddingRight: 12},
  'pr-3.5': {paddingRight: 14},
  'pr-4': {paddingRight: 16},
  'pr-5': {paddingRight: 20},
  'pr-6': {paddingRight: 24},
  'pr-7': {paddingRight: 28},
  'pr-8': {paddingRight: 32},
  'pr-9': {paddingRight: 36},
  'pr-10': {paddingRight: 40},
  'pr-11': {paddingRight: 44},
  'pr-12': {paddingRight: 48},
  'pr-14': {paddingRight: 56},
  'pr-16': {paddingRight: 64},
});

const paddingBottomNoneScaleStyles = StyleSheet.create({
  'pb-0': {paddingBottom: 0},
  'pb-0.5': {paddingBottom: 2},
  'pb-1': {paddingBottom: 4},
  'pb-1.5': {paddingBottom: 6},
  'pb-2': {paddingBottom: 8},
  'pb-2.5': {paddingBottom: 10},
  'pb-3': {paddingBottom: 12},
  'pb-3.5': {paddingBottom: 14},
  'pb-4': {paddingBottom: 16},
  'pb-5': {paddingBottom: 20},
  'pb-6': {paddingBottom: 24},
  'pb-7': {paddingBottom: 28},
  'pb-8': {paddingBottom: 32},
  'pb-9': {paddingBottom: 36},
  'pb-10': {paddingBottom: 40},
  'pb-11': {paddingBottom: 44},
  'pb-12': {paddingBottom: 48},
  'pb-14': {paddingBottom: 56},
  'pb-16': {paddingBottom: 64},
});

const paddingTopNoneScaleStyles = StyleSheet.create({
  'pt-0': {paddingTop: 0},
  'pt-0.5': {paddingTop: 2},
  'pt-1': {paddingTop: 4},
  'pt-1.5': {paddingTop: 6},
  'pt-2': {paddingTop: 8},
  'pt-2.5': {paddingTop: 10},
  'pt-3': {paddingTop: 12},
  'pt-3.5': {paddingTop: 14},
  'pt-4': {paddingTop: 16},
  'pt-5': {paddingTop: 20},
  'pt-6': {paddingTop: 24},
  'pt-7': {paddingTop: 28},
  'pt-8': {paddingTop: 32},
  'pt-9': {paddingTop: 36},
  'pt-10': {paddingTop: 40},
  'pt-11': {paddingTop: 44},
  'pt-12': {paddingTop: 48},
  'pt-14': {paddingTop: 56},
  'pt-16': {paddingTop: 64},
});

const paddingHorizontalNoneScaleStyles = StyleSheet.create({
  'px-0': {paddingHorizontal: 0},
  'px-0.5': {paddingHorizontal: 2},
  'px-1': {paddingHorizontal: 4},
  'px-1.5': {paddingHorizontal: 6},
  'px-2': {paddingHorizontal: 8},
  'px-2.5': {paddingHorizontal: 10},
  'px-3': {paddingHorizontal: 12},
  'px-3.5': {paddingHorizontal: 14},
  'px-4': {paddingHorizontal: 16},
  'px-5': {paddingHorizontal: 20},
  'px-6': {paddingHorizontal: 24},
  'px-7': {paddingHorizontal: 28},
  'px-8': {paddingHorizontal: 32},
  'px-9': {paddingHorizontal: 36},
  'px-10': {paddingHorizontal: 40},
  'px-11': {paddingHorizontal: 44},
  'px-12': {paddingHorizontal: 48},
  'px-14': {paddingHorizontal: 56},
  'px-16': {paddingHorizontal: 64},
});

const paddingVerticalNoneScaleStyles = StyleSheet.create({
  'py-0': {paddingVertical: 0},
  'py-0.5': {paddingVertical: 2},
  'py-1': {paddingVertical: 4},
  'py-1.5': {paddingVertical: 6},
  'py-2': {paddingVertical: 8},
  'py-2.5': {paddingVertical: 10},
  'py-3': {paddingVertical: 12},
  'py-3.5': {paddingVertical: 14},
  'py-4': {paddingVertical: 16},
  'py-5': {paddingVertical: 20},
  'py-6': {paddingVertical: 24},
  'py-7': {paddingVertical: 28},
  'py-8': {paddingVertical: 32},
  'py-9': {paddingVertical: 36},
  'py-10': {paddingVertical: 40},
  'py-11': {paddingVertical: 44},
  'py-12': {paddingVertical: 48},
  'py-14': {paddingVertical: 56},
  'py-16': {paddingVertical: 64},
});

export const classPaddingStyle = {
  ...paddingStyles,
  ...paddingLeftStyles,
  ...paddingRightStyles,
  ...paddingBottomStyles,
  ...paddingTopStyles,
  ...paddingHorizontalStyles,
  ...paddingVerticalStyles,
};

export const classPaddingNoneScaleStyle = {
  ...paddingNoneScaleStyles,
  ...paddingLeftNoneScaleStyles,
  ...paddingRightNoneScaleStyles,
  ...paddingBottomNoneScaleStyles,
  ...paddingTopNoneScaleStyles,
  ...paddingHorizontalNoneScaleStyles,
  ...paddingVerticalNoneScaleStyles,
};
