import {StyleSheet} from 'react-native';
import {device, horizontalScale} from '../utils';

const widthStyles = StyleSheet.create({
  w: {width: horizontalScale(1)},
  'w-0': {width: 0},
  'w-0.5': {width: horizontalScale(2)},
  'w-1': {width: horizontalScale(4)},
  'w-1.5': {width: horizontalScale(6)},
  'w-2': {width: horizontalScale(8)},
  'w-2.5': {width: horizontalScale(10)},
  'w-3': {width: horizontalScale(12)},
  'w-3.5': {width: horizontalScale(14)},
  'w-4': {width: horizontalScale(16)},
  'w-5': {width: horizontalScale(20)},
  'w-6': {width: horizontalScale(24)},
  'w-7': {width: horizontalScale(28)},
  'w-8': {width: horizontalScale(32)},
  'w-9': {width: horizontalScale(36)},
  'w-10': {width: horizontalScale(40)},
  'w-11': {width: horizontalScale(44)},
  'w-12': {width: horizontalScale(48)},
  'w-14': {width: horizontalScale(56)},
  'w-16': {width: horizontalScale(64)},
  'w-20': {width: horizontalScale(80)},
  'w-24': {width: horizontalScale(96)},
  'w-28': {width: horizontalScale(112)},
  'w-32': {width: horizontalScale(128)},
  'w-36': {width: horizontalScale(144)},
  'w-40': {width: horizontalScale(160)},
  'w-44': {width: horizontalScale(176)},
  'w-48': {width: horizontalScale(192)},
  'w-52': {width: horizontalScale(208)},
  'w-56': {width: horizontalScale(224)},
  'w-60': {width: horizontalScale(240)},
  'w-64': {width: horizontalScale(256)},
  'w-72': {width: horizontalScale(288)},
  'w-80': {width: horizontalScale(320)},
  'w-96': {width: horizontalScale(384)},
  'min-w': {minWidth: horizontalScale(1)},
  'min-w-0': {minWidth: 0},
  'min-w-0.5': {minWidth: horizontalScale(2)},
  'min-w-1': {minWidth: horizontalScale(4)},
  'min-w-1.5': {minWidth: horizontalScale(6)},
  'min-w-2': {minWidth: horizontalScale(8)},
  'min-w-2.5': {minWidth: horizontalScale(10)},
  'min-w-3': {minWidth: horizontalScale(12)},
  'min-w-3.5': {minWidth: horizontalScale(14)},
  'min-w-4': {minWidth: horizontalScale(16)},
  'min-w-5': {minWidth: horizontalScale(20)},
  'min-w-6': {minWidth: horizontalScale(24)},
  'min-w-7': {minWidth: horizontalScale(28)},
  'min-w-8': {minWidth: horizontalScale(32)},
  'min-w-9': {minWidth: horizontalScale(36)},
  'min-w-10': {minWidth: horizontalScale(40)},
  'min-w-11': {minWidth: horizontalScale(44)},
  'min-w-12': {minWidth: horizontalScale(48)},
  'min-w-14': {minWidth: horizontalScale(56)},
  'min-w-16': {minWidth: horizontalScale(64)},
  'min-w-20': {minWidth: horizontalScale(80)},
  'min-w-24': {minWidth: horizontalScale(96)},
  'min-w-28': {minWidth: horizontalScale(112)},
  'min-w-32': {minWidth: horizontalScale(128)},
  'min-w-36': {minWidth: horizontalScale(144)},
  'min-w-40': {minWidth: horizontalScale(160)},
  'min-w-44': {minWidth: horizontalScale(176)},
  'min-w-48': {minWidth: horizontalScale(192)},
  'min-w-52': {minWidth: horizontalScale(208)},
  'min-w-56': {minWidth: horizontalScale(224)},
  'min-w-60': {minWidth: horizontalScale(240)},
  'min-w-64': {minWidth: horizontalScale(256)},
  'min-w-72': {minWidth: horizontalScale(288)},
  'min-w-80': {minWidth: horizontalScale(320)},
  'min-w-96': {minWidth: horizontalScale(384)},
  'max-w': {maxWidth: horizontalScale(1)},
  'max-w-0': {maxWidth: 0},
  'max-w-0.5': {maxWidth: horizontalScale(2)},
  'max-w-1': {maxWidth: horizontalScale(4)},
  'max-w-1.5': {maxWidth: horizontalScale(6)},
  'max-w-2': {maxWidth: horizontalScale(8)},
  'max-w-2.5': {maxWidth: horizontalScale(10)},
  'max-w-3': {maxWidth: horizontalScale(12)},
  'max-w-3.5': {maxWidth: horizontalScale(14)},
  'max-w-4': {maxWidth: horizontalScale(16)},
  'max-w-5': {maxWidth: horizontalScale(20)},
  'max-w-6': {maxWidth: horizontalScale(24)},
  'max-w-7': {maxWidth: horizontalScale(28)},
  'max-w-8': {maxWidth: horizontalScale(32)},
  'max-w-9': {maxWidth: horizontalScale(36)},
  'max-w-10': {maxWidth: horizontalScale(40)},
  'max-w-11': {maxWidth: horizontalScale(44)},
  'max-w-12': {maxWidth: horizontalScale(48)},
  'max-w-14': {maxWidth: horizontalScale(56)},
  'max-w-16': {maxWidth: horizontalScale(64)},
  'max-w-20': {maxWidth: horizontalScale(80)},
  'max-w-24': {maxWidth: horizontalScale(96)},
  'max-w-28': {maxWidth: horizontalScale(112)},
  'max-w-32': {maxWidth: horizontalScale(128)},
  'max-w-36': {maxWidth: horizontalScale(144)},
  'max-w-40': {maxWidth: horizontalScale(160)},
  'max-w-44': {maxWidth: horizontalScale(176)},
  'max-w-48': {maxWidth: horizontalScale(192)},
  'max-w-52': {maxWidth: horizontalScale(208)},
  'max-w-56': {maxWidth: horizontalScale(224)},
  'max-w-60': {maxWidth: horizontalScale(240)},
  'max-w-64': {maxWidth: horizontalScale(256)},
  'max-w-72': {maxWidth: horizontalScale(288)},
  'max-w-80': {maxWidth: horizontalScale(320)},
  'max-w-96': {maxWidth: horizontalScale(384)},
});

const widthRatioStyles = StyleSheet.create({
  'w-1/2': {width: '50%'},
  'w-1/3': {width: '33.333333%'},
  'w-2/3': {width: '66.666667%'},
  'w-1/4': {width: '25%'},
  'w-3/4': {width: '75%'},
  'w-1/5': {width: '20%'},
  'w-2/5': {width: '40%'},
  'w-3/5': {width: '60%'},
  'w-4/5': {width: '80%'},
  'w-full': {width: '100%'},
  'w-screen': {width: device.width},
  'min-w-1/2': {minWidth: '50%'},
  'min-w-1/3': {minWidth: '33.333333%'},
  'min-w-2/3': {minWidth: '66.666667%'},
  'min-w-1/4': {minWidth: '25%'},
  'min-w-3/4': {minWidth: '75%'},
  'min-w-1/5': {minWidth: '20%'},
  'min-w-2/5': {minWidth: '40%'},
  'min-w-3/5': {minWidth: '60%'},
  'min-w-4/5': {minWidth: '80%'},
  'min-w-full': {minWidth: '100%'},
  'min-w-screen': {minWidth: device.width},
  'max-w-1/2': {maxWidth: '50%'},
  'max-w-1/3': {maxWidth: '33.333333%'},
  'max-w-2/3': {maxWidth: '66.666667%'},
  'max-w-1/4': {maxWidth: '25%'},
  'max-w-3/4': {maxWidth: '75%'},
  'max-w-1/5': {maxWidth: '20%'},
  'max-w-2/5': {maxWidth: '40%'},
  'max-w-3/5': {maxWidth: '60%'},
  'max-w-4/5': {maxWidth: '80%'},
  'max-w-full': {maxWidth: '100%'},
  'max-w-screen': {maxWidth: device.width},
});

const heightRatioStyles = StyleSheet.create({
  'h-1/2': {height: '50%'},
  'h-1/3': {height: '33.333333%'},
  'h-2/3': {height: '66.666667%'},
  'h-1/4': {height: '25%'},
  'h-3/4': {height: '75%'},
  'h-1/5': {height: '20%'},
  'h-2/5': {height: '40%'},
  'h-3/5': {height: '60%'},
  'h-4/5': {height: '80%'},
  'h-full': {height: '100%'},
  'h-screen': {height: device.height},
  'min-h-1/2': {minHeight: '50%'},
  'min-h-1/3': {minHeight: '33.333333%'},
  'min-h-2/3': {minHeight: '66.666667%'},
  'min-h-1/4': {minHeight: '25%'},
  'min-h-3/4': {minHeight: '75%'},
  'min-h-1/5': {minHeight: '20%'},
  'min-h-2/5': {minHeight: '40%'},
  'min-h-3/5': {minHeight: '60%'},
  'min-h-4/5': {minHeight: '80%'},
  'min-h-full': {minHeight: '100%'},
  'min-h-screen': {minHeight: device.height},
  'max-h-1/2': {maxHeight: '50%'},
  'max-h-1/3': {maxHeight: '33.333333%'},
  'max-h-2/3': {maxHeight: '66.666667%'},
  'max-h-1/4': {maxHeight: '25%'},
  'max-h-3/4': {maxHeight: '75%'},
  'max-h-1/5': {maxHeight: '20%'},
  'max-h-2/5': {maxHeight: '40%'},
  'max-h-3/5': {maxHeight: '60%'},
  'max-h-4/5': {maxHeight: '80%'},
  'max-h-full': {maxHeight: '100%'},
  'max-h-screen': {maxHeight: device.height},
});

const heightStyles = StyleSheet.create({
  h: {height: horizontalScale(1)},
  'h-0': {height: 0},
  'h-0.5': {height: horizontalScale(2)},
  'h-1': {height: horizontalScale(4)},
  'h-1.5': {height: horizontalScale(6)},
  'h-2': {height: horizontalScale(8)},
  'h-2.5': {height: horizontalScale(10)},
  'h-3': {height: horizontalScale(12)},
  'h-3.5': {height: horizontalScale(14)},
  'h-4': {height: horizontalScale(16)},
  'h-5': {height: horizontalScale(20)},
  'h-6': {height: horizontalScale(24)},
  'h-7': {height: horizontalScale(28)},
  'h-8': {height: horizontalScale(32)},
  'h-9': {height: horizontalScale(36)},
  'h-10': {height: horizontalScale(40)},
  'h-11': {height: horizontalScale(44)},
  'h-12': {height: horizontalScale(48)},
  'h-14': {height: horizontalScale(56)},
  'h-16': {height: horizontalScale(64)},
  'h-20': {height: horizontalScale(80)},
  'h-24': {height: horizontalScale(96)},
  'h-28': {height: horizontalScale(112)},
  'h-32': {height: horizontalScale(128)},
  'h-36': {height: horizontalScale(144)},
  'h-40': {height: horizontalScale(160)},
  'h-44': {height: horizontalScale(176)},
  'h-48': {height: horizontalScale(192)},
  'h-52': {height: horizontalScale(208)},
  'h-56': {height: horizontalScale(224)},
  'h-60': {height: horizontalScale(240)},
  'h-64': {height: horizontalScale(256)},
  'h-72': {height: horizontalScale(288)},
  'h-80': {height: horizontalScale(320)},
  'h-96': {height: horizontalScale(384)},
  'min-h': {minHeight: horizontalScale(1)},
  'min-h-0': {minHeight: 0},
  'min-h-0.5': {minHeight: horizontalScale(2)},
  'min-h-1': {minHeight: horizontalScale(4)},
  'min-h-1.5': {minHeight: horizontalScale(6)},
  'min-h-2': {minHeight: horizontalScale(8)},
  'min-h-2.5': {minHeight: horizontalScale(10)},
  'min-h-3': {minHeight: horizontalScale(12)},
  'min-h-3.5': {minHeight: horizontalScale(14)},
  'min-h-4': {minHeight: horizontalScale(16)},
  'min-h-5': {minHeight: horizontalScale(20)},
  'min-h-6': {minHeight: horizontalScale(24)},
  'min-h-7': {minHeight: horizontalScale(28)},
  'min-h-8': {minHeight: horizontalScale(32)},
  'min-h-9': {minHeight: horizontalScale(36)},
  'min-h-10': {minHeight: horizontalScale(40)},
  'min-h-11': {minHeight: horizontalScale(44)},
  'min-h-12': {minHeight: horizontalScale(48)},
  'min-h-14': {minHeight: horizontalScale(56)},
  'min-h-16': {minHeight: horizontalScale(64)},
  'min-h-20': {minHeight: horizontalScale(80)},
  'min-h-24': {minHeight: horizontalScale(96)},
  'min-h-28': {minHeight: horizontalScale(112)},
  'min-h-32': {minHeight: horizontalScale(128)},
  'min-h-36': {minHeight: horizontalScale(144)},
  'min-h-40': {minHeight: horizontalScale(160)},
  'min-h-44': {minHeight: horizontalScale(176)},
  'min-h-48': {minHeight: horizontalScale(192)},
  'min-h-52': {minHeight: horizontalScale(208)},
  'min-h-56': {minHeight: horizontalScale(224)},
  'min-h-60': {minHeight: horizontalScale(240)},
  'min-h-64': {minHeight: horizontalScale(256)},
  'min-h-72': {minHeight: horizontalScale(288)},
  'min-h-80': {minHeight: horizontalScale(320)},
  'min-h-96': {minHeight: horizontalScale(384)},
  'max-h': {maxHeight: horizontalScale(1)},
  'max-h-0': {maxHeight: 0},
  'max-h-0.5': {maxHeight: horizontalScale(2)},
  'max-h-1': {maxHeight: horizontalScale(4)},
  'max-h-1.5': {maxHeight: horizontalScale(6)},
  'max-h-2': {maxHeight: horizontalScale(8)},
  'max-h-2.5': {maxHeight: horizontalScale(10)},
  'max-h-3': {maxHeight: horizontalScale(12)},
  'max-h-3.5': {maxHeight: horizontalScale(14)},
  'max-h-4': {maxHeight: horizontalScale(16)},
  'max-h-5': {maxHeight: horizontalScale(20)},
  'max-h-6': {maxHeight: horizontalScale(24)},
  'max-h-7': {maxHeight: horizontalScale(28)},
  'max-h-8': {maxHeight: horizontalScale(32)},
  'max-h-9': {maxHeight: horizontalScale(36)},
  'max-h-10': {maxHeight: horizontalScale(40)},
  'max-h-11': {maxHeight: horizontalScale(44)},
  'max-h-12': {maxHeight: horizontalScale(48)},
  'max-h-14': {maxHeight: horizontalScale(56)},
  'max-h-16': {maxHeight: horizontalScale(64)},
  'max-h-20': {maxHeight: horizontalScale(80)},
  'max-h-24': {maxHeight: horizontalScale(96)},
  'max-h-28': {maxHeight: horizontalScale(112)},
  'max-h-32': {maxHeight: horizontalScale(128)},
  'max-h-36': {maxHeight: horizontalScale(144)},
  'max-h-40': {maxHeight: horizontalScale(160)},
  'max-h-44': {maxHeight: horizontalScale(176)},
  'max-h-48': {maxHeight: horizontalScale(192)},
  'max-h-52': {maxHeight: horizontalScale(208)},
  'max-h-56': {maxHeight: horizontalScale(224)},
  'max-h-60': {maxHeight: horizontalScale(240)},
  'max-h-64': {maxHeight: horizontalScale(256)},
  'max-h-72': {maxHeight: horizontalScale(288)},
  'max-h-80': {maxHeight: horizontalScale(320)},
  'max-h-96': {maxHeight: horizontalScale(384)},
});

const widthNoneScaleStyles = StyleSheet.create({
  w: {width: 1},
  'w-0': {width: 0},
  'w-0.5': {width: 2},
  'w-1': {width: 4},
  'w-1.5': {width: 6},
  'w-2': {width: 8},
  'w-2.5': {width: 10},
  'w-3': {width: 12},
  'w-3.5': {width: 14},
  'w-4': {width: 16},
  'w-5': {width: 20},
  'w-6': {width: 24},
  'w-7': {width: 28},
  'w-8': {width: 32},
  'w-9': {width: 36},
  'w-10': {width: 40},
  'w-11': {width: 44},
  'w-12': {width: 48},
  'w-14': {width: 56},
  'w-16': {width: 64},
  'w-20': {width: 80},
  'w-24': {width: 96},
  'w-28': {width: 112},
  'w-32': {width: 128},
  'w-36': {width: 144},
  'w-40': {width: 160},
  'w-44': {width: 176},
  'w-48': {width: 192},
  'w-52': {width: 208},
  'w-56': {width: 224},
  'w-60': {width: 240},
  'w-64': {width: 256},
  'w-72': {width: 288},
  'w-80': {width: 320},
  'w-96': {width: 384},
  'w-1/2': {width: '50%'},
  'w-1/3': {width: '33.333333%'},
  'w-2/3': {width: '66.666667%'},
  'w-1/4': {width: '25%'},
  'w-3/4': {width: '75%'},
  'w-1/5': {width: '20%'},
  'w-2/5': {width: '40%'},
  'w-3/5': {width: '60%'},
  'w-4/5': {width: '80%'},
  'w-full': {width: '100%'},
  'w-screen': {width: device.width},
  'min-w': {minWidth: 1},
  'min-w-0': {minWidth: 0},
  'min-w-0.5': {minWidth: 2},
  'min-w-1': {minWidth: 4},
  'min-w-1.5': {minWidth: 6},
  'min-w-2': {minWidth: 8},
  'min-w-2.5': {minWidth: 10},
  'min-w-3': {minWidth: 12},
  'min-w-3.5': {minWidth: 14},
  'min-w-4': {minWidth: 16},
  'min-w-5': {minWidth: 20},
  'min-w-6': {minWidth: 24},
  'min-w-7': {minWidth: 28},
  'min-w-8': {minWidth: 32},
  'min-w-9': {minWidth: 36},
  'min-w-10': {minWidth: 40},
  'min-w-11': {minWidth: 44},
  'min-w-12': {minWidth: 48},
  'min-w-14': {minWidth: 56},
  'min-w-16': {minWidth: 64},
  'min-w-20': {minWidth: 80},
  'min-w-24': {minWidth: 96},
  'min-w-28': {minWidth: 112},
  'min-w-32': {minWidth: 128},
  'min-w-36': {minWidth: 144},
  'min-w-40': {minWidth: 160},
  'min-w-44': {minWidth: 176},
  'min-w-48': {minWidth: 192},
  'min-w-52': {minWidth: 208},
  'min-w-56': {minWidth: 224},
  'min-w-60': {minWidth: 240},
  'min-w-64': {minWidth: 256},
  'min-w-72': {minWidth: 288},
  'min-w-80': {minWidth: 320},
  'min-w-96': {minWidth: 384},
  'min-w-1/2': {minWidth: '50%'},
  'min-w-1/3': {minWidth: '33.333333%'},
  'min-w-2/3': {minWidth: '66.666667%'},
  'min-w-1/4': {minWidth: '25%'},
  'min-w-3/4': {minWidth: '75%'},
  'min-w-1/5': {minWidth: '20%'},
  'min-w-2/5': {minWidth: '40%'},
  'min-w-3/5': {minWidth: '60%'},
  'min-w-4/5': {minWidth: '80%'},
  'min-w-full': {minWidth: '100%'},
  'min-w-screen': {minWidth: device.width},
  'max-w': {maxWidth: 1},
  'max-w-0': {maxWidth: 0},
  'max-w-0.5': {maxWidth: 2},
  'max-w-1': {maxWidth: 4},
  'max-w-1.5': {maxWidth: 6},
  'max-w-2': {maxWidth: 8},
  'max-w-2.5': {maxWidth: 10},
  'max-w-3': {maxWidth: 12},
  'max-w-3.5': {maxWidth: 14},
  'max-w-4': {maxWidth: 16},
  'max-w-5': {maxWidth: 20},
  'max-w-6': {maxWidth: 24},
  'max-w-7': {maxWidth: 28},
  'max-w-8': {maxWidth: 32},
  'max-w-9': {maxWidth: 36},
  'max-w-10': {maxWidth: 40},
  'max-w-11': {maxWidth: 44},
  'max-w-12': {maxWidth: 48},
  'max-w-14': {maxWidth: 56},
  'max-w-16': {maxWidth: 64},
  'max-w-20': {maxWidth: 80},
  'max-w-24': {maxWidth: 96},
  'max-w-28': {maxWidth: 112},
  'max-w-32': {maxWidth: 128},
  'max-w-36': {maxWidth: 144},
  'max-w-40': {maxWidth: 160},
  'max-w-44': {maxWidth: 176},
  'max-w-48': {maxWidth: 192},
  'max-w-52': {maxWidth: 208},
  'max-w-56': {maxWidth: 224},
  'max-w-60': {maxWidth: 240},
  'max-w-64': {maxWidth: 256},
  'max-w-72': {maxWidth: 288},
  'max-w-80': {maxWidth: 320},
  'max-w-96': {maxWidth: 384},
});

const heightNoneScaleStyles = StyleSheet.create({
  h: {height: 1},
  'h-0': {height: 0},
  'h-0.5': {height: 2},
  'h-1': {height: 4},
  'h-1.5': {height: 6},
  'h-2': {height: 8},
  'h-2.5': {height: 10},
  'h-3': {height: 12},
  'h-3.5': {height: 14},
  'h-4': {height: 16},
  'h-5': {height: 20},
  'h-6': {height: 24},
  'h-7': {height: 28},
  'h-8': {height: 32},
  'h-9': {height: 36},
  'h-10': {height: 40},
  'h-11': {height: 44},
  'h-12': {height: 48},
  'h-14': {height: 56},
  'h-16': {height: 64},
  'h-20': {height: 80},
  'h-24': {height: 96},
  'h-28': {height: 112},
  'h-32': {height: 128},
  'h-36': {height: 144},
  'h-40': {height: 160},
  'h-44': {height: 176},
  'h-48': {height: 192},
  'h-52': {height: 208},
  'h-56': {height: 224},
  'h-60': {height: 240},
  'h-64': {height: 256},
  'h-72': {height: 288},
  'h-80': {height: 320},
  'h-96': {height: 384},
  'min-h': {minHeight: 1},
  'min-h-0': {minHeight: 0},
  'min-h-0.5': {minHeight: 2},
  'min-h-1': {minHeight: 4},
  'min-h-1.5': {minHeight: 6},
  'min-h-2': {minHeight: 8},
  'min-h-2.5': {minHeight: 10},
  'min-h-3': {minHeight: 12},
  'min-h-3.5': {minHeight: 14},
  'min-h-4': {minHeight: 16},
  'min-h-5': {minHeight: 20},
  'min-h-6': {minHeight: 24},
  'min-h-7': {minHeight: 28},
  'min-h-8': {minHeight: 32},
  'min-h-9': {minHeight: 36},
  'min-h-10': {minHeight: 40},
  'min-h-11': {minHeight: 44},
  'min-h-12': {minHeight: 48},
  'min-h-14': {minHeight: 56},
  'min-h-16': {minHeight: 64},
  'min-h-20': {minHeight: 80},
  'min-h-24': {minHeight: 96},
  'min-h-28': {minHeight: 112},
  'min-h-32': {minHeight: 128},
  'min-h-36': {minHeight: 144},
  'min-h-40': {minHeight: 160},
  'min-h-44': {minHeight: 176},
  'min-h-48': {minHeight: 192},
  'min-h-52': {minHeight: 208},
  'min-h-56': {minHeight: 224},
  'min-h-60': {minHeight: 240},
  'min-h-64': {minHeight: 256},
  'min-h-72': {minHeight: 288},
  'min-h-80': {minHeight: 320},
  'min-h-96': {minHeight: 384},
  'max-h': {maxHeight: 1},
  'max-h-0': {maxHeight: 0},
  'max-h-0.5': {maxHeight: 2},
  'max-h-1': {maxHeight: 4},
  'max-h-1.5': {maxHeight: 6},
  'max-h-2': {maxHeight: 8},
  'max-h-2.5': {maxHeight: 10},
  'max-h-3': {maxHeight: 12},
  'max-h-3.5': {maxHeight: 14},
  'max-h-4': {maxHeight: 16},
  'max-h-5': {maxHeight: 20},
  'max-h-6': {maxHeight: 24},
  'max-h-7': {maxHeight: 28},
  'max-h-8': {maxHeight: 32},
  'max-h-9': {maxHeight: 36},
  'max-h-10': {maxHeight: 40},
  'max-h-11': {maxHeight: 44},
  'max-h-12': {maxHeight: 48},
  'max-h-14': {maxHeight: 56},
  'max-h-16': {maxHeight: 64},
  'max-h-20': {maxHeight: 80},
  'max-h-24': {maxHeight: 96},
  'max-h-28': {maxHeight: 112},
  'max-h-32': {maxHeight: 128},
  'max-h-36': {maxHeight: 144},
  'max-h-40': {maxHeight: 160},
  'max-h-44': {maxHeight: 176},
  'max-h-48': {maxHeight: 192},
  'max-h-52': {maxHeight: 208},
  'max-h-56': {maxHeight: 224},
  'max-h-60': {maxHeight: 240},
  'max-h-64': {maxHeight: 256},
  'max-h-72': {maxHeight: 288},
  'max-h-80': {maxHeight: 320},
  'max-h-96': {maxHeight: 384},
});

export const classSizeStyle = {
  ...widthStyles,
  ...heightStyles,
  ...heightRatioStyles,
  ...widthRatioStyles,
};

export const classSizeNoneScaleStyle = {
  ...widthNoneScaleStyles,
  ...heightNoneScaleStyles,
  ...heightRatioStyles,
  ...widthRatioStyles,
};
